create database IF NOT EXISTS mall4cloud_auth default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_biz` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_leaf` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_multishop` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_nacos` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_order` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_payment` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_platform` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_product` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_rbac` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_seata` default character set utf8 collate utf8_general_ci;
create database IF NOT EXISTS `mall4cloud_user` default character set utf8 collate utf8_general_ci;


USE mall4cloud_auth;

-- ----------------------------
-- Table structure for auth_account
-- ----------------------------
DROP TABLE IF EXISTS `auth_account`;
CREATE TABLE `auth_account`  (
  `uid` bigint UNSIGNED NOT NULL COMMENT '全平台用户唯一id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `username` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '用户名',
  `password` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '密码',
  `create_ip` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '创建ip',
  `status` tinyint NOT NULL COMMENT '状态 1:启用 0:禁用 -1:删除',
  `sys_type` tinyint NOT NULL COMMENT '用户类型见SysTypeEnum 0.普通用户系统 1.商家端 2平台端',
  `user_id` bigint NOT NULL COMMENT '用户id',
  `tenant_id` bigint NULL DEFAULT NULL COMMENT '所属租户',
  `is_admin` tinyint NULL DEFAULT NULL COMMENT '是否是管理员',
  PRIMARY KEY (`uid`) USING BTREE,
  UNIQUE INDEX `uk_usertype_userid`(`sys_type`, `user_id`) USING BTREE,
  INDEX `idx_username`(`username`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_is_0900_ai_ci COMMENT = '统一账户信息';

-- ----------------------------
-- Records of auth_account
-- ----------------------------
INSERT INTO `auth_account` VALUES
(1, '2021-07-01 11:07:38', '2021-07-03 13:11:52', 'admin', '$2a$10$EiwfzqsAVUtuJ0Ry5YPMPOeyc/4shzSUcqMBRInKTijzir48LLkM.', '127.0.0.1', 1, 2, 1, 0, 1),
(112115,'2022-04-14 16:36:13','2022-04-14 16:36:13','admin','$2a$10$fr9bj14bAJW54agVbZizceMODrC4W8sbVotfH5324q0t50HNdpRqa','59.41.161.208',1,1,110400,324,1);
-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 385 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;



USE mall4cloud_biz;

-- ----------------------------
-- Table structure for attach_file
-- ----------------------------
DROP TABLE IF EXISTS `attach_file`;
CREATE TABLE `attach_file`  (
  `file_id` bigint NOT NULL AUTO_INCREMENT,
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `file_path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '文件路径',
  `file_type` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '文件类型',
  `file_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '文件名',
  `file_size` int NULL DEFAULT NULL COMMENT '文件大小',
  `shop_id` bigint NULL DEFAULT NULL COMMENT '店铺id',
  `type` tinyint NULL DEFAULT NULL COMMENT '文件 1:图片 2:视频 3:文件',
  `attach_file_group_id` bigint NULL DEFAULT 0 COMMENT '文件分组id',
  PRIMARY KEY (`file_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1431 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '上传文件记录表';

-- ----------------------------
-- Table structure for attach_file_group
-- ----------------------------
DROP TABLE IF EXISTS `attach_file_group`;
CREATE TABLE `attach_file_group`  (
  `attach_file_group_id` bigint NOT NULL AUTO_INCREMENT,
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint NOT NULL COMMENT '店铺id',
  `name` varchar(6) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '分组名称',
  `type` tinyint NOT NULL COMMENT '1:图片 2:视频 3:文件',
  PRIMARY KEY (`attach_file_group_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 162 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;


USE mall4cloud_leaf;

-- ----------------------------
-- Table structure for leaf_alloc
-- ----------------------------
DROP TABLE IF EXISTS `leaf_alloc`;
CREATE TABLE `leaf_alloc`  (
  `biz_tag` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '区分业务',
  `max_id` bigint UNSIGNED NOT NULL DEFAULT 1 COMMENT '该biz_tag目前所被分配的ID号段的最大值',
  `step` int NOT NULL COMMENT '每次分配的号段长度',
  `update_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `description` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '描述',
  `random_step` int UNSIGNED NOT NULL DEFAULT 1 COMMENT '每次getid时随机增加的长度，这样就不会有连续的id了',
  PRIMARY KEY (`biz_tag`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;

-- ----------------------------
-- Records of leaf_alloc
-- ----------------------------
INSERT INTO `leaf_alloc` VALUES ('mall4cloud-auth-account', 112000, 100, '2021-07-01 14:16:40', 'mall4cloud-multishop数据库中auth_account这张表的uid', 10);
INSERT INTO `leaf_alloc` VALUES ('mall4cloud-multishop-user', 110400, 100, '2021-07-01 11:10:32', 'mall4cloud-multishop数据库中shop_user这张表的id', 10);
INSERT INTO `leaf_alloc` VALUES ('mall4cloud-order', 1568693084, 100, '2021-07-05 15:25:19', '订单id', 10);
INSERT INTO `leaf_alloc` VALUES ('mall4cloud-pay', 564994845, 100, '2021-07-05 15:14:40', '支付单号', 10);
INSERT INTO `leaf_alloc` VALUES ('mall4cloud-platform-user', 101600, 100, '2021-07-03 13:13:54', 'mall4cloud-platform数据库中sys_user这张表的id', 10);
INSERT INTO `leaf_alloc` VALUES ('mall4cloud-user', 106600, 100, '2021-07-01 11:22:26', 'mall4cloud-user数据库中user这张表的id', 10);


USE mall4cloud_multishop;

-- ----------------------------
-- Table structure for hot_search
-- ----------------------------
DROP TABLE IF EXISTS `hot_search`;
CREATE TABLE `hot_search`  (
  `hot_search_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint NULL DEFAULT NULL COMMENT '店铺ID 0为全平台热搜',
  `content` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '内容',
  `seq` int NULL DEFAULT NULL COMMENT '顺序',
  `status` tinyint NOT NULL DEFAULT 1 COMMENT '状态 0下线 1上线',
  `title` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '热搜标题',
  PRIMARY KEY (`hot_search_id`) USING BTREE,
  INDEX `idx_shop_id`(`shop_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 88 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '热搜';

-- ----------------------------
-- Table structure for index_img
-- ----------------------------
DROP TABLE IF EXISTS `index_img`;
CREATE TABLE `index_img`  (
  `img_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint NOT NULL COMMENT '店铺ID',
  `img_url` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '图片',
  `status` tinyint(1) NOT NULL DEFAULT 0 COMMENT '状态 1:enable, 0:disable',
  `seq` int NOT NULL DEFAULT 0 COMMENT '顺序',
  `spu_id` bigint NULL DEFAULT NULL COMMENT '关联商品id',
  `img_type` tinyint NOT NULL COMMENT '图片类型 0:小程序',
  PRIMARY KEY (`img_id`) USING BTREE,
  INDEX `idx_shop_id`(`shop_id`) USING BTREE,
  INDEX `idx_spu_id`(`spu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 74 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '轮播图';

-- ----------------------------
-- Table structure for shop_detail
-- ----------------------------
DROP TABLE IF EXISTS `shop_detail`;
CREATE TABLE `shop_detail`  (
  `shop_id` bigint NOT NULL AUTO_INCREMENT COMMENT '店铺id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '店铺名称',
  `intro` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '店铺简介',
  `shop_logo` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '店铺logo(可修改)',
  `mobile_background_pic` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '店铺移动端背景图',
  `shop_status` tinyint NOT NULL COMMENT '店铺状态(-1:已删除 0: 停业中 1:营业中)',
  `business_license` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '营业执照',
  `identity_card_front` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '身份证正面',
  `identity_card_later` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '身份证反面',
  `type` tinyint NULL DEFAULT NULL COMMENT '店铺类型1自营店 2普通店',
  PRIMARY KEY (`shop_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 322 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '店铺详情';
insert into `shop_detail` (`shop_id`, `create_time`, `update_time`, `shop_name`, `intro`, `shop_logo`, `mobile_background_pic`, `shop_status`, `business_license`, `identity_card_front`, `identity_card_later`, `type`) values
('324','2022-04-14 16:36:13','2022-04-14 16:36:13','商家','商家店铺','/2022/04/14/2bdd14bd15094b15907dfe6c2b86c536','/2022/04/14/791fb3e04fca4fc79adeb79378436068','1','/2022/04/14/136d531dfa9b4cbdb17f555a73b0f7b4','/2022/04/14/50f9525a2b86434e98d97f4df017fcb4','/2022/04/14/dcc4c3c9f44b420a995c292d6df93f2c','2');
-- ----------------------------
-- Table structure for shop_user
-- ----------------------------
DROP TABLE IF EXISTS `shop_user`;
CREATE TABLE `shop_user`  (
  `shop_user_id` bigint UNSIGNED NOT NULL COMMENT '商家用户id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint NULL DEFAULT NULL COMMENT '关联店铺id',
  `nick_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '昵称',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '员工编号',
  `phone_num` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系方式',
  `has_account` tinyint NULL DEFAULT NULL COMMENT '是否已经设置账号 0:未设置 1:已设置',
  PRIMARY KEY (`shop_user_id`) USING BTREE,
  INDEX `idx_shopid`(`shop_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商家用户';
insert into `shop_user` (`shop_user_id`, `create_time`, `update_time`, `shop_id`, `nick_name`, `code`, `phone_num`, `has_account`) values
('110400','2022-04-14 16:36:13','2022-04-14 16:36:13','324','商家',NULL,NULL,'1');
-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 387 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;



USE mall4cloud_nacos;


/*Table structure for table `config_info` */

DROP TABLE IF EXISTS `config_info`;

CREATE TABLE `config_info` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
    `data_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'data_id',
    `group_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
    `content` longtext CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'content',
    `md5` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
    `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
    `src_user` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'source user',
    `src_ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
    `app_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
    `tenant_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
    `c_desc` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
    `c_use` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
    `effect` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
    `type` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
    `c_schema` text CHARACTER SET utf8 COLLATE utf8_bin,
    `encrypted_data_key` text COLLATE utf8_bin NOT NULL COMMENT '秘钥',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `uk_configinfo_datagrouptenant` (`data_id`,`group_id`,`tenant_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4122 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin COMMENT='config_info';

-- ----------------------------
-- Records of config_info
-- ----------------------------
INSERT  INTO `config_info`(`id`,`data_id`,`group_id`,`content`,`md5`,`gmt_create`,`gmt_modified`,`src_user`,`src_ip`,`app_name`,`tenant_id`,`c_desc`,`c_use`,`effect`,`type`,`c_schema`,`encrypted_data_key`) VALUES
(2,'application-dev.yml','DEFAULT_GROUP','# 数据源\nspring:\n  #避免nacos取网卡出错\n  cloud:\n    inetutils:\n      preferred-networks: 192.168.1\n  datasource:\n    driver-class-name: com.mysql.cj.jdbc.Driver\n    type: com.zaxxer.hikari.HikariDataSource\n    hikari:\n      minimum-idle: 0\n      maximum-pool-size: 20\n      idle-timeout: 25000\n      auto-commit: true\n      connection-test-query: SELECT 1\n  data:\n    redis:\n      host: 192.168.1.46\n      # password: null\n  jackson:\n    date-format: yyyy-MM-dd HH:mm:ss\n    time-zone: GMT+8\n\nspringdoc:\n  api-docs:\n    path: /v3/api-docs/default\n  # 默认是false，需要设置为true\n  default-flat-param-object: true\n      \n#mybatis的相关配置\nmybatis:\n  #mapper配置文件\n  mapper-locations: classpath:mapper/*Mapper.xml\n  type-aliases-package: com.mall4j.cloud.**.model\n  #开启驼峰命名\n  configuration:\n    map-underscore-to-camel-case: true\n\nseata:\n  enableAutoDataSourceProxy: false\n  config:\n    type: nacos\n    nacos:\n      namespace: 4b70485d-72dd-44df-a76a-7a3f578a3001\n      dataId: \"seataServer.properties\"\n      server-addr: ${spring.cloud.nacos.discovery.server-addr}\n      password: ${spring.cloud.nacos.discovery.password}\n      username: ${spring.cloud.nacos.discovery.username}\n  registry:\n    type: nacos\n    nacos:\n      server-addr: ${spring.cloud.nacos.discovery.server-addr}\n      password: ${spring.cloud.nacos.discovery.password}\n      username: ${spring.cloud.nacos.discovery.username}\n      namespace: ${seata.config.nacos.namespace}\n\n\nbiz:\n  oss:\n    # resources-url是带有bucket的\n    resources-url: http://192.168.1.46:9000/mall4cloud\n    # 文件上传类型 0.阿里云 1.minio\n    type: 1\n    endpoint: http://192.168.1.46:9000\n    bucket: mall4cloud\n    access-key-id: admin\n    access-key-secret: admin123456\n\n\nlogging:\n  level:\n    root: info\n    com:\n      mall4cloud:\n        shop: debug\n# 分页合理化，当查询到页码大于最后一页的时候，返回最后一页的数据，防止vue在最后一页删除时，数据不对的问题\npagehelper:\n  reasonable: true\n\nfeign:\n  client:\n    config:\n      default:\n        connectTimeout: 5000\n        readTimeout: 5000\n        loggerLevel: basic\n  inside:\n    key: mall4cloud-feign-inside-key\n    secret: mall4cloud-feign-inside-secret\n    # ip白名单，如果有需要的话，用小写逗号分割\n    ips: \n\nmall4cloud:\n  job:\n    accessToken:\n    admin:\n      addresses: http://192.168.1.46:8999\n\nrocketmq:\n  name-server: 192.168.1.46:9876','c6f2562c2786298a6e13d74eaf2b6c7d','2020-09-07 05:54:23','2023-09-07 17:09:45','nacos','192.168.1.4','','','','','','yaml','',''),
(8,'mall4cloud-auth.yml','DEFAULT_GROUP','# 数据源\nspring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_auth}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}','d99e29908f968c8addb8f647d98b30b6','2020-09-07 06:05:57','2023-09-07 17:10:22','nacos','192.168.1.4','','','','','','yaml','',''),
(13,'mall4cloud-multishop.yml','DEFAULT_GROUP','# 数据源\nspring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_multishop}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}','e6e62d5a4d40101dc899cc37aecf7306','2020-09-07 06:38:01','2021-07-31 11:21:45','nacos','192.168.1.11','','','','','','yaml','',''),
(16,'mall4cloud-leaf.yml','DEFAULT_GROUP','# 数据源\nspring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_leaf}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}','f416d9ca7750b8cf5b78154e008233e8','2020-09-07 06:44:22','2021-07-31 11:21:55','nacos','192.168.1.11','','','','','','yaml','',''),
(18,'mall4cloud-rbac.yml','DEFAULT_GROUP','spring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_rbac}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}\n','d33047562436e609a37c493ad337ca85','2020-09-07 06:47:49','2021-07-31 11:22:04','nacos','192.168.1.11','','','','','','yaml','',''),
(31,'mall4cloud-biz.yml','DEFAULT_GROUP','# 数据源\nspring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_biz}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}','31606d955a15474a826dd7decd3a231e','2020-09-10 07:26:09','2023-09-07 16:11:51','nacos','192.168.1.4','','','','','','yaml','',''),
(72,'mall4cloud-product.yml','DEFAULT_GROUP','# 数据源\nspring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_product}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}','2d7d7afa8b27e6044377a4a3d584885a','2020-11-11 09:35:20','2021-07-31 11:22:45','nacos','192.168.1.11','','','','','','yaml','',''),
(73,'mall4cloud-search.yml','DEFAULT_GROUP','elastic:\n  # elastic的地址\n  address: 192.168.1.46\n  port: 9200','0e8ea5c03a559a26407a21e0efcc6a97','2020-11-12 06:57:25','2021-04-02 15:13:25',NULL,'','','','','','','yaml','',''),
(84,'mall4cloud-gateway.yml','DEFAULT_GROUP','spring:\n  codec:\n    max-in-memory-size: 2MB\n  cloud:\n    gateway:\n      globalcors:\n        cors-configurations:\n          \'[/**]\':\n            allow-credentials: true\n            allowed-headers: \"*\"\n            # 半个月内都允许\n            max-age: 1296000\n            # 测试环境，全部允许\n            allowedOriginPatterns: \"*\"\n            # allowedOrigins:\n              # - \"http://localhost:9527\"\n              # - \"http://localhost:9527\"\n              # - \"http://localhost:9528\"\n              # - \"http://localhost:9529\"\n              # - \"http://:9527\"\n            allowedMethods:\n              - GET\n              - POST\n              - PUT\n              - OPTIONS\n              - DELETE\n      discovery:\n        locator:\n          # 开启服务注册和发现\n          enabled: true\n          # 不手动写路由的话，swagger整合不了...\n      routes:\n        - id: mall4cloud-rbac\n          uri: lb://mall4cloud-rbac\n          predicates:\n            - Path=/mall4cloud_rbac/**\n          filters:\n            - RewritePath=/mall4cloud_rbac(?<segment>/?.*), $\\{segment}\n        - id: mall4cloud-auth\n          uri: lb://mall4cloud-auth\n          predicates:\n            - Path=/mall4cloud_auth/**\n          filters:\n            - RewritePath=/mall4cloud_auth(?<segment>/?.*), $\\{segment}\n        - id: mall4cloud-multishop\n          uri: lb://mall4cloud-multishop\n          predicates:\n            - Path=/mall4cloud_multishop/**\n          filters:\n            - RewritePath=/mall4cloud_multishop(?<segment>/?.*), $\\{segment}\n        - id: mall4cloud-biz\n          uri: lb://mall4cloud-biz\n          predicates:\n            - Path=/mall4cloud_biz/**\n          filters:\n            - RewritePath=/mall4cloud_biz(?<segment>/?.*), $\\{segment}\n        - id: mall4cloud-product\n          uri: lb://mall4cloud-product\n          predicates:\n            - Path=/mall4cloud_product/**\n          filters:\n            - RewritePath=/mall4cloud_product(?<segment>/?.*), $\\{segment}\n        - id: mall4cloud-user\n          uri: lb://mall4cloud-user\n          predicates:\n            - Path=/mall4cloud_user/**\n          filters:\n            - RewritePath=/mall4cloud_user(?<segment>/?.*), $\\{segment}\n        - id: mall4cloud-order\n          uri: lb://mall4cloud-order\n          predicates:\n            - Path=/mall4cloud_order/**\n          filters:\n            - RewritePath=/mall4cloud_order(?<segment>/?.*), $\\{segment}\n        - id: mall4cloud-platform\n          uri: lb://mall4cloud-platform\n          predicates:\n            - Path=/mall4cloud_platform/**\n          filters:\n            - RewritePath=/mall4cloud_platform(?<segment>/?.*), $\\{segment}\n        - id: mall4cloud-search\n          uri: lb://mall4cloud-search\n          predicates:\n            - Path=/mall4cloud_search/**\n          filters:\n            - RewritePath=/mall4cloud_search(?<segment>/?.*), $\\{segment}\n        - id: mall4cloud-payment\n          uri: lb://mall4cloud-payment\n          predicates:\n            - Path=/mall4cloud_payment/**\n          filters:\n            - RewritePath=/mall4cloud_payment(?<segment>/?.*), $\\{segment}\nknife4j:\n  gateway:\n    enabled: true\n    strategy: discover\n    discover:\n      version: openapi3\n      enabled: true','b5a073c7365fb614aea0382646b2a508','2020-11-19 06:49:26','2023-09-07 13:53:38','nacos','192.168.1.4','','','','','','yaml','',''),
(3727,'mall4cloud-order.yml','DEFAULT_GROUP','# 数据源\nspring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_order}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}','c33dca13b41bb90b2477f9ea7228ff48','2020-12-04 05:45:13','2021-04-02 12:53:44',NULL,'','','','','','','yaml','',''),
(3736,'mall4cloud-user.yml','DEFAULT_GROUP','# 数据源\nspring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_user}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}','a2c60ea7887ebb8a0f6f5f5005048b4b','2020-12-04 05:51:25','2021-04-02 12:54:49',NULL,'','','','','','','yaml','',''),
(3759,'mall4cloud-platform.yml','DEFAULT_GROUP','# 数据源\nspring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_platform}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}','274a64e67ef4fab65de1e7b70e0a9ff7','2020-12-21 07:38:16','2021-04-02 12:55:59',NULL,'','','','','','','yaml','',''),
(3812,'mall4cloud-payment.yml','DEFAULT_GROUP','# 数据源\nspring:\n  datasource:\n    url: jdbc:mysql://${MYSQL_HOST:192.168.1.46}:${MYSQL_PORT:3306}/${MYSQL_DATABASE:mall4cloud_payment}?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=GMT%2B8&allowMultiQueries=true&allowPublicKeyRetrieval=true&useAffectedRows=true\n    username: ${MYSQL_USERNAME:root}\n    password: ${MYSQL_PASSWORD:root}\napplication:\n  domainUrl: http://47.112.182.96:8126/mall4cloud_payment','2f4b89c096ab0cef9359c98b91ade543','2021-02-03 03:19:16','2021-04-02 12:56:14',NULL,'','','','','','','yaml','',''),
(4125,'seataServer.properties','SEATA_GROUP','#For details about configuration items, see https://seata.io/zh-cn/docs/user/configurations.html\n#Transport configuration, for client and server\ntransport.type=TCP\ntransport.server=NIO\ntransport.heartbeat=true\ntransport.enableTmClientBatchSendRequest=false\ntransport.enableRmClientBatchSendRequest=true\ntransport.enableTcServerBatchSendResponse=false\ntransport.rpcRmRequestTimeout=30000\ntransport.rpcTmRequestTimeout=30000\ntransport.rpcTcRequestTimeout=30000\ntransport.threadFactory.bossThreadPrefix=NettyBoss\ntransport.threadFactory.workerThreadPrefix=NettyServerNIOWorker\ntransport.threadFactory.serverExecutorThreadPrefix=NettyServerBizHandler\ntransport.threadFactory.shareBossWorker=false\ntransport.threadFactory.clientSelectorThreadPrefix=NettyClientSelector\ntransport.threadFactory.clientSelectorThreadSize=1\ntransport.threadFactory.clientWorkerThreadPrefix=NettyClientWorkerThread\ntransport.threadFactory.bossThreadSize=1\ntransport.threadFactory.workerThreadSize=default\ntransport.shutdown.wait=3\ntransport.serialization=seata\ntransport.compressor=none\n\n#Transaction routing rules configuration, only for the client\nservice.vgroupMapping.default_tx_group=default\n#If you use a registry, you can ignore it\nservice.default.grouplist=192.168.1.46:8091\nservice.enableDegrade=false\nservice.disableGlobalTransaction=false\n\n#Transaction rule configuration, only for the client\nclient.rm.asyncCommitBufferLimit=10000\nclient.rm.lock.retryInterval=10\nclient.rm.lock.retryTimes=30\nclient.rm.lock.retryPolicyBranchRollbackOnConflict=true\nclient.rm.reportRetryCount=5\nclient.rm.tableMetaCheckEnable=true\nclient.rm.tableMetaCheckerInterval=60000\nclient.rm.sqlParserType=druid\nclient.rm.reportSuccessEnable=false\nclient.rm.sagaBranchRegisterEnable=false\nclient.rm.sagaJsonParser=fastjson\nclient.rm.tccActionInterceptorOrder=-2147482648\nclient.tm.commitRetryCount=5\nclient.tm.rollbackRetryCount=5\nclient.tm.defaultGlobalTransactionTimeout=60000\nclient.tm.degradeCheck=false\nclient.tm.degradeCheckAllowTimes=10\nclient.tm.degradeCheckPeriod=2000\nclient.tm.interceptorOrder=-2147482648\nclient.undo.dataValidation=true\nclient.undo.logSerialization=jackson\nclient.undo.onlyCareUpdateColumns=true\nserver.undo.logSaveDays=7\nserver.undo.logDeletePeriod=86400000\nclient.undo.logTable=undo_log\nclient.undo.compress.enable=true\nclient.undo.compress.type=zip\nclient.undo.compress.threshold=64k\n#For TCC transaction mode\ntcc.fence.logTableName=tcc_fence_log\ntcc.fence.cleanPeriod=1h\n\n#Log rule configuration, for client and server\nlog.exceptionRate=100\n\n#Transaction storage configuration, only for the server. The file, DB, and redis configuration values are optional.\nstore.mode=DB\nstore.lock.mode=DB\nstore.session.mode=DB\n#Used for password encryption\nstore.publicKey=\n\n#If `store.mode,store.lock.mode,store.session.mode` are not equal to `file`, you can remove the configuration block.\nstore.file.dir=file_store/data\nstore.file.maxBranchSessionSize=16384\nstore.file.maxGlobalSessionSize=512\nstore.file.fileWriteBufferCacheSize=16384\nstore.file.flushDiskMode=async\nstore.file.sessionReloadReadSize=100\n\n#These configurations are required if the `store mode` is `db`. If `store.mode,store.lock.mode,store.session.mode` are not equal to `db`, you can remove the configuration block.\nstore.db.datasource=druid\nstore.db.dbType=mysql\nstore.db.driverClassName=com.mysql.jdbc.Driver\nstore.db.url=jdbc:mysql://192.168.1.46:3306/mall4cloud_seata?useUnicode=true&rewriteBatchedStatements=true\nstore.db.user=root\nstore.db.password=root\nstore.db.minConn=5\nstore.db.maxConn=30\nstore.db.globalTable=global_table\nstore.db.branchTable=branch_table\nstore.db.distributedLockTable=distributed_lock\nstore.db.queryLimit=100\nstore.db.lockTable=lock_table\nstore.db.maxWait=5000\n\n#These configurations are required if the `store mode` is `redis`. If `store.mode,store.lock.mode,store.session.mode` are not equal to `redis`, you can remove the configuration block.\nstore.redis.mode=single\nstore.redis.single.host=192.168.1.10\nstore.redis.single.port=6379\nstore.redis.sentinel.masterName=\nstore.redis.sentinel.sentinelHosts=\nstore.redis.maxConn=10\nstore.redis.minConn=1\nstore.redis.maxTotal=100\nstore.redis.database=0\nstore.redis.password=\nstore.redis.queryLimit=100\n\n#Transaction rule configuration, only for the server\nserver.recovery.committingRetryPeriod=1000\nserver.recovery.asynCommittingRetryPeriod=1000\nserver.recovery.rollbackingRetryPeriod=1000\nserver.recovery.timeoutRetryPeriod=1000\nserver.maxCommitRetryTimeout=-1\nserver.maxRollbackRetryTimeout=-1\nserver.rollbackRetryTimeoutUnlockEnable=false\nserver.distributedLockExpireTime=10000\nserver.xaerNotaRetryTimeout=60000\nserver.session.branchAsyncQueueSize=5000\nserver.session.enableBranchAsyncRemove=false\nserver.enableParallelRequestHandle=false\n\n#Metrics configuration, only for the server\nmetrics.enabled=false\nmetrics.registryType=compact\nmetrics.exporterList=prometheus\nmetrics.exporterPrometheusPort=9898','6066dbd91fa1b9a3bdf2a205280675f7','2023-03-15 11:53:03','2023-09-07 11:48:33','nacos','192.168.1.4','','4b70485d-72dd-44df-a76a-7a3f578a3001','','','','text','','');



/*Table structure for table `config_info_aggr` */

DROP TABLE IF EXISTS `config_info_aggr`;

CREATE TABLE `config_info_aggr` (
         `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
         `data_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'data_id',
         `group_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'group_id',
         `datum_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'datum_id',
         `content` longtext CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '内容',
         `gmt_modified` datetime NOT NULL COMMENT '修改时间',
         `app_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
         `tenant_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
         PRIMARY KEY (`id`) USING BTREE,
         UNIQUE KEY `uk_configinfoaggr_datagrouptenantdatum` (`data_id`,`group_id`,`tenant_id`,`datum_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin COMMENT='增加租户字段';

/*Table structure for table `config_info_beta` */

DROP TABLE IF EXISTS `config_info_beta`;

CREATE TABLE `config_info_beta` (
         `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
         `data_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'data_id',
         `group_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'group_id',
         `app_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
         `content` longtext CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'content',
         `beta_ips` varchar(1024) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'betaIps',
         `md5` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
         `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
         `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
         `src_user` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'source user',
         `src_ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
         `tenant_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
         `encrypted_data_key` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '秘钥',
         PRIMARY KEY (`id`) USING BTREE,
         UNIQUE KEY `uk_configinfobeta_datagrouptenant` (`data_id`,`group_id`,`tenant_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin COMMENT='config_info_beta';

/*Table structure for table `config_info_tag` */

DROP TABLE IF EXISTS `config_info_tag`;

CREATE TABLE `config_info_tag` (
        `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
        `data_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'data_id',
        `group_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'group_id',
        `tenant_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
        `tag_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'tag_id',
        `app_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
        `content` longtext CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'content',
        `md5` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'md5',
        `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
        `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
        `src_user` text CHARACTER SET utf8 COLLATE utf8_bin COMMENT 'source user',
        `src_ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'source ip',
        PRIMARY KEY (`id`) USING BTREE,
        UNIQUE KEY `uk_configinfotag_datagrouptenanttag` (`data_id`,`group_id`,`tenant_id`,`tag_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin COMMENT='config_info_tag';

/*Table structure for table `config_tags_relation` */

DROP TABLE IF EXISTS `config_tags_relation`;

CREATE TABLE `config_tags_relation` (
             `id` bigint NOT NULL COMMENT 'id',
             `tag_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'tag_name',
             `tag_type` varchar(64) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'tag_type',
             `data_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'data_id',
             `group_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'group_id',
             `tenant_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
             `nid` bigint NOT NULL AUTO_INCREMENT,
             PRIMARY KEY (`nid`) USING BTREE,
             UNIQUE KEY `uk_configtagrelation_configidtag` (`id`,`tag_name`,`tag_type`) USING BTREE,
             KEY `idx_tenant_id` (`tenant_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin COMMENT='config_tag_relation';

/*Table structure for table `group_capacity` */

DROP TABLE IF EXISTS `group_capacity`;

CREATE TABLE `group_capacity` (
       `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
       `group_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Group ID，空字符表示整个集群',
       `quota` int unsigned NOT NULL DEFAULT '0' COMMENT '配额，0表示使用默认值',
       `usage` int unsigned NOT NULL DEFAULT '0' COMMENT '使用量',
       `max_size` int unsigned NOT NULL DEFAULT '0' COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
       `max_aggr_count` int unsigned NOT NULL DEFAULT '0' COMMENT '聚合子配置最大个数，，0表示使用默认值',
       `max_aggr_size` int unsigned NOT NULL DEFAULT '0' COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
       `max_history_count` int unsigned NOT NULL DEFAULT '0' COMMENT '最大变更历史数量',
       `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
       `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
       PRIMARY KEY (`id`) USING BTREE,
       UNIQUE KEY `uk_group_id` (`group_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin COMMENT='集群、各Group容量信息表';

/*Table structure for table `his_config_info` */

DROP TABLE IF EXISTS `his_config_info`;

CREATE TABLE `his_config_info` (
        `id` bigint unsigned NOT NULL,
        `nid` bigint unsigned NOT NULL AUTO_INCREMENT,
        `data_id` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
        `group_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
        `app_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'app_name',
        `content` longtext CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
        `md5` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
        `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
        `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
        `src_user` text CHARACTER SET utf8 COLLATE utf8_bin,
        `src_ip` varchar(50) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
        `op_type` char(10) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL,
        `tenant_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '' COMMENT '租户字段',
        `encrypted_data_key` text CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT '秘钥',
        PRIMARY KEY (`nid`) USING BTREE,
        KEY `idx_gmt_create` (`gmt_create`) USING BTREE,
        KEY `idx_gmt_modified` (`gmt_modified`) USING BTREE,
        KEY `idx_did` (`data_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=4379 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin COMMENT='多租户改造';

/*Table structure for table `permissions` */

DROP TABLE IF EXISTS `permissions`;

CREATE TABLE `permissions` (
    `role` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
    `resource` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
    `action` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
    UNIQUE KEY `uk_role_permission` (`role`,`resource`,`action`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Table structure for table `roles` */

DROP TABLE IF EXISTS `roles`;

CREATE TABLE `roles` (
                         `username` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
                         `role` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
                         UNIQUE KEY `idx_user_role` (`username`,`role`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

/*Table structure for table `tenant_capacity` */

DROP TABLE IF EXISTS `tenant_capacity`;

CREATE TABLE `tenant_capacity` (
        `id` bigint unsigned NOT NULL AUTO_INCREMENT COMMENT '主键ID',
        `tenant_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '' COMMENT 'Tenant ID',
        `quota` int unsigned NOT NULL DEFAULT '0' COMMENT '配额，0表示使用默认值',
        `usage` int unsigned NOT NULL DEFAULT '0' COMMENT '使用量',
        `max_size` int unsigned NOT NULL DEFAULT '0' COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
        `max_aggr_count` int unsigned NOT NULL DEFAULT '0' COMMENT '聚合子配置最大个数',
        `max_aggr_size` int unsigned NOT NULL DEFAULT '0' COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
        `max_history_count` int unsigned NOT NULL DEFAULT '0' COMMENT '最大变更历史数量',
        `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
        `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
        PRIMARY KEY (`id`) USING BTREE,
        UNIQUE KEY `uk_tenant_id` (`tenant_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin COMMENT='租户容量信息表';

/*Table structure for table `tenant_info` */

DROP TABLE IF EXISTS `tenant_info`;

CREATE TABLE `tenant_info` (
    `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
    `kp` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'kp',
    `tenant_id` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_id',
    `tenant_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT '' COMMENT 'tenant_name',
    `tenant_desc` varchar(256) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'tenant_desc',
    `create_source` varchar(32) CHARACTER SET utf8 COLLATE utf8_bin DEFAULT NULL COMMENT 'create_source',
    `gmt_create` bigint NOT NULL COMMENT '创建时间',
    `gmt_modified` bigint NOT NULL COMMENT '修改时间',
    PRIMARY KEY (`id`) USING BTREE,
    UNIQUE KEY `uk_tenant_info_kptenantid` (`kp`,`tenant_id`) USING BTREE,
    KEY `idx_tenant_id` (`tenant_id`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3 COLLATE=utf8_bin COMMENT='tenant_info';

insert  into `tenant_info`(`id`,`kp`,`tenant_id`,`tenant_name`,`tenant_desc`,`create_source`,`gmt_create`,`gmt_modified`) values (2,'1','4b70485d-72dd-44df-a76a-7a3f578a3001','seata','seata','nacos',1653615223670,1653615223670);


/*Table structure for table `users` */

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
    `username` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
    `password` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
    `enabled` tinyint(1) NOT NULL,
    PRIMARY KEY (`username`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;


/*Data for the table `users` */
insert  into `users`(`username`,`password`,`enabled`) values
    ('nacos','$2a$10$EuWPZHzz32dJN7jexM34MOeYirDdFAZm2kuWj7VEOJhhZkDrxfvUu',1);



USE mall4cloud_order;


-- ----------------------------
-- Table structure for order
-- ----------------------------
DROP TABLE IF EXISTS `order`;
CREATE TABLE `order`  (
  `order_id` bigint UNSIGNED NOT NULL COMMENT '订单ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint NULL DEFAULT NULL COMMENT '店铺id',
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `delivery_type` tinyint NULL DEFAULT NULL COMMENT '配送类型：无需快递',
  `shop_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '店铺名称',
  `total` bigint NOT NULL COMMENT '总值',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '订单状态 1:待付款 2:待发货 3:待收货(已发货) 5:成功 6:失败',
  `all_count` int NULL DEFAULT NULL COMMENT '订单商品总数',
  `pay_time` datetime NULL DEFAULT NULL COMMENT '付款时间',
  `delivery_time` datetime NULL DEFAULT NULL COMMENT '发货时间',
  `finally_time` datetime NULL DEFAULT NULL COMMENT '完成时间',
  `settled_time` datetime NULL DEFAULT NULL COMMENT '结算时间',
  `cancel_time` datetime NULL DEFAULT NULL COMMENT '取消时间',
  `is_payed` tinyint(1) NULL DEFAULT NULL COMMENT '是否已支付，1.已支付0.未支付',
  `close_type` tinyint NULL DEFAULT NULL COMMENT '订单关闭原因 1-超时未支付 4-买家取消 15-已通过货到付款交易',
  `delete_status` tinyint NULL DEFAULT 0 COMMENT '用户订单删除状态，0：没有删除， 1：回收站， 2：永久删除',
  `version` int NULL DEFAULT NULL COMMENT '订单版本号，每处理一次订单，版本号+1',
  `order_addr_id` bigint NULL DEFAULT NULL COMMENT '用户订单地址id',
  PRIMARY KEY (`order_id`) USING BTREE,
  INDEX `idx_shop_id`(`shop_id`) USING BTREE,
  INDEX `idx_user_id`(`user_id`) USING BTREE,
  INDEX `idx_finally_time`(`finally_time`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '订单信息';

-- ----------------------------
-- Table structure for order_addr
-- ----------------------------
DROP TABLE IF EXISTS `order_addr`;
CREATE TABLE `order_addr`  (
  `order_addr_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户ID',
  `consignee` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '收货人',
  `province_id` bigint NULL DEFAULT NULL COMMENT '省ID',
  `province` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '省',
  `city_id` bigint NULL DEFAULT NULL COMMENT '城市ID',
  `city` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '城市',
  `area_id` bigint NULL DEFAULT NULL COMMENT '区域ID',
  `area` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '区',
  `addr` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地址',
  `post_code` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮编',
  `mobile` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '手机',
  `lng` decimal(12, 6) NULL DEFAULT NULL COMMENT '经度',
  `lat` decimal(12, 6) NULL DEFAULT NULL COMMENT '纬度',
  PRIMARY KEY (`order_addr_id`) USING BTREE,
  INDEX `idx_user_id`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5192 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户订单配送地址';

-- ----------------------------
-- Table structure for order_item
-- ----------------------------
DROP TABLE IF EXISTS `order_item`;
CREATE TABLE `order_item`  (
  `order_item_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '订单项ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint NOT NULL COMMENT '店铺id',
  `order_id` bigint NOT NULL COMMENT '订单id',
  `category_id` bigint NULL DEFAULT NULL COMMENT '分类id',
  `spu_id` bigint UNSIGNED NOT NULL COMMENT '产品ID',
  `sku_id` bigint UNSIGNED NOT NULL COMMENT '产品SkuID',
  `user_id` bigint NOT NULL COMMENT '用户Id',
  `count` int NULL DEFAULT 0 COMMENT '购物车产品个数',
  `spu_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '产品名称',
  `sku_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'sku名称',
  `pic` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '产品主图片路径',
  `delivery_type` tinyint NULL DEFAULT NULL COMMENT '单个orderItem的配送类型3：无需快递',
  `shop_cart_time` datetime NULL DEFAULT NULL COMMENT '加入购物车时间',
  `price` bigint NOT NULL COMMENT '产品价格',
  `spu_total_amount` bigint NOT NULL COMMENT '商品总金额',
  PRIMARY KEY (`order_item_id`) USING BTREE,
  INDEX `idx_order_id`(`order_id`) USING BTREE,
  INDEX `idx_shop_id`(`shop_id`) USING BTREE,
  INDEX `idx_spu_id`(`spu_id`) USING BTREE,
  INDEX `idx_sku_id`(`sku_id`) USING BTREE,
  INDEX `idx_user_id`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4805 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '订单项';

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 74 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;


USE mall4cloud_payment;


-- ----------------------------
-- Table structure for pay_info
-- ----------------------------
DROP TABLE IF EXISTS `pay_info`;
CREATE TABLE `pay_info`  (
  `pay_id` bigint UNSIGNED NOT NULL COMMENT '支付单号',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `user_id` bigint NULL DEFAULT NULL COMMENT '用户id',
  `order_ids` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '本次支付关联的多个订单号',
  `biz_pay_no` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '外部订单流水号',
  `sys_type` tinyint NULL DEFAULT NULL COMMENT '系统类型 见SysTypeEnum',
  `pay_status` tinyint NULL DEFAULT NULL COMMENT '支付状态',
  `pay_amount` bigint NULL DEFAULT NULL COMMENT '支付金额',
  `version` int NULL DEFAULT NULL COMMENT '版本号',
  `callback_content` varchar(4000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '回调内容',
  `callback_time` datetime NULL DEFAULT NULL COMMENT '回调时间',
  `confirm_time` datetime NULL DEFAULT NULL COMMENT '确认时间',
  PRIMARY KEY (`pay_id`) USING BTREE,
  INDEX `idx_biz_pay_no`(`biz_pay_no`) USING BTREE,
  INDEX `idx_user_id`(`user_id`) USING BTREE,
  INDEX `idx_order_ids`(`order_ids`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '订单支付记录';

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;


USE mall4cloud_platform;


-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `param_key` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'key',
  `param_value` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT 'value',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `key`(`param_key`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 111 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统配置信息表';

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `sys_user_id` bigint UNSIGNED NOT NULL COMMENT '平台用户id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `nick_name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '昵称',
  `avatar` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '头像',
  `code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '员工编号',
  `phone_num` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系方式',
  `has_account` tinyint NULL DEFAULT NULL COMMENT '是否已经设置账号',
  PRIMARY KEY (`sys_user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '平台用户';

insert  into `sys_user`(`sys_user_id`,`create_time`,`update_time`,`nick_name`,`avatar`,`code`,`phone_num`,`has_account`) values
(1, '2021-06-24 16:59:33', '2021-07-03 11:17:41', 'admin', '/2021/07/02/dd9ff362454d43d184c6d722dc14d7f6', '9527', '12345678910', 1);

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 325 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;


USE mall4cloud_product;


-- ----------------------------
-- Table structure for attr
-- ----------------------------
DROP TABLE IF EXISTS `attr`;
CREATE TABLE `attr`  (
  `attr_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'attr id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint NOT NULL DEFAULT 0 COMMENT '店铺Id',
  `name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '属性名称',
  `desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '属性描述',
  `search_type` tinyint NOT NULL DEFAULT 0 COMMENT '0:不需要，1:需要',
  `attr_type` tinyint NOT NULL DEFAULT 0 COMMENT '0:销售属性，1:基本属性',
  PRIMARY KEY (`attr_id`) USING BTREE,
  INDEX `idx_shop_id`(`shop_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7145 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '属性信息';

-- ----------------------------
-- Table structure for attr_category
-- ----------------------------
DROP TABLE IF EXISTS `attr_category`;
CREATE TABLE `attr_category`  (
  `attr_category_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '属性与分类关联id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `category_id` bigint UNSIGNED NOT NULL COMMENT '分类id',
  `attr_id` bigint NOT NULL COMMENT '属性id',
  PRIMARY KEY (`attr_category_id`) USING BTREE,
  UNIQUE INDEX `uni_attrgroup_id`(`category_id`, `attr_id`) USING BTREE,
  INDEX `idx_attr_id`(`attr_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 19015 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '属性与分类关联信息';

-- ----------------------------
-- Table structure for attr_value
-- ----------------------------
DROP TABLE IF EXISTS `attr_value`;
CREATE TABLE `attr_value`  (
  `attr_value_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '属性id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `attr_id` bigint UNSIGNED NOT NULL COMMENT '属性ID',
  `value` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '属性值',
  PRIMARY KEY (`attr_value_id`) USING BTREE,
  INDEX `idx_attr`(`attr_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 58234 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '属性值信息';

-- ----------------------------
-- Table structure for brand
-- ----------------------------
DROP TABLE IF EXISTS `brand`;
CREATE TABLE `brand`  (
  `brand_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'brand_id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '品牌名称',
  `desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '品牌描述',
  `img_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '品牌logo图片',
  `first_letter` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '检索首字母',
  `seq` int NULL DEFAULT NULL COMMENT '排序',
  `status` tinyint UNSIGNED NULL DEFAULT 0 COMMENT '状态 1:enable, 0:disable, -1:deleted',
  PRIMARY KEY (`brand_id`) USING BTREE,
  UNIQUE INDEX `uni_brand_id`(`brand_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 152 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '品牌信息';

-- ----------------------------
-- Table structure for category
-- ----------------------------
DROP TABLE IF EXISTS `category`;
CREATE TABLE `category`  (
  `category_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '分类id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint UNSIGNED NOT NULL COMMENT '店铺id',
  `parent_id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '父ID',
  `name` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分类名称',
  `desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分类描述',
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '分类地址{parent_id}-{child_id},...',
  `status` tinyint UNSIGNED NOT NULL DEFAULT 0 COMMENT '状态 1:enable, 0:disable, -1:deleted',
  `icon` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分类图标',
  `img_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分类的显示图片',
  `level` int NOT NULL COMMENT '分类层级 从0开始',
  `seq` int NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`category_id`) USING BTREE,
  INDEX `idx_shop_id`(`shop_id`) USING BTREE,
  INDEX `idx_pid`(`parent_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100380 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '分类信息';

-- ----------------------------
-- Table structure for category_brand
-- ----------------------------
DROP TABLE IF EXISTS `category_brand`;
CREATE TABLE `category_brand`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `brand_id` bigint UNSIGNED NOT NULL COMMENT '品牌id',
  `category_id` bigint UNSIGNED NOT NULL COMMENT '分类id',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uni_brand_category_id`(`brand_id`, `category_id`) USING BTREE,
  INDEX `idx_category_id`(`category_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 60 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '品牌分类关联信息';

-- ----------------------------
-- Table structure for shop_cart_item
-- ----------------------------
DROP TABLE IF EXISTS `shop_cart_item`;
CREATE TABLE `shop_cart_item`  (
  `cart_item_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint NOT NULL COMMENT '店铺ID',
  `spu_id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT '产品ID',
  `sku_id` bigint UNSIGNED NOT NULL DEFAULT 0 COMMENT 'SkuID',
  `user_id` bigint UNSIGNED NOT NULL COMMENT '用户ID',
  `count` int NOT NULL DEFAULT 0 COMMENT '购物车产品个数',
  `price_fee` bigint UNSIGNED NOT NULL COMMENT '售价，加入购物车时的商品价格',
  `is_checked` tinyint NULL DEFAULT NULL COMMENT '是否已勾选',
  PRIMARY KEY (`cart_item_id`) USING BTREE,
  UNIQUE INDEX `uk_user_shop_sku`(`sku_id`, `user_id`, `shop_id`) USING BTREE,
  INDEX `idx_shop_id`(`shop_id`) USING BTREE,
  INDEX `idx_user_id`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 483 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '购物车';

-- ----------------------------
-- Table structure for sku
-- ----------------------------
DROP TABLE IF EXISTS `sku`;
CREATE TABLE `sku`  (
  `sku_id` bigint NOT NULL AUTO_INCREMENT COMMENT '属性id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `spu_id` bigint NOT NULL COMMENT 'SPU id',
  `sku_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'sku名称',
  `attrs` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '多个销售属性值id逗号分隔',
  `img_url` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'sku图片',
  `price_fee` bigint NOT NULL DEFAULT 0 COMMENT '售价，整数方式保存',
  `market_price_fee` bigint NOT NULL DEFAULT 0 COMMENT '市场价，整数方式保存',
  `party_code` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品编码',
  `model_id` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品条形码',
  `weight` decimal(15, 3) NULL DEFAULT NULL COMMENT '商品重量',
  `volume` decimal(15, 3) NULL DEFAULT NULL COMMENT '商品体积',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '状态 1:enable, 0:disable, -1:deleted',
  PRIMARY KEY (`sku_id`) USING BTREE,
  INDEX `idx_spuid`(`spu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3523 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sku信息';

-- ----------------------------
-- Table structure for sku_stock
-- ----------------------------
DROP TABLE IF EXISTS `sku_stock`;
CREATE TABLE `sku_stock`  (
  `stock_id` bigint NOT NULL AUTO_INCREMENT COMMENT '库存id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `sku_id` bigint UNSIGNED NOT NULL COMMENT 'SKU ID',
  `actual_stock` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '实际库存',
  `lock_stock` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '锁定库存',
  `stock` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '可售卖库存',
  PRIMARY KEY (`stock_id`) USING BTREE,
  INDEX `idx_skuid`(`sku_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3378 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '库存信息';

-- ----------------------------
-- Table structure for sku_stock_lock
-- ----------------------------
DROP TABLE IF EXISTS `sku_stock_lock`;
CREATE TABLE `sku_stock_lock`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `spu_id` bigint NULL DEFAULT NULL COMMENT '商品id',
  `sku_id` bigint NULL DEFAULT NULL COMMENT 'sku id',
  `order_id` bigint NULL DEFAULT NULL COMMENT '订单id',
  `status` tinyint NULL DEFAULT NULL COMMENT '状态-1已解锁 0待确定 1已锁定',
  `count` int NULL DEFAULT NULL COMMENT '锁定库存数量',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uni_spu_sku_order`(`spu_id`, `sku_id`, `order_id`) USING BTREE,
  INDEX `idx_sku_id`(`sku_id`) USING BTREE,
  INDEX `idx_order_id`(`order_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1000 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '库存锁定信息';

-- ----------------------------
-- Table structure for spu
-- ----------------------------
DROP TABLE IF EXISTS `spu`;
CREATE TABLE `spu`  (
  `spu_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'spu id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `brand_id` bigint NULL DEFAULT NULL COMMENT '品牌ID',
  `category_id` bigint NOT NULL COMMENT '分类ID',
  `shop_category_id` bigint NOT NULL DEFAULT 0 COMMENT '店铺分类ID',
  `shop_id` bigint NOT NULL COMMENT '店铺id',
  `name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品名称',
  `selling_point` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '卖点',
  `main_img_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品介绍主图',
  `img_urls` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品图片 多个图片逗号分隔',
  `video` varchar(150) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '商品视频',
  `price_fee` bigint NOT NULL DEFAULT 0 COMMENT '售价，整数方式保存',
  `market_price_fee` bigint NOT NULL DEFAULT 0 COMMENT '市场价，整数方式保存',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '状态 -1:删除, 0:下架, 1:上架',
  `has_sku_img` tinyint NOT NULL DEFAULT 0 COMMENT 'sku是否含有图片 0无 1有',
  `seq` smallint NOT NULL DEFAULT 3 COMMENT '序号',
  PRIMARY KEY (`spu_id`) USING BTREE,
  INDEX `idx_brandid`(`brand_id`) USING BTREE,
  INDEX `idx_catid`(`category_id`) USING BTREE,
  INDEX `idx_shopid`(`shop_id`) USING BTREE,
  INDEX `idx_shop_catid`(`shop_category_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 575 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'spu信息';

-- ----------------------------
-- Table structure for spu_attr_value
-- ----------------------------
DROP TABLE IF EXISTS `spu_attr_value`;
CREATE TABLE `spu_attr_value`  (
  `spu_attr_value_id` bigint NOT NULL AUTO_INCREMENT COMMENT '商品属性值关联信息id',
  `spu_id` bigint UNSIGNED NOT NULL COMMENT '商品id',
  `attr_id` bigint UNSIGNED NOT NULL COMMENT '规格属性id',
  `attr_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规格属性名称',
  `attr_value_id` bigint NULL DEFAULT NULL COMMENT '规格属性值id',
  `attr_value_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规格属性值名称',
  `attr_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '规格属性描述',
  PRIMARY KEY (`spu_attr_value_id`) USING BTREE,
  UNIQUE INDEX `uni_spuid`(`spu_id`, `attr_id`) USING BTREE,
  INDEX `idx_attrid`(`attr_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 22489 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品规格属性关联信息';

-- ----------------------------
-- Table structure for spu_detail
-- ----------------------------
DROP TABLE IF EXISTS `spu_detail`;
CREATE TABLE `spu_detail`  (
  `spu_id` bigint NOT NULL COMMENT '商品id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `detail` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '商品详情',
  PRIMARY KEY (`spu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品详情信息';

-- ----------------------------
-- Table structure for spu_extension
-- ----------------------------
DROP TABLE IF EXISTS `spu_extension`;
CREATE TABLE `spu_extension`  (
  `spu_extend_id` bigint NOT NULL AUTO_INCREMENT COMMENT '商品扩展信息表id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `spu_id` bigint UNSIGNED NOT NULL COMMENT '商品id',
  `sale_num` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '销量',
  `actual_stock` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '实际库存',
  `lock_stock` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '锁定库存',
  `stock` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '可售卖库存',
  PRIMARY KEY (`spu_extend_id`) USING BTREE,
  INDEX `idx_spu`(`spu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 540 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;

-- ----------------------------
-- Table structure for spu_sku_attr_value
-- ----------------------------
DROP TABLE IF EXISTS `spu_sku_attr_value`;
CREATE TABLE `spu_sku_attr_value`  (
  `spu_sku_attr_id` int UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '商品sku销售属性关联信息id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `spu_id` bigint NOT NULL DEFAULT 0 COMMENT 'SPU ID',
  `sku_id` bigint NOT NULL DEFAULT 0 COMMENT 'SKU ID',
  `attr_id` int NULL DEFAULT 0 COMMENT '销售属性ID',
  `attr_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '销售属性名称',
  `attr_value_id` int NULL DEFAULT 0 COMMENT '销售属性值ID',
  `attr_value_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '销售属性值',
  `status` tinyint NOT NULL DEFAULT 0 COMMENT '状态 1:enable, 0:disable, -1:deleted',
  PRIMARY KEY (`spu_sku_attr_id`) USING BTREE,
  INDEX `idx_spuid`(`spu_id`) USING BTREE,
  INDEX `idx_skuid`(`sku_id`) USING BTREE,
  INDEX `idx_attrid`(`attr_id`) USING BTREE,
  INDEX `idx_attrvalueid`(`attr_value_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11803 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品sku销售属性关联信息';

-- ----------------------------
-- Table structure for spu_tag
-- ----------------------------
DROP TABLE IF EXISTS `spu_tag`;
CREATE TABLE `spu_tag`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT '分组标签id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `title` varchar(36) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '分组标题',
  `shop_id` bigint NULL DEFAULT NULL COMMENT '店铺Id',
  `status` tinyint(1) NULL DEFAULT NULL COMMENT '状态(1为正常,-1为删除)',
  `is_default` tinyint(1) NULL DEFAULT NULL COMMENT '默认类型(0:商家自定义,1:系统默认)',
  `prod_count` bigint NULL DEFAULT NULL COMMENT '商品数量',
  `style` int NULL DEFAULT NULL COMMENT '列表样式(0:一列一个,1:一列两个,2:一列三个)',
  `seq` int NULL DEFAULT NULL COMMENT '排序',
  `delete_time` datetime NULL DEFAULT NULL COMMENT '删除时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 65 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品分组表';

-- ----------------------------
-- Table structure for spu_tag_reference
-- ----------------------------
DROP TABLE IF EXISTS `spu_tag_reference`;
CREATE TABLE `spu_tag_reference`  (
  `reference_id` bigint NOT NULL AUTO_INCREMENT COMMENT '分组引用id',
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `shop_id` bigint NULL DEFAULT NULL COMMENT '店铺id',
  `tag_id` bigint NULL DEFAULT NULL COMMENT '标签id',
  `spu_id` bigint NULL DEFAULT NULL COMMENT '商品id',
  `status` tinyint(1) NULL DEFAULT NULL COMMENT '状态(1:正常,-1:删除)',
  `seq` int NULL DEFAULT NULL COMMENT '排序',
  PRIMARY KEY (`reference_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 367 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '商品分组标签关联信息';

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 254 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;


USE mall4cloud_rbac;


-- ----------------------------
-- Table structure for menu
-- ----------------------------
DROP TABLE IF EXISTS `menu`;
CREATE TABLE `menu`  (
  `menu_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '菜单id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `parent_id` bigint UNSIGNED NOT NULL COMMENT '父菜单ID，一级菜单为0',
  `biz_type` tinyint NULL DEFAULT NULL COMMENT '业务类型 1 店铺菜单 2平台菜单',
  `permission` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限，需要有哪个权限才能访问该菜单',
  `path` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路径 就像uri',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '1.\'Layout\' 为布局，不会跳页面 2.\'components-demo/tinymce\' 跳转到该页面',
  `redirect` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '当设置 noRedirect 的时候该路由在面包屑导航中不可被点击',
  `always_show` tinyint NULL DEFAULT NULL COMMENT '一直显示根路由',
  `hidden` tinyint NULL DEFAULT NULL COMMENT '当设置 true 的时候该路由不会在侧边栏出现 如401，login等页面，或者如一些编辑页面/edit/1',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设定路由的名字，一定要填写不然使用<keep-alive>时会出现各种问题',
  `title` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设置该路由在侧边栏和面包屑中展示的名字',
  `icon` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '设置该路由的图标，支持 svg-class，也支持 el-icon-x element-ui 的 icon',
  `no_cache` tinyint NULL DEFAULT NULL COMMENT '如果设置为true，则不会被 <keep-alive> 缓存(默认 false)',
  `breadcrumb` tinyint NULL DEFAULT NULL COMMENT '如果设置为false，则不会在breadcrumb面包屑中显示(默认 true)',
  `affix` tinyint NULL DEFAULT NULL COMMENT '若果设置为true，它则会固定在tags-view中(默认 false)',
  `active_menu` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '当路由设置了该属性，则会高亮相对应的侧边栏。',
  `seq` int NULL DEFAULT NULL COMMENT '排序，越小越靠前',
  PRIMARY KEY (`menu_id`) USING BTREE,
  INDEX `idx_pid`(`parent_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 328 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单管理';

-- ----------------------------
-- Records of menu
-- ----------------------------
INSERT INTO `menu` VALUES (111, '2020-12-01 14:20:42', '2021-01-28 10:12:08', 0, 1, NULL, '/rbac', 'Layout', NULL, NULL, 0, '权限管理', '权限管理', 'el-icon-office-building', NULL, NULL, NULL, NULL, 99);
INSERT INTO `menu` VALUES (112, '2020-12-01 14:22:09', '2021-01-28 10:12:14', 111, 1, NULL, '/multishop/shop_user', 'multishop/shop-user', NULL, NULL, 0, '用户管理', '用户管理', '', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (134, '2020-12-03 16:49:48', '2021-01-28 10:12:22', 111, 1, NULL, 'role', 'rbac/role', NULL, NULL, 0, '角色管理', '角色管理', NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `menu` VALUES (137, '2020-12-03 17:54:02', '2021-01-28 10:13:07', 141, 1, NULL, 'attr', 'product/attr', NULL, NULL, 0, '属性管理', '属性管理', NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (139, '2020-12-03 17:54:02', '2021-01-28 10:13:20', 141, 1, NULL, 'category', 'product/category', NULL, NULL, 0, 'category', '分类管理', NULL, NULL, NULL, NULL, NULL, 2);
INSERT INTO `menu` VALUES (141, '2020-12-03 17:55:22', '2021-01-01 09:01:48', 0, 1, NULL, '/product', 'Layout', NULL, NULL, 0, '商品管理', '商品管理', 'product', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (142, '2020-12-03 17:54:02', '2021-03-12 09:31:52', 141, 1, NULL, 'prod_info', 'product/prod-info', NULL, NULL, 0, '发布商品', '发布商品', NULL, NULL, NULL, NULL, NULL, 4);
INSERT INTO `menu` VALUES (145, '2020-12-04 10:08:17', '2021-01-28 10:13:47', 0, 1, NULL, '/multishop', 'Layout', NULL, NULL, 0, '店铺管理', '店铺管理', 'el-icon-house', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (146, '2020-12-04 10:09:38', '2021-01-28 10:13:53', 145, 1, NULL, 'index_img', 'multishop/index-img', NULL, NULL, 0, '轮播图管理', '轮播图管理', '', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (147, '2020-12-04 11:30:59', '2021-01-01 09:28:45', 0, 1, NULL, '/order', 'Layout', NULL, NULL, 0, '订单管理', '订单管理', 'order', NULL, NULL, NULL, NULL, 90);
INSERT INTO `menu` VALUES (148, '2020-12-04 11:32:46', '2021-01-28 09:52:10', 147, 1, NULL, 'order', 'order/order', NULL, NULL, 0, 'order', '订单管理', NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `menu` VALUES (152, '2020-12-16 10:16:39', '2021-01-28 10:13:32', 141, 1, NULL, 'list', 'product/list', NULL, NULL, 0, '商品列表', '商品列表', '', NULL, NULL, NULL, NULL, 5);
INSERT INTO `menu` VALUES (155, '2020-12-01 14:20:42', '2021-04-22 10:30:44', 0, 2, NULL, '/rbac', 'Layout', NULL, NULL, 0, '权限管理', '权限管理', 'el-icon-office-building', NULL, NULL, NULL, NULL, 99);
INSERT INTO `menu` VALUES (156, '2020-12-01 14:22:09', '2021-04-22 10:30:44', 155, 2, NULL, '/platform/sys_user', 'platform/sys-user', NULL, NULL, 0, '用户管理', '用户管理', '', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (157, '2020-12-03 16:49:48', '2021-04-22 10:30:44', 155, 2, NULL, 'role', 'rbac/role', NULL, NULL, 0, '角色管理', '角色管理', NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `menu` VALUES (158, '2020-12-03 16:49:48', '2021-04-22 10:30:44', 155, 2, NULL, 'menu', 'rbac/menu', NULL, NULL, 0, '平台菜单管理', '平台菜单管理', NULL, NULL, NULL, NULL, NULL, 2);
INSERT INTO `menu` VALUES (159, '2020-12-03 16:49:48', '2021-04-22 10:30:44', 155, 2, NULL, 'menu_permission', 'rbac/menu-permission', NULL, NULL, 0, '菜单资源', '菜单资源', NULL, NULL, NULL, NULL, NULL, 3);
INSERT INTO `menu` VALUES (160, '2020-12-03 17:54:02', '2021-04-22 10:30:44', 164, 2, NULL, 'attr', 'product/attr', NULL, NULL, 0, '属性管理', '属性管理', NULL, NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (161, '2020-12-03 17:54:02', '2021-04-22 10:30:44', 164, 2, NULL, 'brand', 'product/brand', NULL, NULL, 0, '品牌管理', '品牌管理', NULL, NULL, NULL, NULL, NULL, 1);
INSERT INTO `menu` VALUES (162, '2020-12-03 17:54:02', '2021-04-22 10:30:44', 164, 2, NULL, 'category', 'product/category', NULL, NULL, 0, 'category', '分类管理', NULL, NULL, NULL, NULL, NULL, 2);
INSERT INTO `menu` VALUES (164, '2020-12-03 17:55:22', '2021-04-22 10:30:44', 0, 2, NULL, '/product', 'Layout', NULL, NULL, 0, 'product', '商品管理', 'el-icon-shopping-bag-1', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (175, '2020-12-16 10:16:39', '2021-04-22 10:30:44', 164, 2, NULL, 'list', 'product/list', NULL, NULL, 0, '商品管理', '商品管理', '', NULL, NULL, NULL, NULL, 5);
INSERT INTO `menu` VALUES (178, '2020-12-22 09:26:41', '2021-04-22 10:30:44', 155, 2, NULL, 'shop-menu', 'rbac/shop-menu', NULL, NULL, 0, '店铺菜单管理', '店铺菜单管理', '', NULL, NULL, NULL, NULL, 2);
INSERT INTO `menu` VALUES (255, '2021-01-27 14:10:56', '2021-04-22 10:30:44', 0, 2, NULL, '/platform', 'Layout', NULL, NULL, 0, 'platform', '平台管理', 'tree', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (256, '2021-01-27 14:14:51', '2021-04-22 10:30:44', 255, 2, NULL, 'hot-search', 'platform/hot-search', NULL, NULL, 0, 'hot-search', '热搜管理', 'el-icon-search', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (257, '2021-01-28 09:48:39', '2021-04-22 10:30:44', 255, 2, NULL, 'index-img', 'platform/index-img', NULL, NULL, 0, '轮播图管理', '轮播图管理', 'el-icon-picture-outline', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (258, '2021-01-28 11:06:52', '2021-01-28 11:06:52', 145, 1, NULL, 'hot-search', 'multishop/hot-search', NULL, NULL, 0, 'hot-search', '热搜管理', '', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (302, '2021-05-13 19:02:02', '2021-05-13 19:02:20', 255, 2, NULL, 'shop-detail', 'platform/shop-detail', NULL, NULL, 1, '店铺详情', '店铺详情', '', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (306, '2021-05-14 17:32:04', '2021-05-14 17:34:08', 255, 2, NULL, 'shop-edit', 'platform/shop-edit', NULL, NULL, 1, '店铺编辑', '店铺编辑', '', NULL, NULL, NULL, NULL, 0);
INSERT INTO `menu` VALUES (327, '2021-06-30 20:22:45', '2021-06-30 20:25:49', 255, 2, NULL, 'shop-manage', 'platform/shop-manage', NULL, NULL, 0, '店铺管理', '店铺管理', 'el-icon-s-order', NULL, NULL, NULL, NULL, 3);

-- ----------------------------
-- Table structure for menu_permission
-- ----------------------------
DROP TABLE IF EXISTS `menu_permission`;
CREATE TABLE `menu_permission`  (
  `menu_permission_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '菜单资源用户id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `menu_id` bigint NOT NULL COMMENT '资源关联菜单',
  `biz_type` tinyint NOT NULL COMMENT '业务类型 1 店铺菜单 2平台菜单',
  `permission` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '权限对应的编码',
  `name` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '资源名称',
  `uri` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '资源对应服务器路径',
  `method` tinyint NOT NULL COMMENT '请求方法 1.GET 2.POST 3.PUT 4.DELETE',
  PRIMARY KEY (`menu_permission_id`) USING BTREE,
  UNIQUE INDEX `uk_permission`(`permission`, `biz_type`) USING BTREE,
  INDEX `idx_menuid`(`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 230 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单资源';

-- ----------------------------
-- Records of menu_permission
-- ----------------------------

-- ----------------------------
-- Table structure for role
-- ----------------------------
DROP TABLE IF EXISTS `role`;
CREATE TABLE `role`  (
  `role_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '角色id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `role_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `remark` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_user_id` bigint UNSIGNED NOT NULL COMMENT '创建者ID',
  `biz_type` tinyint NULL DEFAULT NULL COMMENT '业务类型 1 店铺菜单 2平台菜单',
  `tenant_id` bigint NULL DEFAULT NULL COMMENT '所属租户',
  PRIMARY KEY (`role_id`) USING BTREE,
  INDEX `idx_tenant_id`(`tenant_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 66 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色';

-- ----------------------------
-- Records of role
-- ----------------------------

-- ----------------------------
-- Table structure for role_menu
-- ----------------------------
DROP TABLE IF EXISTS `role_menu`;
CREATE TABLE `role_menu`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '关联id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `role_id` bigint UNSIGNED NOT NULL COMMENT '角色ID',
  `menu_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '菜单ID',
  `menu_permission_id` bigint UNSIGNED NULL DEFAULT NULL COMMENT '菜单资源用户id',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_roleid_menu_permission_id`(`role_id`, `menu_id`, `menu_permission_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1924 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色与菜单对应关系';

-- ----------------------------
-- Records of role_menu
-- ----------------------------


-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 81 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;

-- ----------------------------
-- Records of undo_log
-- ----------------------------

-- ----------------------------
-- Table structure for user_role
-- ----------------------------
DROP TABLE IF EXISTS `user_role`;
CREATE TABLE `user_role`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '关联id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `user_id` bigint UNSIGNED NOT NULL COMMENT '用户ID',
  `role_id` bigint UNSIGNED NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_userid_roleid`(`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 254 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户与角色对应关系';

-- ----------------------------
-- Records of user_role
-- ----------------------------


USE mall4cloud_seata;

-- ----------------------------
-- Table structure for branch_table
-- ----------------------------
DROP TABLE IF EXISTS `branch_table`;
CREATE TABLE `branch_table`  (
  `branch_id` bigint NOT NULL,
  `xid` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `transaction_id` bigint NULL DEFAULT NULL,
  `resource_group_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `resource_id` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `branch_type` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` tinyint NULL DEFAULT NULL,
  `client_id` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `application_data` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `gmt_create` datetime(6) NULL DEFAULT NULL,
  `gmt_modified` datetime(6) NULL DEFAULT NULL,
  PRIMARY KEY (`branch_id`) USING BTREE,
  INDEX `idx_xid`(`xid`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci;

-- ----------------------------
-- Records of branch_table
-- ----------------------------

-- ----------------------------
-- Table structure for global_table
-- ----------------------------
DROP TABLE IF EXISTS `global_table`;
CREATE TABLE `global_table`  (
  `xid` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `transaction_id` bigint NULL DEFAULT NULL,
  `status` tinyint NOT NULL,
  `application_id` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `transaction_service_group` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `transaction_name` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `timeout` int NULL DEFAULT NULL,
  `begin_time` bigint NULL DEFAULT NULL,
  `application_data` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `gmt_create` datetime NULL DEFAULT NULL,
  `gmt_modified` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`xid`) USING BTREE,
  INDEX `idx_gmt_modified_status`(`gmt_modified`, `status`) USING BTREE,
  INDEX `idx_transaction_id`(`transaction_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci;

-- ----------------------------
-- Records of global_table
-- ----------------------------

-- ----------------------------
-- Table structure for lock_table
-- ----------------------------
DROP TABLE IF EXISTS `lock_table`;
CREATE TABLE `lock_table`  (
  `row_key` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL,
  `xid` varchar(96) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `transaction_id` bigint NULL DEFAULT NULL,
  `branch_id` bigint NOT NULL,
  `resource_id` varchar(256) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `table_name` varchar(32) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `pk` varchar(36) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `gmt_create` datetime NULL DEFAULT NULL,
  `gmt_modified` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`row_key`) USING BTREE,
  INDEX `idx_branch_id`(`branch_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci;

-- ----------------------------
-- Records of lock_table
-- ----------------------------


USE mall4cloud_user;


-- ----------------------------
-- Table structure for area
-- ----------------------------
DROP TABLE IF EXISTS `area`;
CREATE TABLE `area`  (
  `area_id` bigint NOT NULL AUTO_INCREMENT,
  `create_time` datetime NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `area_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '地址',
  `parent_id` bigint NOT NULL COMMENT '上级地址',
  `level` int NOT NULL COMMENT '等级（从1开始）',
  PRIMARY KEY (`area_id`) USING BTREE,
  INDEX `parent_id`(`parent_id`) USING BTREE COMMENT '上级id'
) ENGINE = InnoDB AUTO_INCREMENT = 659041 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '省市区地区信息';

-- ----------------------------
-- Table structure for undo_log
-- ----------------------------
DROP TABLE IF EXISTS `undo_log`;
CREATE TABLE `undo_log`  (
  `id` bigint NOT NULL AUTO_INCREMENT,
  `branch_id` bigint NOT NULL,
  `xid` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `context` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `rollback_info` longblob NOT NULL,
  `log_status` int NOT NULL,
  `log_created` datetime NOT NULL,
  `log_modified` datetime NOT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `ux_undo_log`(`xid`, `branch_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 91 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci;

-- ----------------------------
-- Table structure for user
-- ----------------------------
DROP TABLE IF EXISTS `user`;
CREATE TABLE `user`  (
  `user_id` bigint NOT NULL COMMENT 'ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '注册时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `nick_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '用户昵称',
  `pic` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '头像图片路径',
  `status` int NOT NULL DEFAULT 1 COMMENT '状态 1 正常 0 无效',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户表';

-- ----------------------------
-- Table structure for user_addr
-- ----------------------------
DROP TABLE IF EXISTS `user_addr`;
CREATE TABLE `user_addr`  (
  `addr_id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '建立时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `user_id` bigint NOT NULL COMMENT '用户ID',
  `mobile` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '手机',
  `is_default` tinyint NOT NULL COMMENT '是否默认地址 1是',
  `consignee` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '收货人',
  `province_id` bigint NULL DEFAULT NULL COMMENT '省ID',
  `province` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '省',
  `city_id` bigint NULL DEFAULT NULL COMMENT '城市ID',
  `city` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '城市',
  `area_id` bigint NULL DEFAULT NULL COMMENT '区ID',
  `area` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '区',
  `post_code` varchar(15) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮编',
  `addr` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '地址',
  `lng` decimal(12, 6) NULL DEFAULT NULL COMMENT '经度',
  `lat` decimal(12, 6) NULL DEFAULT NULL COMMENT '纬度',
  PRIMARY KEY (`addr_id`) USING BTREE,
  INDEX `idx_user_id`(`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 203 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户地址';





insert into `area` (`area_id`, `create_time`, `update_time`, `area_name`, `parent_id`, `level`)
values ('1', '2022-05-12 14:17:34', '2022-05-12 14:17:37', '东北', '0', '0'),
       ('2', '2022-05-12 14:17:50', '2022-05-12 14:17:53', '华东', '0', '0'),
       ('3', '2022-05-12 14:18:15', '2022-05-12 14:18:18', '华中', '0', '0'),
       ('4', '2022-05-12 14:19:50', '2022-05-12 14:19:47', '华南', '0', '0'),
       ('5', '2022-05-12 14:19:53', '2022-05-12 14:19:55', '华北', '0', '0'),
       ('6', '2022-05-12 14:20:01', '2022-05-12 14:19:58', '西北', '0', '0'),
       ('7', '2022-05-12 14:20:02', '2022-05-12 14:20:07', '西南', '0', '0'),
       ('8', '2022-05-12 14:20:36', '2022-05-12 14:27:09', '港澳台', '0', '0'),
       ('11', '2022-05-12 14:10:50', '2022-05-12 14:22:58', '北京市', '5', '1'),
       ('12', '2022-05-12 14:10:50', '2022-05-12 14:22:58', '天津市', '5', '1'),
       ('13', '2022-05-12 14:10:50', '2022-05-12 14:22:58', '河北省', '5', '1'),
       ('14', '2022-05-12 14:10:50', '2022-05-12 14:22:58', '山西省', '5', '1'),
       ('15', '2022-05-12 14:10:50', '2022-05-12 14:22:58', '内蒙古自治区', '5', '1'),
       ('21', '2022-05-12 14:10:50', '2022-05-12 14:24:59', '辽宁省', '1', '1'),
       ('22', '2022-05-12 14:10:50', '2022-05-12 14:25:00', '吉林省', '1', '1'),
       ('23', '2022-05-12 14:10:50', '2022-05-12 14:25:28', '黑龙江省', '1', '1'),
       ('31', '2022-05-12 14:10:50', '2022-05-12 14:25:30', '上海市', '2', '1'),
       ('32', '2022-05-12 14:10:50', '2022-05-12 14:25:30', '江苏省', '2', '1'),
       ('33', '2022-05-12 14:10:50', '2022-05-12 14:25:31', '浙江省', '2', '1'),
       ('34', '2022-05-12 14:10:50', '2022-05-12 14:25:32', '安徽省', '2', '1'),
       ('35', '2022-05-12 14:10:50', '2022-05-12 14:25:34', '福建省', '2', '1'),
       ('36', '2022-05-12 14:10:50', '2022-05-12 14:25:34', '江西省', '2', '1'),
       ('37', '2022-05-12 14:10:50', '2022-05-12 14:25:35', '山东省', '2', '1'),
       ('41', '2022-05-12 14:10:50', '2022-05-12 14:25:50', '河南省', '3', '1'),
       ('42', '2022-05-12 14:10:50', '2022-05-12 14:25:51', '湖北省', '3', '1'),
       ('43', '2022-05-12 14:10:50', '2022-05-12 14:25:52', '湖南省', '3', '1'),
       ('44', '2022-05-12 14:10:50', '2022-05-12 14:26:00', '广东省', '4', '1'),
       ('45', '2022-05-12 14:10:50', '2022-05-12 14:26:00', '广西壮族自治区', '4', '1'),
       ('46', '2022-05-12 14:10:50', '2022-05-12 14:26:01', '海南省', '4', '1'),
       ('50', '2022-05-12 14:10:50', '2022-05-12 14:26:07', '重庆市', '7', '1'),
       ('51', '2022-05-12 14:10:50', '2022-05-12 14:26:07', '四川省', '7', '1'),
       ('52', '2022-05-12 14:10:50', '2022-05-12 14:26:08', '贵州省', '7', '1'),
       ('53', '2022-05-12 14:10:50', '2022-05-12 14:26:12', '云南省', '7', '1'),
       ('54', '2022-05-12 14:10:50', '2022-05-12 14:26:14', '西藏自治区', '7', '1'),
       ('61', '2022-05-12 14:10:50', '2022-05-12 14:26:22', '陕西省', '6', '1'),
       ('62', '2022-05-12 14:10:50', '2022-05-12 14:26:23', '甘肃省', '6', '1'),
       ('63', '2022-05-12 14:10:50', '2022-05-12 14:26:28', '青海省', '6', '1'),
       ('64', '2022-05-12 14:10:50', '2022-05-12 14:26:30', '宁夏回族自治区', '6', '1'),
       ('65', '2022-05-12 14:10:50', '2022-05-12 14:26:33', '新疆维吾尔自治区', '6', '1'),
       ('66', '2022-05-12 14:10:50', '2022-05-12 14:26:37', '香港特别行政区', '8', '1'),
       ('67', '2022-05-12 14:10:50', '2022-05-12 14:26:38', '澳门特别行政区', '8', '1'),
       ('68', '2022-05-12 14:10:50', '2022-05-12 14:26:39', '台湾省', '8', '1'),
       ('1101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市辖区', '11', '2'),
       ('1201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市辖区', '12', '2'),
       ('1301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石家庄市', '13', '2'),
       ('1302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '唐山市', '13', '2'),
       ('1303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秦皇岛市', '13', '2'),
       ('1304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邯郸市', '13', '2'),
       ('1305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邢台市', '13', '2'),
       ('1306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '保定市', '13', '2'),
       ('1307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张家口市', '13', '2'),
       ('1308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '承德市', '13', '2'),
       ('1309', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沧州市', '13', '2'),
       ('1310', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '廊坊市', '13', '2'),
       ('1311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衡水市', '13', '2'),
       ('1401', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太原市', '14', '2'),
       ('1402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大同市', '14', '2'),
       ('1403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳泉市', '14', '2'),
       ('1404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长治市', '14', '2'),
       ('1405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '晋城市', '14', '2'),
       ('1406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '朔州市', '14', '2'),
       ('1407', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '晋中市', '14', '2'),
       ('1408', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '运城市', '14', '2'),
       ('1409', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '忻州市', '14', '2'),
       ('1410', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临汾市', '14', '2'),
       ('1411', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吕梁市', '14', '2'),
       ('1501', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '呼和浩特市', '15', '2'),
       ('1502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '包头市', '15', '2'),
       ('1503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌海市', '15', '2'),
       ('1504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赤峰市', '15', '2'),
       ('1505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通辽市', '15', '2'),
       ('1506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄂尔多斯市', '15', '2'),
       ('1507', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '呼伦贝尔市', '15', '2'),
       ('1508', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴彦淖尔市', '15', '2'),
       ('1509', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌兰察布市', '15', '2'),
       ('1522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴安盟', '15', '2'),
       ('1525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '锡林郭勒盟', '15', '2'),
       ('1529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿拉善盟', '15', '2'),
       ('2101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沈阳市', '21', '2'),
       ('2102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大连市', '21', '2'),
       ('2103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鞍山市', '21', '2'),
       ('2104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '抚顺市', '21', '2'),
       ('2105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '本溪市', '21', '2'),
       ('2106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丹东市', '21', '2'),
       ('2107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '锦州市', '21', '2'),
       ('2108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '营口市', '21', '2'),
       ('2109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜新市', '21', '2'),
       ('2110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '辽阳市', '21', '2'),
       ('2111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盘锦市', '21', '2'),
       ('2112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁岭市', '21', '2'),
       ('2113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '朝阳市', '21', '2'),
       ('2114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '葫芦岛市', '21', '2'),
       ('2201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长春市', '22', '2'),
       ('2202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉林市', '22', '2'),
       ('2203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '四平市', '22', '2'),
       ('2204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '辽源市', '22', '2'),
       ('2205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通化市', '22', '2'),
       ('2206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白山市', '22', '2'),
       ('2207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松原市', '22', '2'),
       ('2208', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白城市', '22', '2'),
       ('2224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延边朝鲜族自治州', '22', '2'),
       ('2301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '哈尔滨市', '23', '2'),
       ('2302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '齐齐哈尔市', '23', '2'),
       ('2303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鸡西市', '23', '2'),
       ('2304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹤岗市', '23', '2'),
       ('2305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双鸭山市', '23', '2'),
       ('2306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大庆市', '23', '2'),
       ('2307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊春市', '23', '2'),
       ('2308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '佳木斯市', '23', '2'),
       ('2309', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '七台河市', '23', '2'),
       ('2310', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '牡丹江市', '23', '2'),
       ('2311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黑河市', '23', '2'),
       ('2312', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绥化市', '23', '2'),
       ('2327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大兴安岭地区', '23', '2'),
       ('3101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市辖区', '31', '2'),
       ('3201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南京市', '32', '2'),
       ('3202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '无锡市', '32', '2'),
       ('3203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '徐州市', '32', '2'),
       ('3204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '常州市', '32', '2'),
       ('3205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苏州市', '32', '2'),
       ('3206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南通市', '32', '2'),
       ('3207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连云港市', '32', '2'),
       ('3208', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淮安市', '32', '2'),
       ('3209', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐城市', '32', '2'),
       ('3210', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扬州市', '32', '2'),
       ('3211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇江市', '32', '2'),
       ('3212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰州市', '32', '2'),
       ('3213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宿迁市', '32', '2'),
       ('3301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杭州市', '33', '2'),
       ('3302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁波市', '33', '2'),
       ('3303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '温州市', '33', '2'),
       ('3304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉兴市', '33', '2'),
       ('3305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖州市', '33', '2'),
       ('3306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绍兴市', '33', '2'),
       ('3307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金华市', '33', '2'),
       ('3308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衢州市', '33', '2'),
       ('3309', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '舟山市', '33', '2'),
       ('3310', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台州市', '33', '2'),
       ('3311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丽水市', '33', '2'),
       ('3401', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合肥市', '34', '2'),
       ('3402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芜湖市', '34', '2'),
       ('3403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蚌埠市', '34', '2'),
       ('3404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淮南市', '34', '2'),
       ('3405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '马鞍山市', '34', '2'),
       ('3406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淮北市', '34', '2'),
       ('3407', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铜陵市', '34', '2'),
       ('3408', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安庆市', '34', '2'),
       ('3410', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄山市', '34', '2'),
       ('3411', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滁州市', '34', '2'),
       ('3412', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜阳市', '34', '2'),
       ('3413', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宿州市', '34', '2'),
       ('3415', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '六安市', '34', '2'),
       ('3416', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '亳州市', '34', '2'),
       ('3417', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '池州市', '34', '2'),
       ('3418', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宣城市', '34', '2'),
       ('3501', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福州市', '35', '2'),
       ('3502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '厦门市', '35', '2'),
       ('3503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莆田市', '35', '2'),
       ('3504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三明市', '35', '2'),
       ('3505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泉州市', '35', '2'),
       ('3506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '漳州市', '35', '2'),
       ('3507', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南平市', '35', '2'),
       ('3508', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙岩市', '35', '2'),
       ('3509', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁德市', '35', '2'),
       ('3601', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南昌市', '36', '2'),
       ('3602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '景德镇市', '36', '2'),
       ('3603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '萍乡市', '36', '2'),
       ('3604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '九江市', '36', '2'),
       ('3605', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新余市', '36', '2'),
       ('3606', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹰潭市', '36', '2'),
       ('3607', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赣州市', '36', '2'),
       ('3608', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉安市', '36', '2'),
       ('3609', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜春市', '36', '2'),
       ('3610', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '抚州市', '36', '2'),
       ('3611', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上饶市', '36', '2'),
       ('3701', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '济南市', '37', '2'),
       ('3702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青岛市', '37', '2'),
       ('3703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淄博市', '37', '2'),
       ('3704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '枣庄市', '37', '2'),
       ('3705', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东营市', '37', '2'),
       ('3706', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '烟台市', '37', '2'),
       ('3707', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潍坊市', '37', '2'),
       ('3708', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '济宁市', '37', '2'),
       ('3709', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰安市', '37', '2'),
       ('3710', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '威海市', '37', '2'),
       ('3711', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '日照市', '37', '2'),
       ('3713', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临沂市', '37', '2'),
       ('3714', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德州市', '37', '2'),
       ('3715', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '聊城市', '37', '2'),
       ('3716', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滨州市', '37', '2'),
       ('3717', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '菏泽市', '37', '2'),
       ('4101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郑州市', '41', '2'),
       ('4102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开封市', '41', '2'),
       ('4103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛阳市', '41', '2'),
       ('4104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平顶山市', '41', '2'),
       ('4105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安阳市', '41', '2'),
       ('4106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹤壁市', '41', '2'),
       ('4107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新乡市', '41', '2'),
       ('4108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '焦作市', '41', '2'),
       ('4109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '濮阳市', '41', '2'),
       ('4110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '许昌市', '41', '2'),
       ('4111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '漯河市', '41', '2'),
       ('4112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三门峡市', '41', '2'),
       ('4113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南阳市', '41', '2'),
       ('4114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '商丘市', '41', '2'),
       ('4115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '信阳市', '41', '2'),
       ('4116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '周口市', '41', '2'),
       ('4117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '驻马店市', '41', '2'),
       ('4190', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '省直辖县级行政区划', '41', '2'),
       ('4201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武汉市', '42', '2'),
       ('4202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄石市', '42', '2'),
       ('4203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '十堰市', '42', '2'),
       ('4205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜昌市', '42', '2'),
       ('4206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '襄阳市', '42', '2'),
       ('4207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄂州市', '42', '2'),
       ('4208', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荆门市', '42', '2'),
       ('4209', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '孝感市', '42', '2'),
       ('4210', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荆州市', '42', '2'),
       ('4211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄冈市', '42', '2'),
       ('4212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '咸宁市', '42', '2'),
       ('4213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '随州市', '42', '2'),
       ('4228', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '恩施土家族苗族自治州', '42', '2'),
       ('4290', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '省直辖县级行政区划', '42', '2'),
       ('4301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长沙市', '43', '2'),
       ('4302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '株洲市', '43', '2'),
       ('4303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湘潭市', '43', '2'),
       ('4304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衡阳市', '43', '2'),
       ('4305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邵阳市', '43', '2'),
       ('4306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岳阳市', '43', '2'),
       ('4307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '常德市', '43', '2'),
       ('4308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张家界市', '43', '2'),
       ('4309', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '益阳市', '43', '2'),
       ('4310', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郴州市', '43', '2'),
       ('4311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永州市', '43', '2'),
       ('4312', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怀化市', '43', '2'),
       ('4313', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '娄底市', '43', '2'),
       ('4331', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湘西土家族苗族自治州', '43', '2'),
       ('4401', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广州市', '44', '2'),
       ('4402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '韶关市', '44', '2'),
       ('4403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '深圳市', '44', '2'),
       ('4404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '珠海市', '44', '2'),
       ('4405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汕头市', '44', '2'),
       ('4406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '佛山市', '44', '2'),
       ('4407', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江门市', '44', '2'),
       ('4408', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湛江市', '44', '2'),
       ('4409', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茂名市', '44', '2'),
       ('4412', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肇庆市', '44', '2'),
       ('4413', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠州市', '44', '2'),
       ('4414', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梅州市', '44', '2'),
       ('4415', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汕尾市', '44', '2'),
       ('4416', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河源市', '44', '2'),
       ('4417', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳江市', '44', '2'),
       ('4418', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清远市', '44', '2'),
       ('4419', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东莞市', '44', '2'),
       ('4420', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中山市', '44', '2'),
       ('4451', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潮州市', '44', '2'),
       ('4452', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '揭阳市', '44', '2'),
       ('4453', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云浮市', '44', '2'),
       ('4501', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南宁市', '45', '2'),
       ('4502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柳州市', '45', '2'),
       ('4503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桂林市', '45', '2'),
       ('4504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梧州市', '45', '2'),
       ('4505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北海市', '45', '2'),
       ('4506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '防城港市', '45', '2'),
       ('4507', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '钦州市', '45', '2'),
       ('4508', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贵港市', '45', '2'),
       ('4509', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉林市', '45', '2'),
       ('4510', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '百色市', '45', '2'),
       ('4511', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贺州市', '45', '2'),
       ('4512', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河池市', '45', '2'),
       ('4513', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '来宾市', '45', '2'),
       ('4514', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崇左市', '45', '2'),
       ('4601', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海口市', '46', '2'),
       ('4602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三亚市', '46', '2'),
       ('4603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三沙市', '46', '2'),
       ('4604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '儋州市', '46', '2'),
       ('4690', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '省直辖县级行政区划', '46', '2'),
       ('5001', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市辖区', '50', '2'),
       ('5002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '县', '50', '2'),
       ('5101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '成都市', '51', '2'),
       ('5103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '自贡市', '51', '2'),
       ('5104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '攀枝花市', '51', '2'),
       ('5105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泸州市', '51', '2'),
       ('5106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德阳市', '51', '2'),
       ('5107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绵阳市', '51', '2'),
       ('5108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广元市', '51', '2'),
       ('5109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '遂宁市', '51', '2'),
       ('5110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '内江市', '51', '2'),
       ('5111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐山市', '51', '2'),
       ('5113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南充市', '51', '2'),
       ('5114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '眉山市', '51', '2'),
       ('5115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜宾市', '51', '2'),
       ('5116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广安市', '51', '2'),
       ('5117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达州市', '51', '2'),
       ('5118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雅安市', '51', '2'),
       ('5119', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴中市', '51', '2'),
       ('5120', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '资阳市', '51', '2'),
       ('5132', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿坝藏族羌族自治州', '51', '2'),
       ('5133', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘孜藏族自治州', '51', '2'),
       ('5134', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凉山彝族自治州', '51', '2'),
       ('5201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贵阳市', '52', '2'),
       ('5202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '六盘水市', '52', '2'),
       ('5203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '遵义市', '52', '2'),
       ('5204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安顺市', '52', '2'),
       ('5205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '毕节市', '52', '2'),
       ('5206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铜仁市', '52', '2'),
       ('5223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黔西南布依族苗族自治州', '52', '2'),
       ('5226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黔东南苗族侗族自治州', '52', '2'),
       ('5227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黔南布依族苗族自治州', '52', '2'),
       ('5301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昆明市', '53', '2'),
       ('5303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曲靖市', '53', '2'),
       ('5304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉溪市', '53', '2'),
       ('5305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '保山市', '53', '2'),
       ('5306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昭通市', '53', '2'),
       ('5307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丽江市', '53', '2'),
       ('5308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '普洱市', '53', '2'),
       ('5309', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临沧市', '53', '2'),
       ('5323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '楚雄彝族自治州', '53', '2'),
       ('5325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红河哈尼族彝族自治州', '53', '2'),
       ('5326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文山壮族苗族自治州', '53', '2'),
       ('5328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西双版纳傣族自治州', '53', '2'),
       ('5329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大理白族自治州', '53', '2'),
       ('5331', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德宏傣族景颇族自治州', '53', '2'),
       ('5333', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怒江傈僳族自治州', '53', '2'),
       ('5334', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '迪庆藏族自治州', '53', '2'),
       ('5401', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '拉萨市', '54', '2'),
       ('5402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '日喀则市', '54', '2'),
       ('5403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌都市', '54', '2'),
       ('5404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林芝市', '54', '2'),
       ('5405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山南市', '54', '2'),
       ('5406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '那曲市', '54', '2'),
       ('5425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿里地区', '54', '2'),
       ('6101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西安市', '61', '2'),
       ('6102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铜川市', '61', '2'),
       ('6103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝鸡市', '61', '2'),
       ('6104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '咸阳市', '61', '2'),
       ('6105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渭南市', '61', '2'),
       ('6106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延安市', '61', '2'),
       ('6107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汉中市', '61', '2'),
       ('6108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '榆林市', '61', '2'),
       ('6109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安康市', '61', '2'),
       ('6110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '商洛市', '61', '2'),
       ('6201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兰州市', '62', '2'),
       ('6202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉峪关市', '62', '2'),
       ('6203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金昌市', '62', '2'),
       ('6204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白银市', '62', '2'),
       ('6205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天水市', '62', '2'),
       ('6206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武威市', '62', '2'),
       ('6207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张掖市', '62', '2'),
       ('6208', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平凉市', '62', '2'),
       ('6209', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '酒泉市', '62', '2'),
       ('6210', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庆阳市', '62', '2'),
       ('6211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定西市', '62', '2'),
       ('6212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陇南市', '62', '2'),
       ('6229', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临夏回族自治州', '62', '2'),
       ('6230', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘南藏族自治州', '62', '2'),
       ('6301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西宁市', '63', '2'),
       ('6302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海东市', '63', '2'),
       ('6322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海北藏族自治州', '63', '2'),
       ('6323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄南藏族自治州', '63', '2'),
       ('6325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海南藏族自治州', '63', '2'),
       ('6326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '果洛藏族自治州', '63', '2'),
       ('6327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉树藏族自治州', '63', '2'),
       ('6328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海西蒙古族藏族自治州', '63', '2'),
       ('6401', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '银川市', '64', '2'),
       ('6402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石嘴山市', '64', '2'),
       ('6403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吴忠市', '64', '2'),
       ('6404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '固原市', '64', '2'),
       ('6405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中卫市', '64', '2'),
       ('6501', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌鲁木齐市', '65', '2'),
       ('6502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '克拉玛依市', '65', '2'),
       ('6504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吐鲁番市', '65', '2'),
       ('6505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '哈密市', '65', '2'),
       ('6523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌吉回族自治州', '65', '2'),
       ('6527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博尔塔拉蒙古自治州', '65', '2'),
       ('6528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴音郭楞蒙古自治州', '65', '2'),
       ('6529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿克苏地区', '65', '2'),
       ('6530', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '克孜勒苏柯尔克孜自治州', '65', '2'),
       ('6531', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '喀什地区', '65', '2'),
       ('6532', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和田地区', '65', '2'),
       ('6540', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊犁哈萨克自治州', '65', '2'),
       ('6542', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '塔城地区', '65', '2'),
       ('6543', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿勒泰地区', '65', '2'),
       ('6590', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '自治区直辖县级行政区划', '65', '2'),
       ('6601', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '香港岛', '66', '2'),
       ('6602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '九龙', '66', '2'),
       ('6603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新界', '66', '2'),
       ('6701', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '澳门半岛', '67', '2'),
       ('6702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '澳门外岛', '67', '2'),
       ('6801', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台北市', '68', '2'),
       ('6802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新北市', '68', '2'),
       ('6803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桃园市', '68', '2'),
       ('6804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台中市', '68', '2'),
       ('6805', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台南市', '68', '2'),
       ('6806', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高雄市', '68', '2'),
       ('6807', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '基隆市', '68', '2'),
       ('6808', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新竹市', '68', '2'),
       ('6809', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉义市', '68', '2'),
       ('6810', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新竹县', '68', '2'),
       ('6811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苗栗县', '68', '2'),
       ('6812', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彰化县', '68', '2'),
       ('6813', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南投县', '68', '2'),
       ('6814', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云林县', '68', '2'),
       ('6815', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉义县', '68', '2'),
       ('6816', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '屏东县', '68', '2'),
       ('6817', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜兰县', '68', '2'),
       ('6818', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '花莲县', '68', '2'),
       ('6819', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台东县', '68', '2'),
       ('6820', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '澎湖县', '68', '2'),
       ('110101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东城区', '1101', '3'),
       ('110102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西城区', '1101', '3'),
       ('110105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '朝阳区', '1101', '3'),
       ('110106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰台区', '1101', '3'),
       ('110107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石景山区', '1101', '3'),
       ('110108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海淀区', '1101', '3'),
       ('110109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '门头沟区', '1101', '3'),
       ('110111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '房山区', '1101', '3'),
       ('110112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通州区', '1101', '3'),
       ('110113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '顺义区', '1101', '3'),
       ('110114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌平区', '1101', '3'),
       ('110115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大兴区', '1101', '3'),
       ('110116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怀柔区', '1101', '3'),
       ('110117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平谷区', '1101', '3'),
       ('110118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '密云区', '1101', '3'),
       ('110119', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延庆区', '1101', '3'),
       ('120101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和平区', '1201', '3'),
       ('120102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河东区', '1201', '3'),
       ('120103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河西区', '1201', '3'),
       ('120104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南开区', '1201', '3'),
       ('120105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河北区', '1201', '3'),
       ('120106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红桥区', '1201', '3'),
       ('120110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东丽区', '1201', '3'),
       ('120111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西青区', '1201', '3'),
       ('120112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '津南区', '1201', '3'),
       ('120113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北辰区', '1201', '3'),
       ('120114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武清区', '1201', '3'),
       ('120115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝坻区', '1201', '3'),
       ('120116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滨海新区', '1201', '3'),
       ('120117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁河区', '1201', '3'),
       ('120118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '静海区', '1201', '3'),
       ('120119', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蓟州区', '1201', '3'),
       ('130102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长安区', '1301', '3'),
       ('130104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桥西区', '1301', '3'),
       ('130105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新华区', '1301', '3'),
       ('130107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '井陉矿区', '1301', '3'),
       ('130108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '裕华区', '1301', '3'),
       ('130109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '藁城区', '1301', '3'),
       ('130110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹿泉区', '1301', '3'),
       ('130111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '栾城区', '1301', '3'),
       ('130121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '井陉县', '1301', '3'),
       ('130123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '正定县', '1301', '3'),
       ('130125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '行唐县', '1301', '3'),
       ('130126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灵寿县', '1301', '3'),
       ('130127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高邑县', '1301', '3'),
       ('130128', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '深泽县', '1301', '3'),
       ('130129', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赞皇县', '1301', '3'),
       ('130130', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '无极县', '1301', '3'),
       ('130131', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平山县', '1301', '3'),
       ('130132', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '元氏县', '1301', '3'),
       ('130133', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赵县', '1301', '3'),
       ('130171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石家庄高新技术产业开发区', '1301', '3'),
       ('130172', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石家庄循环化工园区', '1301', '3'),
       ('130181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '辛集市', '1301', '3'),
       ('130183', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '晋州市', '1301', '3'),
       ('130184', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新乐市', '1301', '3'),
       ('130202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '路南区', '1302', '3'),
       ('130203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '路北区', '1302', '3'),
       ('130204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古冶区', '1302', '3'),
       ('130205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开平区', '1302', '3'),
       ('130207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰南区', '1302', '3'),
       ('130208', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰润区', '1302', '3'),
       ('130209', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曹妃甸区', '1302', '3'),
       ('130224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滦南县', '1302', '3'),
       ('130225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐亭县', '1302', '3'),
       ('130227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '迁西县', '1302', '3'),
       ('130229', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉田县', '1302', '3'),
       ('130271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河北唐山芦台经济开发区', '1302', '3'),
       ('130272', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '唐山市汉沽管理区', '1302', '3'),
       ('130273', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '唐山高新技术产业开发区', '1302', '3'),
       ('130274', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河北唐山海港经济开发区', '1302', '3'),
       ('130281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '遵化市', '1302', '3'),
       ('130283', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '迁安市', '1302', '3'),
       ('130284', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滦州市', '1302', '3'),
       ('130302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海港区', '1303', '3'),
       ('130303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山海关区', '1303', '3'),
       ('130304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北戴河区', '1303', '3'),
       ('130306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '抚宁区', '1303', '3'),
       ('130321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青龙满族自治县', '1303', '3'),
       ('130322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌黎县', '1303', '3'),
       ('130324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卢龙县', '1303', '3'),
       ('130371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秦皇岛市经济技术开发区', '1303', '3'),
       ('130372', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北戴河新区', '1303', '3'),
       ('130402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邯山区', '1304', '3'),
       ('130403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丛台区', '1304', '3'),
       ('130404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '复兴区', '1304', '3'),
       ('130406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '峰峰矿区', '1304', '3'),
       ('130407', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肥乡区', '1304', '3'),
       ('130408', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永年区', '1304', '3'),
       ('130423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临漳县', '1304', '3'),
       ('130424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '成安县', '1304', '3'),
       ('130425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大名县', '1304', '3'),
       ('130426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涉县', '1304', '3'),
       ('130427', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '磁县', '1304', '3'),
       ('130430', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邱县', '1304', '3'),
       ('130431', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鸡泽县', '1304', '3'),
       ('130432', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广平县', '1304', '3'),
       ('130433', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '馆陶县', '1304', '3'),
       ('130434', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '魏县', '1304', '3'),
       ('130435', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曲周县', '1304', '3'),
       ('130471', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邯郸经济技术开发区', '1304', '3'),
       ('130473', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邯郸冀南新区', '1304', '3'),
       ('130481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武安市', '1304', '3'),
       ('130502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '襄都区', '1305', '3'),
       ('130503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '信都区', '1305', '3'),
       ('130505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '任泽区', '1305', '3'),
       ('130506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南和区', '1305', '3'),
       ('130522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临城县', '1305', '3'),
       ('130523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '内丘县', '1305', '3'),
       ('130524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柏乡县', '1305', '3'),
       ('130525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隆尧县', '1305', '3'),
       ('130528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁晋县', '1305', '3'),
       ('130529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巨鹿县', '1305', '3'),
       ('130530', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新河县', '1305', '3'),
       ('130531', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广宗县', '1305', '3'),
       ('130532', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平乡县', '1305', '3'),
       ('130533', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '威县', '1305', '3'),
       ('130534', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清河县', '1305', '3'),
       ('130535', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临西县', '1305', '3'),
       ('130571', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河北邢台经济开发区', '1305', '3'),
       ('130581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南宫市', '1305', '3'),
       ('130582', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙河市', '1305', '3'),
       ('130602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竞秀区', '1306', '3'),
       ('130606', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莲池区', '1306', '3'),
       ('130607', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '满城区', '1306', '3'),
       ('130608', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清苑区', '1306', '3'),
       ('130609', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '徐水区', '1306', '3'),
       ('130623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涞水县', '1306', '3'),
       ('130624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜平县', '1306', '3'),
       ('130626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定兴县', '1306', '3'),
       ('130627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '唐县', '1306', '3'),
       ('130628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高阳县', '1306', '3'),
       ('130629', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '容城县', '1306', '3'),
       ('130630', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涞源县', '1306', '3'),
       ('130631', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '望都县', '1306', '3'),
       ('130632', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安新县', '1306', '3'),
       ('130633', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '易县', '1306', '3'),
       ('130634', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曲阳县', '1306', '3'),
       ('130635', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蠡县', '1306', '3'),
       ('130636', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '顺平县', '1306', '3'),
       ('130637', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博野县', '1306', '3'),
       ('130638', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雄县', '1306', '3'),
       ('130671', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '保定高新技术产业开发区', '1306', '3'),
       ('130672', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '保定白沟新城', '1306', '3'),
       ('130681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涿州市', '1306', '3'),
       ('130682', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定州市', '1306', '3'),
       ('130683', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安国市', '1306', '3'),
       ('130684', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高碑店市', '1306', '3'),
       ('130702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桥东区', '1307', '3'),
       ('130703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桥西区', '1307', '3'),
       ('130705', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宣化区', '1307', '3'),
       ('130706', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '下花园区', '1307', '3'),
       ('130708', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万全区', '1307', '3'),
       ('130709', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崇礼区', '1307', '3'),
       ('130722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张北县', '1307', '3'),
       ('130723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '康保县', '1307', '3'),
       ('130724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沽源县', '1307', '3'),
       ('130725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尚义县', '1307', '3'),
       ('130726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蔚县', '1307', '3'),
       ('130727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳原县', '1307', '3'),
       ('130728', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怀安县', '1307', '3'),
       ('130730', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怀来县', '1307', '3'),
       ('130731', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涿鹿县', '1307', '3'),
       ('130732', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赤城县', '1307', '3'),
       ('130771', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张家口经济开发区', '1307', '3'),
       ('130772', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张家口市察北管理区', '1307', '3'),
       ('130773', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张家口市塞北管理区', '1307', '3'),
       ('130802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双桥区', '1308', '3'),
       ('130803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双滦区', '1308', '3'),
       ('130804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹰手营子矿区', '1308', '3'),
       ('130821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '承德县', '1308', '3'),
       ('130822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴隆县', '1308', '3'),
       ('130824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滦平县', '1308', '3'),
       ('130825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隆化县', '1308', '3'),
       ('130826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰宁满族自治县', '1308', '3'),
       ('130827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宽城满族自治县', '1308', '3'),
       ('130828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '围场满族蒙古族自治县', '1308', '3'),
       ('130871', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '承德高新技术产业开发区', '1308', '3'),
       ('130881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平泉市', '1308', '3'),
       ('130902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新华区', '1309', '3'),
       ('130903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '运河区', '1309', '3'),
       ('130921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沧县', '1309', '3'),
       ('130922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青县', '1309', '3'),
       ('130923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东光县', '1309', '3'),
       ('130924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海兴县', '1309', '3'),
       ('130925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐山县', '1309', '3'),
       ('130926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肃宁县', '1309', '3'),
       ('130927', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南皮县', '1309', '3'),
       ('130928', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吴桥县', '1309', '3'),
       ('130929', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '献县', '1309', '3'),
       ('130930', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '孟村回族自治县', '1309', '3'),
       ('130971', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河北沧州经济开发区', '1309', '3'),
       ('130972', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沧州高新技术产业开发区', '1309', '3'),
       ('130973', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沧州渤海新区', '1309', '3'),
       ('130981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泊头市', '1309', '3'),
       ('130982', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '任丘市', '1309', '3'),
       ('130983', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄骅市', '1309', '3'),
       ('130984', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河间市', '1309', '3'),
       ('131002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安次区', '1310', '3'),
       ('131003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广阳区', '1310', '3'),
       ('131022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '固安县', '1310', '3'),
       ('131023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永清县', '1310', '3'),
       ('131024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '香河县', '1310', '3'),
       ('131025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大城县', '1310', '3'),
       ('131026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文安县', '1310', '3'),
       ('131028', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大厂回族自治县', '1310', '3'),
       ('131071', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '廊坊经济技术开发区', '1310', '3'),
       ('131081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '霸州市', '1310', '3'),
       ('131082', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三河市', '1310', '3'),
       ('131102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桃城区', '1311', '3'),
       ('131103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '冀州区', '1311', '3'),
       ('131121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '枣强县', '1311', '3'),
       ('131122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武邑县', '1311', '3'),
       ('131123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武强县', '1311', '3'),
       ('131124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '饶阳县', '1311', '3'),
       ('131125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安平县', '1311', '3'),
       ('131126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '故城县', '1311', '3'),
       ('131127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '景县', '1311', '3'),
       ('131128', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜城县', '1311', '3'),
       ('131171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河北衡水高新技术产业开发区', '1311', '3'),
       ('131172', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衡水滨湖新区', '1311', '3'),
       ('131182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '深州市', '1311', '3'),
       ('140105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '小店区', '1401', '3'),
       ('140106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '迎泽区', '1401', '3'),
       ('140107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杏花岭区', '1401', '3'),
       ('140108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尖草坪区', '1401', '3'),
       ('140109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万柏林区', '1401', '3'),
       ('140110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '晋源区', '1401', '3'),
       ('140121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清徐县', '1401', '3'),
       ('140122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳曲县', '1401', '3'),
       ('140123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '娄烦县', '1401', '3'),
       ('140171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山西转型综合改革示范区', '1401', '3'),
       ('140181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古交市', '1401', '3'),
       ('140212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新荣区', '1402', '3'),
       ('140213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平城区', '1402', '3'),
       ('140214', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云冈区', '1402', '3'),
       ('140215', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云州区', '1402', '3'),
       ('140221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳高县', '1402', '3'),
       ('140222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天镇县', '1402', '3'),
       ('140223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广灵县', '1402', '3'),
       ('140224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灵丘县', '1402', '3'),
       ('140225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浑源县', '1402', '3'),
       ('140226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '左云县', '1402', '3'),
       ('140271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山西大同经济开发区', '1402', '3'),
       ('140302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城区', '1403', '3'),
       ('140303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '矿区', '1403', '3'),
       ('140311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郊区', '1403', '3'),
       ('140321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平定县', '1403', '3'),
       ('140322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盂县', '1403', '3'),
       ('140403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潞州区', '1404', '3'),
       ('140404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上党区', '1404', '3'),
       ('140405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '屯留区', '1404', '3'),
       ('140406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潞城区', '1404', '3'),
       ('140423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '襄垣县', '1404', '3'),
       ('140425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平顺县', '1404', '3'),
       ('140426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黎城县', '1404', '3'),
       ('140427', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '壶关县', '1404', '3'),
       ('140428', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长子县', '1404', '3'),
       ('140429', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武乡县', '1404', '3'),
       ('140430', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沁县', '1404', '3'),
       ('140431', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沁源县', '1404', '3'),
       ('140471', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山西长治高新技术产业园区', '1404', '3'),
       ('140502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城区', '1405', '3'),
       ('140521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沁水县', '1405', '3'),
       ('140522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳城县', '1405', '3'),
       ('140524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陵川县', '1405', '3'),
       ('140525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泽州县', '1405', '3'),
       ('140581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高平市', '1405', '3'),
       ('140602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '朔城区', '1406', '3'),
       ('140603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平鲁区', '1406', '3'),
       ('140621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山阴县', '1406', '3'),
       ('140622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '应县', '1406', '3'),
       ('140623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '右玉县', '1406', '3'),
       ('140671', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山西朔州经济开发区', '1406', '3'),
       ('140681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怀仁市', '1406', '3'),
       ('140702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '榆次区', '1407', '3'),
       ('140703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太谷区', '1407', '3'),
       ('140721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '榆社县', '1407', '3'),
       ('140722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '左权县', '1407', '3'),
       ('140723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和顺县', '1407', '3'),
       ('140724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昔阳县', '1407', '3'),
       ('140725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '寿阳县', '1407', '3'),
       ('140727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '祁县', '1407', '3'),
       ('140728', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平遥县', '1407', '3'),
       ('140729', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灵石县', '1407', '3'),
       ('140781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '介休市', '1407', '3'),
       ('140802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐湖区', '1408', '3'),
       ('140821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临猗县', '1408', '3'),
       ('140822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万荣县', '1408', '3'),
       ('140823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '闻喜县', '1408', '3'),
       ('140824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '稷山县', '1408', '3'),
       ('140825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新绛县', '1408', '3'),
       ('140826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绛县', '1408', '3'),
       ('140827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '垣曲县', '1408', '3'),
       ('140828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '夏县', '1408', '3'),
       ('140829', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平陆县', '1408', '3'),
       ('140830', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芮城县', '1408', '3'),
       ('140881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永济市', '1408', '3'),
       ('140882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河津市', '1408', '3'),
       ('140902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '忻府区', '1409', '3'),
       ('140921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定襄县', '1409', '3'),
       ('140922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五台县', '1409', '3'),
       ('140923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '代县', '1409', '3'),
       ('140924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '繁峙县', '1409', '3'),
       ('140925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁武县', '1409', '3'),
       ('140926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '静乐县', '1409', '3'),
       ('140927', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '神池县', '1409', '3'),
       ('140928', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五寨县', '1409', '3'),
       ('140929', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岢岚县', '1409', '3'),
       ('140930', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河曲县', '1409', '3'),
       ('140931', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '保德县', '1409', '3'),
       ('140932', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '偏关县', '1409', '3'),
       ('140971', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五台山风景名胜区', '1409', '3'),
       ('140981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '原平市', '1409', '3'),
       ('141002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尧都区', '1410', '3'),
       ('141021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曲沃县', '1410', '3'),
       ('141022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '翼城县', '1410', '3'),
       ('141023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '襄汾县', '1410', '3'),
       ('141024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洪洞县', '1410', '3'),
       ('141025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古县', '1410', '3'),
       ('141026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安泽县', '1410', '3'),
       ('141027', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浮山县', '1410', '3'),
       ('141028', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉县', '1410', '3'),
       ('141029', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乡宁县', '1410', '3'),
       ('141030', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大宁县', '1410', '3'),
       ('141031', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隰县', '1410', '3'),
       ('141032', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永和县', '1410', '3'),
       ('141033', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蒲县', '1410', '3'),
       ('141034', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汾西县', '1410', '3'),
       ('141081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '侯马市', '1410', '3'),
       ('141082', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '霍州市', '1410', '3'),
       ('141102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '离石区', '1411', '3'),
       ('141121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文水县', '1411', '3'),
       ('141122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '交城县', '1411', '3'),
       ('141123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴县', '1411', '3'),
       ('141124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临县', '1411', '3'),
       ('141125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柳林县', '1411', '3'),
       ('141126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石楼县', '1411', '3'),
       ('141127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岚县', '1411', '3'),
       ('141128', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '方山县', '1411', '3'),
       ('141129', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中阳县', '1411', '3'),
       ('141130', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '交口县', '1411', '3'),
       ('141181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '孝义市', '1411', '3'),
       ('141182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汾阳市', '1411', '3'),
       ('150102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新城区', '1501', '3'),
       ('150103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '回民区', '1501', '3'),
       ('150104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉泉区', '1501', '3'),
       ('150105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赛罕区', '1501', '3'),
       ('150121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '土默特左旗', '1501', '3'),
       ('150122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '托克托县', '1501', '3'),
       ('150123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和林格尔县', '1501', '3'),
       ('150124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清水河县', '1501', '3'),
       ('150125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武川县', '1501', '3'),
       ('150172', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '呼和浩特经济技术开发区', '1501', '3'),
       ('150202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东河区', '1502', '3'),
       ('150203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昆都仑区', '1502', '3'),
       ('150204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青山区', '1502', '3'),
       ('150205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石拐区', '1502', '3'),
       ('150206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白云鄂博矿区', '1502', '3'),
       ('150207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '九原区', '1502', '3'),
       ('150221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '土默特右旗', '1502', '3'),
       ('150222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '固阳县', '1502', '3'),
       ('150223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达尔罕茂明安联合旗', '1502', '3'),
       ('150271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '包头稀土高新技术产业开发区', '1502', '3'),
       ('150302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海勃湾区', '1503', '3'),
       ('150303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海南区', '1503', '3'),
       ('150304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌达区', '1503', '3'),
       ('150402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红山区', '1504', '3'),
       ('150403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '元宝山区', '1504', '3'),
       ('150404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松山区', '1504', '3'),
       ('150421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿鲁科尔沁旗', '1504', '3'),
       ('150422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴林左旗', '1504', '3'),
       ('150423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴林右旗', '1504', '3'),
       ('150424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林西县', '1504', '3'),
       ('150425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '克什克腾旗', '1504', '3'),
       ('150426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '翁牛特旗', '1504', '3'),
       ('150428', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '喀喇沁旗', '1504', '3'),
       ('150429', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁城县', '1504', '3'),
       ('150430', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '敖汉旗', '1504', '3'),
       ('150502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '科尔沁区', '1505', '3'),
       ('150521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '科尔沁左翼中旗', '1505', '3'),
       ('150522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '科尔沁左翼后旗', '1505', '3'),
       ('150523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开鲁县', '1505', '3'),
       ('150524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '库伦旗', '1505', '3'),
       ('150525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '奈曼旗', '1505', '3'),
       ('150526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扎鲁特旗', '1505', '3'),
       ('150571', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通辽经济技术开发区', '1505', '3'),
       ('150581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '霍林郭勒市', '1505', '3'),
       ('150602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东胜区', '1506', '3'),
       ('150603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '康巴什区', '1506', '3'),
       ('150621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达拉特旗', '1506', '3'),
       ('150622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '准格尔旗', '1506', '3'),
       ('150623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄂托克前旗', '1506', '3'),
       ('150624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄂托克旗', '1506', '3'),
       ('150625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杭锦旗', '1506', '3'),
       ('150626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌审旗', '1506', '3'),
       ('150627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊金霍洛旗', '1506', '3'),
       ('150702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海拉尔区', '1507', '3'),
       ('150703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扎赉诺尔区', '1507', '3'),
       ('150721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿荣旗', '1507', '3'),
       ('150722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莫力达瓦达斡尔族自治旗', '1507', '3'),
       ('150723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄂伦春自治旗', '1507', '3'),
       ('150724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄂温克族自治旗', '1507', '3'),
       ('150725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陈巴尔虎旗', '1507', '3'),
       ('150726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新巴尔虎左旗', '1507', '3'),
       ('150727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新巴尔虎右旗', '1507', '3'),
       ('150781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '满洲里市', '1507', '3'),
       ('150782', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '牙克石市', '1507', '3'),
       ('150783', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扎兰屯市', '1507', '3'),
       ('150784', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '额尔古纳市', '1507', '3'),
       ('150785', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '根河市', '1507', '3'),
       ('150802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临河区', '1508', '3'),
       ('150821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五原县', '1508', '3'),
       ('150822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '磴口县', '1508', '3'),
       ('150823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌拉特前旗', '1508', '3'),
       ('150824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌拉特中旗', '1508', '3'),
       ('150825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌拉特后旗', '1508', '3'),
       ('150826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杭锦后旗', '1508', '3'),
       ('150902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '集宁区', '1509', '3'),
       ('150921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卓资县', '1509', '3'),
       ('150922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '化德县', '1509', '3'),
       ('150923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '商都县', '1509', '3'),
       ('150924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴和县', '1509', '3'),
       ('150925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凉城县', '1509', '3'),
       ('150926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '察哈尔右翼前旗', '1509', '3'),
       ('150927', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '察哈尔右翼中旗', '1509', '3'),
       ('150928', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '察哈尔右翼后旗', '1509', '3'),
       ('150929', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '四子王旗', '1509', '3'),
       ('150981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰镇市', '1509', '3'),
       ('152201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌兰浩特市', '1522', '3'),
       ('152202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿尔山市', '1522', '3'),
       ('152221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '科尔沁右翼前旗', '1522', '3'),
       ('152222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '科尔沁右翼中旗', '1522', '3'),
       ('152223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扎赉特旗', '1522', '3'),
       ('152224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '突泉县', '1522', '3'),
       ('152501', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '二连浩特市', '1525', '3'),
       ('152502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '锡林浩特市', '1525', '3'),
       ('152522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿巴嘎旗', '1525', '3'),
       ('152523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苏尼特左旗', '1525', '3'),
       ('152524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苏尼特右旗', '1525', '3'),
       ('152525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东乌珠穆沁旗', '1525', '3'),
       ('152526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西乌珠穆沁旗', '1525', '3'),
       ('152527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太仆寺旗', '1525', '3'),
       ('152528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镶黄旗', '1525', '3'),
       ('152529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '正镶白旗', '1525', '3'),
       ('152530', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '正蓝旗', '1525', '3'),
       ('152531', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '多伦县', '1525', '3'),
       ('152571', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌拉盖管委会', '1525', '3'),
       ('152921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿拉善左旗', '1529', '3'),
       ('152922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿拉善右旗', '1529', '3'),
       ('152923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '额济纳旗', '1529', '3'),
       ('152971', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '内蒙古阿拉善高新技术产业开发区', '1529', '3'),
       ('210102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和平区', '2101', '3'),
       ('210103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沈河区', '2101', '3'),
       ('210104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大东区', '2101', '3'),
       ('210105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '皇姑区', '2101', '3'),
       ('210106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁西区', '2101', '3'),
       ('210111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苏家屯区', '2101', '3'),
       ('210112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浑南区', '2101', '3'),
       ('210113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沈北新区', '2101', '3'),
       ('210114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '于洪区', '2101', '3'),
       ('210115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '辽中区', '2101', '3'),
       ('210123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '康平县', '2101', '3'),
       ('210124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '法库县', '2101', '3'),
       ('210181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新民市', '2101', '3'),
       ('210202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中山区', '2102', '3'),
       ('210203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西岗区', '2102', '3'),
       ('210204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙河口区', '2102', '3'),
       ('210211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘井子区', '2102', '3'),
       ('210212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '旅顺口区', '2102', '3'),
       ('210213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金州区', '2102', '3'),
       ('210214', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '普兰店区', '2102', '3'),
       ('210224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长海县', '2102', '3'),
       ('210281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瓦房店市', '2102', '3'),
       ('210283', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庄河市', '2102', '3'),
       ('210302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁东区', '2103', '3'),
       ('210303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁西区', '2103', '3'),
       ('210304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '立山区', '2103', '3'),
       ('210311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '千山区', '2103', '3'),
       ('210321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台安县', '2103', '3'),
       ('210323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岫岩满族自治县', '2103', '3'),
       ('210381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海城市', '2103', '3'),
       ('210402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新抚区', '2104', '3'),
       ('210403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东洲区', '2104', '3'),
       ('210404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '望花区', '2104', '3'),
       ('210411', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '顺城区', '2104', '3'),
       ('210421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '抚顺县', '2104', '3'),
       ('210422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新宾满族自治县', '2104', '3'),
       ('210423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清原满族自治县', '2104', '3'),
       ('210502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平山区', '2105', '3'),
       ('210503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '溪湖区', '2105', '3'),
       ('210504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '明山区', '2105', '3'),
       ('210505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南芬区', '2105', '3'),
       ('210521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '本溪满族自治县', '2105', '3'),
       ('210522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桓仁满族自治县', '2105', '3'),
       ('210602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '元宝区', '2106', '3'),
       ('210603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '振兴区', '2106', '3'),
       ('210604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '振安区', '2106', '3'),
       ('210624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宽甸满族自治县', '2106', '3'),
       ('210681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东港市', '2106', '3'),
       ('210682', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤城市', '2106', '3'),
       ('210702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古塔区', '2107', '3'),
       ('210703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凌河区', '2107', '3'),
       ('210711', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太和区', '2107', '3'),
       ('210726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黑山县', '2107', '3'),
       ('210727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '义县', '2107', '3'),
       ('210781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凌海市', '2107', '3'),
       ('210782', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北镇市', '2107', '3'),
       ('210802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '站前区', '2108', '3'),
       ('210803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西市区', '2108', '3'),
       ('210804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鲅鱼圈区', '2108', '3'),
       ('210811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '老边区', '2108', '3'),
       ('210881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盖州市', '2108', '3'),
       ('210882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大石桥市', '2108', '3'),
       ('210902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海州区', '2109', '3'),
       ('210903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新邱区', '2109', '3'),
       ('210904', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太平区', '2109', '3'),
       ('210905', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清河门区', '2109', '3'),
       ('210911', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '细河区', '2109', '3'),
       ('210921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜新蒙古族自治县', '2109', '3'),
       ('210922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彰武县', '2109', '3'),
       ('211002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白塔区', '2110', '3'),
       ('211003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文圣区', '2110', '3'),
       ('211004', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宏伟区', '2110', '3'),
       ('211005', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '弓长岭区', '2110', '3'),
       ('211011', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太子河区', '2110', '3'),
       ('211021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '辽阳县', '2110', '3'),
       ('211081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灯塔市', '2110', '3'),
       ('211102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双台子区', '2111', '3'),
       ('211103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴隆台区', '2111', '3'),
       ('211104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大洼区', '2111', '3'),
       ('211122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盘山县', '2111', '3'),
       ('211202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '银州区', '2112', '3'),
       ('211204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清河区', '2112', '3'),
       ('211221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁岭县', '2112', '3'),
       ('211223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西丰县', '2112', '3'),
       ('211224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌图县', '2112', '3'),
       ('211281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '调兵山市', '2112', '3'),
       ('211282', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开原市', '2112', '3'),
       ('211302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双塔区', '2113', '3'),
       ('211303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙城区', '2113', '3'),
       ('211321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '朝阳县', '2113', '3'),
       ('211322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建平县', '2113', '3'),
       ('211324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '喀喇沁左翼蒙古族自治县', '2113', '3'),
       ('211381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北票市', '2113', '3'),
       ('211382', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凌源市', '2113', '3'),
       ('211402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连山区', '2114', '3'),
       ('211403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙港区', '2114', '3'),
       ('211404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南票区', '2114', '3'),
       ('211421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绥中县', '2114', '3'),
       ('211422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建昌县', '2114', '3'),
       ('211481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴城市', '2114', '3'),
       ('220102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南关区', '2201', '3'),
       ('220103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宽城区', '2201', '3'),
       ('220104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '朝阳区', '2201', '3'),
       ('220105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '二道区', '2201', '3'),
       ('220106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绿园区', '2201', '3'),
       ('220112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双阳区', '2201', '3'),
       ('220113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '九台区', '2201', '3'),
       ('220122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '农安县', '2201', '3'),
       ('220171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长春经济技术开发区', '2201', '3'),
       ('220172', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长春净月高新技术产业开发区', '2201', '3'),
       ('220173', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长春高新技术产业开发区', '2201', '3'),
       ('220174', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长春汽车经济技术开发区', '2201', '3'),
       ('220182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '榆树市', '2201', '3'),
       ('220183', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德惠市', '2201', '3'),
       ('220184', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '公主岭市', '2201', '3'),
       ('220202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌邑区', '2202', '3'),
       ('220203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙潭区', '2202', '3'),
       ('220204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '船营区', '2202', '3'),
       ('220211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰满区', '2202', '3'),
       ('220221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永吉县', '2202', '3'),
       ('220271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉林经济开发区', '2202', '3'),
       ('220272', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉林高新技术产业开发区', '2202', '3'),
       ('220273', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉林中国新加坡食品区', '2202', '3'),
       ('220281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蛟河市', '2202', '3'),
       ('220282', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桦甸市', '2202', '3'),
       ('220283', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '舒兰市', '2202', '3'),
       ('220284', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '磐石市', '2202', '3'),
       ('220302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁西区', '2203', '3'),
       ('220303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁东区', '2203', '3'),
       ('220322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梨树县', '2203', '3'),
       ('220323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊通满族自治县', '2203', '3'),
       ('220382', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双辽市', '2203', '3'),
       ('220402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙山区', '2204', '3'),
       ('220403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西安区', '2204', '3'),
       ('220421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东丰县', '2204', '3'),
       ('220422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东辽县', '2204', '3'),
       ('220502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东昌区', '2205', '3'),
       ('220503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '二道江区', '2205', '3'),
       ('220521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通化县', '2205', '3'),
       ('220523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '辉南县', '2205', '3'),
       ('220524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柳河县', '2205', '3'),
       ('220581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梅河口市', '2205', '3'),
       ('220582', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '集安市', '2205', '3'),
       ('220602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浑江区', '2206', '3'),
       ('220605', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江源区', '2206', '3'),
       ('220621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '抚松县', '2206', '3'),
       ('220622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '靖宇县', '2206', '3'),
       ('220623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长白朝鲜族自治县', '2206', '3'),
       ('220681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临江市', '2206', '3'),
       ('220702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁江区', '2207', '3'),
       ('220721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '前郭尔罗斯蒙古族自治县', '2207', '3'),
       ('220722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长岭县', '2207', '3'),
       ('220723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乾安县', '2207', '3'),
       ('220771', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉林松原经济开发区', '2207', '3'),
       ('220781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扶余市', '2207', '3'),
       ('220802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洮北区', '2208', '3'),
       ('220821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇赉县', '2208', '3'),
       ('220822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通榆县', '2208', '3'),
       ('220871', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉林白城经济开发区', '2208', '3'),
       ('220881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洮南市', '2208', '3'),
       ('220882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大安市', '2208', '3'),
       ('222401', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延吉市', '2224', '3'),
       ('222402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '图们市', '2224', '3'),
       ('222403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '敦化市', '2224', '3'),
       ('222404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '珲春市', '2224', '3'),
       ('222405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙井市', '2224', '3'),
       ('222406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和龙市', '2224', '3'),
       ('222424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汪清县', '2224', '3'),
       ('222426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安图县', '2224', '3'),
       ('230102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '道里区', '2301', '3'),
       ('230103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南岗区', '2301', '3'),
       ('230104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '道外区', '2301', '3'),
       ('230108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平房区', '2301', '3'),
       ('230109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松北区', '2301', '3'),
       ('230110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '香坊区', '2301', '3'),
       ('230111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '呼兰区', '2301', '3'),
       ('230112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿城区', '2301', '3'),
       ('230113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双城区', '2301', '3'),
       ('230123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '依兰县', '2301', '3'),
       ('230124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '方正县', '2301', '3'),
       ('230125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宾县', '2301', '3'),
       ('230126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴彦县', '2301', '3'),
       ('230127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '木兰县', '2301', '3'),
       ('230128', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通河县', '2301', '3'),
       ('230129', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延寿县', '2301', '3'),
       ('230183', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尚志市', '2301', '3'),
       ('230184', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五常市', '2301', '3'),
       ('230202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙沙区', '2302', '3'),
       ('230203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建华区', '2302', '3'),
       ('230204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁锋区', '2302', '3'),
       ('230205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昂昂溪区', '2302', '3'),
       ('230206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富拉尔基区', '2302', '3'),
       ('230207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '碾子山区', '2302', '3'),
       ('230208', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梅里斯达斡尔族区', '2302', '3'),
       ('230221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙江县', '2302', '3'),
       ('230223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '依安县', '2302', '3'),
       ('230224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰来县', '2302', '3'),
       ('230225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘南县', '2302', '3'),
       ('230227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富裕县', '2302', '3'),
       ('230229', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '克山县', '2302', '3'),
       ('230230', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '克东县', '2302', '3'),
       ('230231', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '拜泉县', '2302', '3'),
       ('230281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '讷河市', '2302', '3'),
       ('230302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鸡冠区', '2303', '3'),
       ('230303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '恒山区', '2303', '3'),
       ('230304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滴道区', '2303', '3'),
       ('230305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梨树区', '2303', '3'),
       ('230306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城子河区', '2303', '3'),
       ('230307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麻山区', '2303', '3'),
       ('230321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鸡东县', '2303', '3'),
       ('230381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '虎林市', '2303', '3'),
       ('230382', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '密山市', '2303', '3'),
       ('230402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '向阳区', '2304', '3'),
       ('230403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '工农区', '2304', '3'),
       ('230404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南山区', '2304', '3'),
       ('230405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴安区', '2304', '3'),
       ('230406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东山区', '2304', '3'),
       ('230407', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴山区', '2304', '3'),
       ('230421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '萝北县', '2304', '3'),
       ('230422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绥滨县', '2304', '3'),
       ('230502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尖山区', '2305', '3'),
       ('230503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岭东区', '2305', '3'),
       ('230505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '四方台区', '2305', '3'),
       ('230506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝山区', '2305', '3'),
       ('230521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '集贤县', '2305', '3'),
       ('230522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '友谊县', '2305', '3'),
       ('230523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝清县', '2305', '3'),
       ('230524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '饶河县', '2305', '3'),
       ('230602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '萨尔图区', '2306', '3'),
       ('230603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙凤区', '2306', '3'),
       ('230604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '让胡路区', '2306', '3'),
       ('230605', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红岗区', '2306', '3'),
       ('230606', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大同区', '2306', '3'),
       ('230621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肇州县', '2306', '3'),
       ('230622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肇源县', '2306', '3'),
       ('230623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林甸县', '2306', '3'),
       ('230624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杜尔伯特蒙古族自治县', '2306', '3'),
       ('230671', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大庆高新技术产业开发区', '2306', '3'),
       ('230717', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊美区', '2307', '3'),
       ('230718', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌翠区', '2307', '3'),
       ('230719', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '友好区', '2307', '3'),
       ('230722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉荫县', '2307', '3'),
       ('230723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汤旺县', '2307', '3'),
       ('230724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰林县', '2307', '3'),
       ('230725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大箐山县', '2307', '3'),
       ('230726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南岔县', '2307', '3'),
       ('230751', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金林区', '2307', '3'),
       ('230781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁力市', '2307', '3'),
       ('230803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '向阳区', '2308', '3'),
       ('230804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '前进区', '2308', '3'),
       ('230805', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东风区', '2308', '3'),
       ('230811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郊区', '2308', '3'),
       ('230822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桦南县', '2308', '3'),
       ('230826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桦川县', '2308', '3'),
       ('230828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汤原县', '2308', '3'),
       ('230881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '同江市', '2308', '3'),
       ('230882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富锦市', '2308', '3'),
       ('230883', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '抚远市', '2308', '3'),
       ('230902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新兴区', '2309', '3'),
       ('230903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桃山区', '2309', '3'),
       ('230904', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茄子河区', '2309', '3'),
       ('230921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '勃利县', '2309', '3'),
       ('231002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东安区', '2310', '3'),
       ('231003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳明区', '2310', '3'),
       ('231004', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '爱民区', '2310', '3'),
       ('231005', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西安区', '2310', '3'),
       ('231025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林口县', '2310', '3'),
       ('231071', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '牡丹江经济技术开发区', '2310', '3'),
       ('231081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绥芬河市', '2310', '3'),
       ('231083', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海林市', '2310', '3'),
       ('231084', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁安市', '2310', '3'),
       ('231085', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '穆棱市', '2310', '3'),
       ('231086', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东宁市', '2310', '3'),
       ('231102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '爱辉区', '2311', '3'),
       ('231123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '逊克县', '2311', '3'),
       ('231124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '孙吴县', '2311', '3'),
       ('231181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北安市', '2311', '3'),
       ('231182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五大连池市', '2311', '3'),
       ('231183', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嫩江市', '2311', '3'),
       ('231202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北林区', '2312', '3'),
       ('231221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '望奎县', '2312', '3'),
       ('231222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兰西县', '2312', '3'),
       ('231223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青冈县', '2312', '3'),
       ('231224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庆安县', '2312', '3'),
       ('231225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '明水县', '2312', '3'),
       ('231226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绥棱县', '2312', '3'),
       ('231281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安达市', '2312', '3'),
       ('231282', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肇东市', '2312', '3'),
       ('231283', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海伦市', '2312', '3'),
       ('232701', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '漠河市', '2327', '3'),
       ('232721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '呼玛县', '2327', '3'),
       ('232722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '塔河县', '2327', '3'),
       ('232761', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '加格达奇区', '2327', '3'),
       ('232762', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松岭区', '2327', '3'),
       ('232763', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新林区', '2327', '3'),
       ('232764', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '呼中区', '2327', '3'),
       ('310101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄浦区', '3101', '3'),
       ('310104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '徐汇区', '3101', '3'),
       ('310105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长宁区', '3101', '3'),
       ('310106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '静安区', '3101', '3'),
       ('310107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '普陀区', '3101', '3'),
       ('310109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '虹口区', '3101', '3'),
       ('310110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杨浦区', '3101', '3'),
       ('310112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '闵行区', '3101', '3'),
       ('310113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝山区', '3101', '3'),
       ('310114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉定区', '3101', '3'),
       ('310115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浦东新区', '3101', '3'),
       ('310116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金山区', '3101', '3'),
       ('310117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松江区', '3101', '3'),
       ('310118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青浦区', '3101', '3'),
       ('310120', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '奉贤区', '3101', '3'),
       ('310151', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崇明区', '3101', '3'),
       ('320102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玄武区', '3201', '3'),
       ('320104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秦淮区', '3201', '3'),
       ('320105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建邺区', '3201', '3'),
       ('320106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鼓楼区', '3201', '3'),
       ('320111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浦口区', '3201', '3'),
       ('320113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '栖霞区', '3201', '3'),
       ('320114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雨花台区', '3201', '3'),
       ('320115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江宁区', '3201', '3'),
       ('320116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '六合区', '3201', '3'),
       ('320117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '溧水区', '3201', '3'),
       ('320118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高淳区', '3201', '3'),
       ('320205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '锡山区', '3202', '3'),
       ('320206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠山区', '3202', '3'),
       ('320211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滨湖区', '3202', '3'),
       ('320213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梁溪区', '3202', '3'),
       ('320214', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新吴区', '3202', '3'),
       ('320281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江阴市', '3202', '3'),
       ('320282', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜兴市', '3202', '3'),
       ('320302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鼓楼区', '3203', '3'),
       ('320303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云龙区', '3203', '3'),
       ('320305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贾汪区', '3203', '3'),
       ('320311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泉山区', '3203', '3'),
       ('320312', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铜山区', '3203', '3'),
       ('320321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰县', '3203', '3'),
       ('320322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沛县', '3203', '3'),
       ('320324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '睢宁县', '3203', '3'),
       ('320371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '徐州经济技术开发区', '3203', '3'),
       ('320381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新沂市', '3203', '3'),
       ('320382', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邳州市', '3203', '3'),
       ('320402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天宁区', '3204', '3'),
       ('320404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '钟楼区', '3204', '3'),
       ('320411', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新北区', '3204', '3'),
       ('320412', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武进区', '3204', '3'),
       ('320413', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金坛区', '3204', '3'),
       ('320481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '溧阳市', '3204', '3'),
       ('320505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '虎丘区', '3205', '3'),
       ('320506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吴中区', '3205', '3'),
       ('320507', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '相城区', '3205', '3'),
       ('320508', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '姑苏区', '3205', '3'),
       ('320509', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吴江区', '3205', '3'),
       ('320571', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苏州工业园区', '3205', '3'),
       ('320581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '常熟市', '3205', '3'),
       ('320582', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张家港市', '3205', '3'),
       ('320583', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昆山市', '3205', '3'),
       ('320585', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太仓市', '3205', '3'),
       ('320612', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通州区', '3206', '3'),
       ('320613', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崇川区', '3206', '3'),
       ('320614', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海门区', '3206', '3'),
       ('320623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '如东县', '3206', '3'),
       ('320671', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南通经济技术开发区', '3206', '3'),
       ('320681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '启东市', '3206', '3'),
       ('320682', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '如皋市', '3206', '3'),
       ('320685', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海安市', '3206', '3'),
       ('320703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连云区', '3207', '3'),
       ('320706', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海州区', '3207', '3'),
       ('320707', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赣榆区', '3207', '3'),
       ('320722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东海县', '3207', '3'),
       ('320723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灌云县', '3207', '3'),
       ('320724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灌南县', '3207', '3'),
       ('320771', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连云港经济技术开发区', '3207', '3'),
       ('320772', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连云港高新技术产业开发区', '3207', '3'),
       ('320803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淮安区', '3208', '3'),
       ('320804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淮阴区', '3208', '3'),
       ('320812', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清江浦区', '3208', '3'),
       ('320813', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洪泽区', '3208', '3'),
       ('320826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涟水县', '3208', '3'),
       ('320830', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盱眙县', '3208', '3'),
       ('320831', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金湖县', '3208', '3'),
       ('320871', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淮安经济技术开发区', '3208', '3'),
       ('320902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '亭湖区', '3209', '3'),
       ('320903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐都区', '3209', '3'),
       ('320904', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大丰区', '3209', '3'),
       ('320921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '响水县', '3209', '3'),
       ('320922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滨海县', '3209', '3'),
       ('320923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜宁县', '3209', '3'),
       ('320924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '射阳县', '3209', '3'),
       ('320925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建湖县', '3209', '3'),
       ('320971', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐城经济技术开发区', '3209', '3'),
       ('320981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东台市', '3209', '3'),
       ('321002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广陵区', '3210', '3'),
       ('321003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邗江区', '3210', '3'),
       ('321012', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江都区', '3210', '3'),
       ('321023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝应县', '3210', '3'),
       ('321071', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扬州经济技术开发区', '3210', '3'),
       ('321081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仪征市', '3210', '3'),
       ('321084', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高邮市', '3210', '3'),
       ('321102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '京口区', '3211', '3'),
       ('321111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '润州区', '3211', '3'),
       ('321112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丹徒区', '3211', '3'),
       ('321171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇江新区', '3211', '3'),
       ('321181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丹阳市', '3211', '3'),
       ('321182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扬中市', '3211', '3'),
       ('321183', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '句容市', '3211', '3'),
       ('321202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海陵区', '3212', '3'),
       ('321203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高港区', '3212', '3'),
       ('321204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '姜堰区', '3212', '3'),
       ('321271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰州医药高新技术产业开发区', '3212', '3'),
       ('321281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴化市', '3212', '3'),
       ('321282', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '靖江市', '3212', '3'),
       ('321283', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰兴市', '3212', '3'),
       ('321302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宿城区', '3213', '3'),
       ('321311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宿豫区', '3213', '3'),
       ('321322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沭阳县', '3213', '3'),
       ('321323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泗阳县', '3213', '3'),
       ('321324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泗洪县', '3213', '3'),
       ('321371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宿迁经济技术开发区', '3213', '3'),
       ('330102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上城区', '3301', '3'),
       ('330105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '拱墅区', '3301', '3'),
       ('330106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西湖区', '3301', '3'),
       ('330108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滨江区', '3301', '3'),
       ('330109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '萧山区', '3301', '3'),
       ('330110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '余杭区', '3301', '3'),
       ('330111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富阳区', '3301', '3'),
       ('330112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临安区', '3301', '3'),
       ('330113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临平区', '3301', '3'),
       ('330114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '钱塘区', '3301', '3'),
       ('330122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桐庐县', '3301', '3'),
       ('330127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淳安县', '3301', '3'),
       ('330182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建德市', '3301', '3'),
       ('330203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海曙区', '3302', '3'),
       ('330205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江北区', '3302', '3'),
       ('330206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北仑区', '3302', '3'),
       ('330211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇海区', '3302', '3'),
       ('330212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄞州区', '3302', '3'),
       ('330213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '奉化区', '3302', '3'),
       ('330225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '象山县', '3302', '3'),
       ('330226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁海县', '3302', '3'),
       ('330281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '余姚市', '3302', '3'),
       ('330282', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '慈溪市', '3302', '3'),
       ('330302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹿城区', '3303', '3'),
       ('330303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙湾区', '3303', '3'),
       ('330304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瓯海区', '3303', '3'),
       ('330305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洞头区', '3303', '3'),
       ('330324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永嘉县', '3303', '3'),
       ('330326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平阳县', '3303', '3'),
       ('330327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苍南县', '3303', '3'),
       ('330328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文成县', '3303', '3'),
       ('330329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰顺县', '3303', '3'),
       ('330371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '温州经济技术开发区', '3303', '3'),
       ('330381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瑞安市', '3303', '3'),
       ('330382', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐清市', '3303', '3'),
       ('330383', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙港市', '3303', '3'),
       ('330402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南湖区', '3304', '3'),
       ('330411', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秀洲区', '3304', '3'),
       ('330421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉善县', '3304', '3'),
       ('330424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海盐县', '3304', '3'),
       ('330481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海宁市', '3304', '3'),
       ('330482', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平湖市', '3304', '3'),
       ('330483', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桐乡市', '3304', '3'),
       ('330502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吴兴区', '3305', '3'),
       ('330503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南浔区', '3305', '3'),
       ('330521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德清县', '3305', '3'),
       ('330522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长兴县', '3305', '3'),
       ('330523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安吉县', '3305', '3'),
       ('330602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '越城区', '3306', '3'),
       ('330603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柯桥区', '3306', '3'),
       ('330604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上虞区', '3306', '3'),
       ('330624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新昌县', '3306', '3'),
       ('330681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '诸暨市', '3306', '3'),
       ('330683', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嵊州市', '3306', '3'),
       ('330702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '婺城区', '3307', '3'),
       ('330703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金东区', '3307', '3'),
       ('330723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武义县', '3307', '3'),
       ('330726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浦江县', '3307', '3'),
       ('330727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '磐安县', '3307', '3'),
       ('330781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兰溪市', '3307', '3'),
       ('330782', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '义乌市', '3307', '3'),
       ('330783', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东阳市', '3307', '3'),
       ('330784', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永康市', '3307', '3'),
       ('330802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柯城区', '3308', '3'),
       ('330803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衢江区', '3308', '3'),
       ('330822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '常山县', '3308', '3'),
       ('330824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开化县', '3308', '3'),
       ('330825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙游县', '3308', '3'),
       ('330881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江山市', '3308', '3'),
       ('330902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定海区', '3309', '3'),
       ('330903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '普陀区', '3309', '3'),
       ('330921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岱山县', '3309', '3'),
       ('330922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嵊泗县', '3309', '3'),
       ('331002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '椒江区', '3310', '3'),
       ('331003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄岩区', '3310', '3'),
       ('331004', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '路桥区', '3310', '3'),
       ('331022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三门县', '3310', '3'),
       ('331023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天台县', '3310', '3'),
       ('331024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仙居县', '3310', '3'),
       ('331081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '温岭市', '3310', '3'),
       ('331082', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临海市', '3310', '3'),
       ('331083', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉环市', '3310', '3'),
       ('331102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莲都区', '3311', '3'),
       ('331121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青田县', '3311', '3'),
       ('331122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '缙云县', '3311', '3'),
       ('331123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '遂昌县', '3311', '3'),
       ('331124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松阳县', '3311', '3'),
       ('331125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云和县', '3311', '3'),
       ('331126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庆元县', '3311', '3'),
       ('331127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '景宁畲族自治县', '3311', '3'),
       ('331181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙泉市', '3311', '3'),
       ('340102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瑶海区', '3401', '3'),
       ('340103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庐阳区', '3401', '3'),
       ('340104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蜀山区', '3401', '3'),
       ('340111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '包河区', '3401', '3'),
       ('340121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长丰县', '3401', '3'),
       ('340122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肥东县', '3401', '3'),
       ('340123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肥西县', '3401', '3'),
       ('340124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庐江县', '3401', '3'),
       ('340171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合肥高新技术产业开发区', '3401', '3'),
       ('340172', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合肥经济技术开发区', '3401', '3'),
       ('340173', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合肥新站高新技术产业开发区', '3401', '3'),
       ('340181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巢湖市', '3401', '3'),
       ('340202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镜湖区', '3402', '3'),
       ('340207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鸠江区', '3402', '3'),
       ('340209', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '弋江区', '3402', '3'),
       ('340210', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湾沚区', '3402', '3'),
       ('340212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '繁昌区', '3402', '3'),
       ('340223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南陵县', '3402', '3'),
       ('340271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芜湖经济技术开发区', '3402', '3'),
       ('340272', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安徽芜湖三山经济开发区', '3402', '3'),
       ('340281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '无为市', '3402', '3'),
       ('340302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙子湖区', '3403', '3'),
       ('340303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蚌山区', '3403', '3'),
       ('340304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '禹会区', '3403', '3'),
       ('340311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淮上区', '3403', '3'),
       ('340321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怀远县', '3403', '3'),
       ('340322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五河县', '3403', '3'),
       ('340323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '固镇县', '3403', '3'),
       ('340371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蚌埠市高新技术开发区', '3403', '3'),
       ('340372', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蚌埠市经济开发区', '3403', '3'),
       ('340402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大通区', '3404', '3'),
       ('340403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '田家庵区', '3404', '3'),
       ('340404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '谢家集区', '3404', '3'),
       ('340405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '八公山区', '3404', '3'),
       ('340406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潘集区', '3404', '3'),
       ('340421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤台县', '3404', '3'),
       ('340422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '寿县', '3404', '3'),
       ('340503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '花山区', '3405', '3'),
       ('340504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雨山区', '3405', '3'),
       ('340506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博望区', '3405', '3'),
       ('340521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '当涂县', '3405', '3'),
       ('340522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '含山县', '3405', '3'),
       ('340523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和县', '3405', '3'),
       ('340602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杜集区', '3406', '3'),
       ('340603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '相山区', '3406', '3'),
       ('340604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '烈山区', '3406', '3'),
       ('340621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '濉溪县', '3406', '3'),
       ('340705', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铜官区', '3407', '3'),
       ('340706', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '义安区', '3407', '3'),
       ('340711', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郊区', '3407', '3'),
       ('340722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '枞阳县', '3407', '3'),
       ('340802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '迎江区', '3408', '3'),
       ('340803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大观区', '3408', '3'),
       ('340811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜秀区', '3408', '3'),
       ('340822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怀宁县', '3408', '3'),
       ('340825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太湖县', '3408', '3'),
       ('340826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宿松县', '3408', '3'),
       ('340827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '望江县', '3408', '3'),
       ('340828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岳西县', '3408', '3'),
       ('340871', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安徽安庆经济开发区', '3408', '3'),
       ('340881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桐城市', '3408', '3'),
       ('340882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潜山市', '3408', '3'),
       ('341002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '屯溪区', '3410', '3'),
       ('341003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄山区', '3410', '3'),
       ('341004', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '徽州区', '3410', '3'),
       ('341021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '歙县', '3410', '3'),
       ('341022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '休宁县', '3410', '3'),
       ('341023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黟县', '3410', '3'),
       ('341024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '祁门县', '3410', '3'),
       ('341102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '琅琊区', '3411', '3'),
       ('341103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南谯区', '3411', '3'),
       ('341122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '来安县', '3411', '3'),
       ('341124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '全椒县', '3411', '3'),
       ('341125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定远县', '3411', '3'),
       ('341126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤阳县', '3411', '3'),
       ('341171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中新苏滁高新技术产业开发区', '3411', '3'),
       ('341172', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滁州经济技术开发区', '3411', '3'),
       ('341181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天长市', '3411', '3'),
       ('341182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '明光市', '3411', '3'),
       ('341202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '颍州区', '3412', '3'),
       ('341203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '颍东区', '3412', '3'),
       ('341204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '颍泉区', '3412', '3'),
       ('341221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临泉县', '3412', '3'),
       ('341222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太和县', '3412', '3'),
       ('341225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜南县', '3412', '3'),
       ('341226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '颍上县', '3412', '3'),
       ('341271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜阳合肥现代产业园区', '3412', '3'),
       ('341272', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜阳经济技术开发区', '3412', '3'),
       ('341282', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '界首市', '3412', '3'),
       ('341302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '埇桥区', '3413', '3'),
       ('341321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '砀山县', '3413', '3'),
       ('341322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '萧县', '3413', '3'),
       ('341323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灵璧县', '3413', '3'),
       ('341324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泗县', '3413', '3'),
       ('341371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宿州马鞍山现代产业园区', '3413', '3'),
       ('341372', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宿州经济技术开发区', '3413', '3'),
       ('341502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金安区', '3415', '3'),
       ('341503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '裕安区', '3415', '3'),
       ('341504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '叶集区', '3415', '3'),
       ('341522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '霍邱县', '3415', '3'),
       ('341523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '舒城县', '3415', '3'),
       ('341524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金寨县', '3415', '3'),
       ('341525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '霍山县', '3415', '3'),
       ('341602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '谯城区', '3416', '3'),
       ('341621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涡阳县', '3416', '3'),
       ('341622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蒙城县', '3416', '3'),
       ('341623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '利辛县', '3416', '3'),
       ('341702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贵池区', '3417', '3'),
       ('341721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东至县', '3417', '3'),
       ('341722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石台县', '3417', '3'),
       ('341723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青阳县', '3417', '3'),
       ('341802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宣州区', '3418', '3'),
       ('341821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郎溪县', '3418', '3'),
       ('341823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泾县', '3418', '3'),
       ('341824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绩溪县', '3418', '3'),
       ('341825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '旌德县', '3418', '3'),
       ('341871', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宣城市经济开发区', '3418', '3'),
       ('341881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁国市', '3418', '3'),
       ('341882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广德市', '3418', '3'),
       ('350102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鼓楼区', '3501', '3'),
       ('350103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台江区', '3501', '3'),
       ('350104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仓山区', '3501', '3'),
       ('350105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '马尾区', '3501', '3'),
       ('350111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '晋安区', '3501', '3'),
       ('350112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长乐区', '3501', '3'),
       ('350121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '闽侯县', '3501', '3'),
       ('350122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连江县', '3501', '3'),
       ('350123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗源县', '3501', '3'),
       ('350124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '闽清县', '3501', '3'),
       ('350125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永泰县', '3501', '3'),
       ('350128', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平潭县', '3501', '3'),
       ('350181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福清市', '3501', '3'),
       ('350203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '思明区', '3502', '3'),
       ('350205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海沧区', '3502', '3'),
       ('350206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖里区', '3502', '3'),
       ('350211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '集美区', '3502', '3'),
       ('350212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '同安区', '3502', '3'),
       ('350213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '翔安区', '3502', '3'),
       ('350302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城厢区', '3503', '3'),
       ('350303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涵江区', '3503', '3'),
       ('350304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荔城区', '3503', '3'),
       ('350305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秀屿区', '3503', '3'),
       ('350322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仙游县', '3503', '3'),
       ('350404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三元区', '3504', '3'),
       ('350405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙县区', '3504', '3'),
       ('350421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '明溪县', '3504', '3'),
       ('350423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清流县', '3504', '3'),
       ('350424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁化县', '3504', '3'),
       ('350425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大田县', '3504', '3'),
       ('350426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尤溪县', '3504', '3'),
       ('350428', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '将乐县', '3504', '3'),
       ('350429', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰宁县', '3504', '3'),
       ('350430', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建宁县', '3504', '3'),
       ('350481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永安市', '3504', '3'),
       ('350502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鲤城区', '3505', '3'),
       ('350503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰泽区', '3505', '3'),
       ('350504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛江区', '3505', '3'),
       ('350505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泉港区', '3505', '3'),
       ('350521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠安县', '3505', '3'),
       ('350524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安溪县', '3505', '3'),
       ('350525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永春县', '3505', '3'),
       ('350526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德化县', '3505', '3'),
       ('350527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金门县', '3505', '3'),
       ('350581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石狮市', '3505', '3'),
       ('350582', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '晋江市', '3505', '3'),
       ('350583', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南安市', '3505', '3'),
       ('350602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芗城区', '3506', '3'),
       ('350603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙文区', '3506', '3'),
       ('350604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙海区', '3506', '3'),
       ('350605', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长泰区', '3506', '3'),
       ('350622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云霄县', '3506', '3'),
       ('350623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '漳浦县', '3506', '3'),
       ('350624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '诏安县', '3506', '3'),
       ('350626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东山县', '3506', '3'),
       ('350627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南靖县', '3506', '3'),
       ('350628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平和县', '3506', '3'),
       ('350629', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华安县', '3506', '3'),
       ('350702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延平区', '3507', '3'),
       ('350703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建阳区', '3507', '3'),
       ('350721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '顺昌县', '3507', '3'),
       ('350722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浦城县', '3507', '3'),
       ('350723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '光泽县', '3507', '3'),
       ('350724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松溪县', '3507', '3'),
       ('350725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '政和县', '3507', '3'),
       ('350781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邵武市', '3507', '3'),
       ('350782', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武夷山市', '3507', '3'),
       ('350783', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建瓯市', '3507', '3'),
       ('350802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新罗区', '3508', '3'),
       ('350803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永定区', '3508', '3'),
       ('350821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长汀县', '3508', '3'),
       ('350823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上杭县', '3508', '3'),
       ('350824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武平县', '3508', '3'),
       ('350825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连城县', '3508', '3'),
       ('350881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '漳平市', '3508', '3'),
       ('350902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蕉城区', '3509', '3'),
       ('350921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '霞浦县', '3509', '3'),
       ('350922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古田县', '3509', '3'),
       ('350923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '屏南县', '3509', '3'),
       ('350924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '寿宁县', '3509', '3'),
       ('350925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '周宁县', '3509', '3'),
       ('350926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柘荣县', '3509', '3'),
       ('350981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福安市', '3509', '3'),
       ('350982', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福鼎市', '3509', '3'),
       ('360102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东湖区', '3601', '3'),
       ('360103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西湖区', '3601', '3'),
       ('360104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青云谱区', '3601', '3'),
       ('360111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青山湖区', '3601', '3'),
       ('360112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新建区', '3601', '3'),
       ('360113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红谷滩区', '3601', '3'),
       ('360121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南昌县', '3601', '3'),
       ('360123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安义县', '3601', '3'),
       ('360124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '进贤县', '3601', '3'),
       ('360202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌江区', '3602', '3'),
       ('360203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '珠山区', '3602', '3'),
       ('360222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浮梁县', '3602', '3'),
       ('360281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐平市', '3602', '3'),
       ('360302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安源区', '3603', '3'),
       ('360313', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湘东区', '3603', '3'),
       ('360321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莲花县', '3603', '3'),
       ('360322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上栗县', '3603', '3'),
       ('360323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芦溪县', '3603', '3'),
       ('360402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '濂溪区', '3604', '3'),
       ('360403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浔阳区', '3604', '3'),
       ('360404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柴桑区', '3604', '3'),
       ('360423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武宁县', '3604', '3'),
       ('360424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '修水县', '3604', '3'),
       ('360425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永修县', '3604', '3'),
       ('360426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德安县', '3604', '3'),
       ('360428', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '都昌县', '3604', '3'),
       ('360429', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖口县', '3604', '3'),
       ('360430', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彭泽县', '3604', '3'),
       ('360481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瑞昌市', '3604', '3'),
       ('360482', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '共青城市', '3604', '3'),
       ('360483', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庐山市', '3604', '3'),
       ('360502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渝水区', '3605', '3'),
       ('360521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '分宜县', '3605', '3'),
       ('360602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '月湖区', '3606', '3'),
       ('360603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '余江区', '3606', '3'),
       ('360681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贵溪市', '3606', '3'),
       ('360702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '章贡区', '3607', '3'),
       ('360703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南康区', '3607', '3'),
       ('360704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赣县区', '3607', '3'),
       ('360722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '信丰县', '3607', '3'),
       ('360723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大余县', '3607', '3'),
       ('360724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上犹县', '3607', '3'),
       ('360725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崇义县', '3607', '3'),
       ('360726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安远县', '3607', '3'),
       ('360728', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定南县', '3607', '3'),
       ('360729', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '全南县', '3607', '3'),
       ('360730', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁都县', '3607', '3'),
       ('360731', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '于都县', '3607', '3'),
       ('360732', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴国县', '3607', '3'),
       ('360733', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '会昌县', '3607', '3'),
       ('360734', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '寻乌县', '3607', '3'),
       ('360735', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石城县', '3607', '3'),
       ('360781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瑞金市', '3607', '3'),
       ('360783', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙南市', '3607', '3'),
       ('360802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉州区', '3608', '3'),
       ('360803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青原区', '3608', '3'),
       ('360821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉安县', '3608', '3'),
       ('360822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉水县', '3608', '3'),
       ('360823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '峡江县', '3608', '3'),
       ('360824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新干县', '3608', '3'),
       ('360825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永丰县', '3608', '3'),
       ('360826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰和县', '3608', '3'),
       ('360827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '遂川县', '3608', '3'),
       ('360828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万安县', '3608', '3'),
       ('360829', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安福县', '3608', '3'),
       ('360830', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永新县', '3608', '3'),
       ('360881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '井冈山市', '3608', '3'),
       ('360902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '袁州区', '3609', '3'),
       ('360921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '奉新县', '3609', '3'),
       ('360922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万载县', '3609', '3'),
       ('360923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上高县', '3609', '3'),
       ('360924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜丰县', '3609', '3'),
       ('360925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '靖安县', '3609', '3'),
       ('360926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铜鼓县', '3609', '3'),
       ('360981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰城市', '3609', '3'),
       ('360982', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '樟树市', '3609', '3'),
       ('360983', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高安市', '3609', '3'),
       ('361002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临川区', '3610', '3'),
       ('361003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东乡区', '3610', '3'),
       ('361021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南城县', '3610', '3'),
       ('361022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黎川县', '3610', '3'),
       ('361023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南丰县', '3610', '3'),
       ('361024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崇仁县', '3610', '3'),
       ('361025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐安县', '3610', '3'),
       ('361026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜黄县', '3610', '3'),
       ('361027', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金溪县', '3610', '3'),
       ('361028', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '资溪县', '3610', '3'),
       ('361030', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广昌县', '3610', '3'),
       ('361102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '信州区', '3611', '3'),
       ('361103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广丰区', '3611', '3'),
       ('361104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广信区', '3611', '3'),
       ('361123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉山县', '3611', '3'),
       ('361124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铅山县', '3611', '3'),
       ('361125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '横峰县', '3611', '3'),
       ('361126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '弋阳县', '3611', '3'),
       ('361127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '余干县', '3611', '3'),
       ('361128', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄱阳县', '3611', '3'),
       ('361129', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万年县', '3611', '3'),
       ('361130', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '婺源县', '3611', '3'),
       ('361181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德兴市', '3611', '3'),
       ('370102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '历下区', '3701', '3'),
       ('370103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市中区', '3701', '3'),
       ('370104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '槐荫区', '3701', '3'),
       ('370105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天桥区', '3701', '3'),
       ('370112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '历城区', '3701', '3'),
       ('370113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长清区', '3701', '3'),
       ('370114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '章丘区', '3701', '3'),
       ('370115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '济阳区', '3701', '3'),
       ('370116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莱芜区', '3701', '3'),
       ('370117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '钢城区', '3701', '3'),
       ('370124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平阴县', '3701', '3'),
       ('370126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '商河县', '3701', '3'),
       ('370171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '济南高新技术产业开发区', '3701', '3'),
       ('370202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市南区', '3702', '3'),
       ('370203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市北区', '3702', '3'),
       ('370211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄岛区', '3702', '3'),
       ('370212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崂山区', '3702', '3'),
       ('370213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '李沧区', '3702', '3'),
       ('370214', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城阳区', '3702', '3'),
       ('370215', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '即墨区', '3702', '3'),
       ('370271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青岛高新技术产业开发区', '3702', '3'),
       ('370281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '胶州市', '3702', '3'),
       ('370283', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平度市', '3702', '3'),
       ('370285', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莱西市', '3702', '3'),
       ('370302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淄川区', '3703', '3'),
       ('370303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张店区', '3703', '3'),
       ('370304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博山区', '3703', '3'),
       ('370305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临淄区', '3703', '3'),
       ('370306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '周村区', '3703', '3'),
       ('370321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桓台县', '3703', '3'),
       ('370322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高青县', '3703', '3'),
       ('370323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沂源县', '3703', '3'),
       ('370402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市中区', '3704', '3'),
       ('370403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '薛城区', '3704', '3'),
       ('370404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '峄城区', '3704', '3'),
       ('370405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台儿庄区', '3704', '3'),
       ('370406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山亭区', '3704', '3'),
       ('370481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滕州市', '3704', '3'),
       ('370502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东营区', '3705', '3'),
       ('370503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河口区', '3705', '3'),
       ('370505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '垦利区', '3705', '3'),
       ('370522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '利津县', '3705', '3'),
       ('370523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广饶县', '3705', '3'),
       ('370571', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东营经济技术开发区', '3705', '3'),
       ('370572', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东营港经济开发区', '3705', '3'),
       ('370602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芝罘区', '3706', '3'),
       ('370611', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福山区', '3706', '3'),
       ('370612', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '牟平区', '3706', '3'),
       ('370613', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莱山区', '3706', '3'),
       ('370614', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蓬莱区', '3706', '3'),
       ('370671', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '烟台高新技术产业开发区', '3706', '3'),
       ('370672', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '烟台经济技术开发区', '3706', '3'),
       ('370681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙口市', '3706', '3'),
       ('370682', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莱阳市', '3706', '3'),
       ('370683', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莱州市', '3706', '3'),
       ('370685', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '招远市', '3706', '3'),
       ('370686', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '栖霞市', '3706', '3'),
       ('370687', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海阳市', '3706', '3'),
       ('370702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潍城区', '3707', '3'),
       ('370703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '寒亭区', '3707', '3'),
       ('370704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '坊子区', '3707', '3'),
       ('370705', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '奎文区', '3707', '3'),
       ('370724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临朐县', '3707', '3'),
       ('370725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌乐县', '3707', '3'),
       ('370772', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潍坊滨海经济技术开发区', '3707', '3'),
       ('370781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青州市', '3707', '3'),
       ('370782', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '诸城市', '3707', '3'),
       ('370783', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '寿光市', '3707', '3'),
       ('370784', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安丘市', '3707', '3'),
       ('370785', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高密市', '3707', '3'),
       ('370786', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌邑市', '3707', '3'),
       ('370811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '任城区', '3708', '3'),
       ('370812', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兖州区', '3708', '3'),
       ('370826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '微山县', '3708', '3'),
       ('370827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鱼台县', '3708', '3'),
       ('370828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金乡县', '3708', '3'),
       ('370829', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉祥县', '3708', '3'),
       ('370830', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汶上县', '3708', '3'),
       ('370831', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泗水县', '3708', '3'),
       ('370832', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梁山县', '3708', '3'),
       ('370871', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '济宁高新技术产业开发区', '3708', '3'),
       ('370881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曲阜市', '3708', '3'),
       ('370883', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邹城市', '3708', '3'),
       ('370902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰山区', '3709', '3'),
       ('370911', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岱岳区', '3709', '3'),
       ('370921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁阳县', '3709', '3'),
       ('370923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东平县', '3709', '3'),
       ('370982', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新泰市', '3709', '3'),
       ('370983', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肥城市', '3709', '3'),
       ('371002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '环翠区', '3710', '3'),
       ('371003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文登区', '3710', '3'),
       ('371071', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '威海火炬高技术产业开发区', '3710', '3'),
       ('371072', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '威海经济技术开发区', '3710', '3'),
       ('371073', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '威海临港经济技术开发区', '3710', '3'),
       ('371082', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荣成市', '3710', '3'),
       ('371083', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乳山市', '3710', '3'),
       ('371102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东港区', '3711', '3'),
       ('371103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岚山区', '3711', '3'),
       ('371121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五莲县', '3711', '3'),
       ('371122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莒县', '3711', '3'),
       ('371171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '日照经济技术开发区', '3711', '3'),
       ('371302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兰山区', '3713', '3'),
       ('371311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗庄区', '3713', '3'),
       ('371312', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河东区', '3713', '3'),
       ('371321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沂南县', '3713', '3'),
       ('371322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郯城县', '3713', '3'),
       ('371323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沂水县', '3713', '3'),
       ('371324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兰陵县', '3713', '3'),
       ('371325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '费县', '3713', '3'),
       ('371326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平邑县', '3713', '3'),
       ('371327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莒南县', '3713', '3'),
       ('371328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蒙阴县', '3713', '3'),
       ('371329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临沭县', '3713', '3'),
       ('371371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临沂高新技术产业开发区', '3713', '3'),
       ('371402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德城区', '3714', '3'),
       ('371403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陵城区', '3714', '3'),
       ('371422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁津县', '3714', '3'),
       ('371423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庆云县', '3714', '3'),
       ('371424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临邑县', '3714', '3'),
       ('371425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '齐河县', '3714', '3'),
       ('371426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平原县', '3714', '3'),
       ('371427', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '夏津县', '3714', '3'),
       ('371428', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武城县', '3714', '3'),
       ('371471', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德州经济技术开发区', '3714', '3'),
       ('371472', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德州运河经济开发区', '3714', '3'),
       ('371481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐陵市', '3714', '3'),
       ('371482', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '禹城市', '3714', '3'),
       ('371502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东昌府区', '3715', '3'),
       ('371503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茌平区', '3715', '3'),
       ('371521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳谷县', '3715', '3'),
       ('371522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莘县', '3715', '3'),
       ('371524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东阿县', '3715', '3'),
       ('371525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '冠县', '3715', '3'),
       ('371526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高唐县', '3715', '3'),
       ('371581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临清市', '3715', '3'),
       ('371602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滨城区', '3716', '3'),
       ('371603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沾化区', '3716', '3'),
       ('371621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠民县', '3716', '3'),
       ('371622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳信县', '3716', '3'),
       ('371623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '无棣县', '3716', '3'),
       ('371625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博兴县', '3716', '3'),
       ('371681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邹平市', '3716', '3'),
       ('371702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '牡丹区', '3717', '3'),
       ('371703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定陶区', '3717', '3'),
       ('371721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曹县', '3717', '3'),
       ('371722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '单县', '3717', '3'),
       ('371723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '成武县', '3717', '3'),
       ('371724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巨野县', '3717', '3'),
       ('371725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郓城县', '3717', '3'),
       ('371726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄄城县', '3717', '3'),
       ('371728', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东明县', '3717', '3'),
       ('371771', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '菏泽经济技术开发区', '3717', '3'),
       ('371772', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '菏泽高新技术开发区', '3717', '3'),
       ('410102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中原区', '4101', '3'),
       ('410103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '二七区', '4101', '3'),
       ('410104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '管城回族区', '4101', '3'),
       ('410105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金水区', '4101', '3'),
       ('410106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上街区', '4101', '3'),
       ('410108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠济区', '4101', '3'),
       ('410122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中牟县', '4101', '3'),
       ('410171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郑州经济技术开发区', '4101', '3'),
       ('410172', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郑州高新技术产业开发区', '4101', '3'),
       ('410173', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郑州航空港经济综合实验区', '4101', '3'),
       ('410181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巩义市', '4101', '3'),
       ('410182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荥阳市', '4101', '3'),
       ('410183', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新密市', '4101', '3'),
       ('410184', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新郑市', '4101', '3'),
       ('410185', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '登封市', '4101', '3'),
       ('410202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙亭区', '4102', '3'),
       ('410203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '顺河回族区', '4102', '3'),
       ('410204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鼓楼区', '4102', '3'),
       ('410205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '禹王台区', '4102', '3'),
       ('410212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '祥符区', '4102', '3'),
       ('410221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杞县', '4102', '3'),
       ('410222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通许县', '4102', '3'),
       ('410223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尉氏县', '4102', '3'),
       ('410225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兰考县', '4102', '3'),
       ('410302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '老城区', '4103', '3'),
       ('410303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西工区', '4103', '3'),
       ('410304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瀍河回族区', '4103', '3'),
       ('410305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涧西区', '4103', '3'),
       ('410307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '偃师区', '4103', '3'),
       ('410308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '孟津区', '4103', '3'),
       ('410311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛龙区', '4103', '3'),
       ('410323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新安县', '4103', '3'),
       ('410324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '栾川县', '4103', '3'),
       ('410325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嵩县', '4103', '3'),
       ('410326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汝阳县', '4103', '3'),
       ('410327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜阳县', '4103', '3'),
       ('410328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛宁县', '4103', '3'),
       ('410329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊川县', '4103', '3'),
       ('410371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛阳高新技术产业开发区', '4103', '3'),
       ('410402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新华区', '4104', '3'),
       ('410403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卫东区', '4104', '3'),
       ('410404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石龙区', '4104', '3'),
       ('410411', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湛河区', '4104', '3'),
       ('410421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝丰县', '4104', '3'),
       ('410422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '叶县', '4104', '3'),
       ('410423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鲁山县', '4104', '3'),
       ('410425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郏县', '4104', '3'),
       ('410471', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平顶山高新技术产业开发区', '4104', '3'),
       ('410472', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平顶山市城乡一体化示范区', '4104', '3'),
       ('410481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '舞钢市', '4104', '3'),
       ('410482', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汝州市', '4104', '3'),
       ('410502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文峰区', '4105', '3'),
       ('410503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北关区', '4105', '3'),
       ('410505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '殷都区', '4105', '3'),
       ('410506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙安区', '4105', '3'),
       ('410522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安阳县', '4105', '3'),
       ('410523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汤阴县', '4105', '3'),
       ('410526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '滑县', '4105', '3'),
       ('410527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '内黄县', '4105', '3'),
       ('410571', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安阳高新技术产业开发区', '4105', '3'),
       ('410581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林州市', '4105', '3'),
       ('410602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹤山区', '4106', '3'),
       ('410603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山城区', '4106', '3'),
       ('410611', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淇滨区', '4106', '3'),
       ('410621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浚县', '4106', '3'),
       ('410622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淇县', '4106', '3'),
       ('410671', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹤壁经济技术开发区', '4106', '3'),
       ('410702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红旗区', '4107', '3'),
       ('410703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卫滨区', '4107', '3'),
       ('410704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤泉区', '4107', '3'),
       ('410711', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '牧野区', '4107', '3'),
       ('410721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新乡县', '4107', '3'),
       ('410724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '获嘉县', '4107', '3'),
       ('410725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '原阳县', '4107', '3'),
       ('410726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延津县', '4107', '3'),
       ('410727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '封丘县', '4107', '3'),
       ('410771', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新乡高新技术产业开发区', '4107', '3'),
       ('410772', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新乡经济技术开发区', '4107', '3'),
       ('410773', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新乡市平原城乡一体化示范区', '4107', '3'),
       ('410781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卫辉市', '4107', '3'),
       ('410782', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '辉县市', '4107', '3'),
       ('410783', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长垣市', '4107', '3'),
       ('410802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '解放区', '4108', '3'),
       ('410803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中站区', '4108', '3'),
       ('410804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '马村区', '4108', '3'),
       ('410811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山阳区', '4108', '3'),
       ('410821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '修武县', '4108', '3'),
       ('410822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博爱县', '4108', '3'),
       ('410823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武陟县', '4108', '3'),
       ('410825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '温县', '4108', '3'),
       ('410871', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '焦作城乡一体化示范区', '4108', '3'),
       ('410882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沁阳市', '4108', '3'),
       ('410883', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '孟州市', '4108', '3'),
       ('410902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华龙区', '4109', '3'),
       ('410922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清丰县', '4109', '3'),
       ('410923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南乐县', '4109', '3'),
       ('410926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '范县', '4109', '3'),
       ('410927', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台前县', '4109', '3'),
       ('410928', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '濮阳县', '4109', '3'),
       ('410971', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河南濮阳工业园区', '4109', '3'),
       ('410972', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '濮阳经济技术开发区', '4109', '3'),
       ('411002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '魏都区', '4110', '3'),
       ('411003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建安区', '4110', '3'),
       ('411024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄢陵县', '4110', '3'),
       ('411025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '襄城县', '4110', '3'),
       ('411071', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '许昌经济技术开发区', '4110', '3'),
       ('411081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '禹州市', '4110', '3'),
       ('411082', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长葛市', '4110', '3'),
       ('411102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '源汇区', '4111', '3'),
       ('411103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郾城区', '4111', '3'),
       ('411104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '召陵区', '4111', '3'),
       ('411121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '舞阳县', '4111', '3'),
       ('411122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临颍县', '4111', '3'),
       ('411171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '漯河经济技术开发区', '4111', '3'),
       ('411202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖滨区', '4112', '3'),
       ('411203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陕州区', '4112', '3'),
       ('411221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渑池县', '4112', '3'),
       ('411224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卢氏县', '4112', '3'),
       ('411271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河南三门峡经济开发区', '4112', '3'),
       ('411281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '义马市', '4112', '3'),
       ('411282', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灵宝市', '4112', '3'),
       ('411302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宛城区', '4113', '3'),
       ('411303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卧龙区', '4113', '3'),
       ('411321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南召县', '4113', '3'),
       ('411322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '方城县', '4113', '3'),
       ('411323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西峡县', '4113', '3'),
       ('411324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇平县', '4113', '3'),
       ('411325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '内乡县', '4113', '3'),
       ('411326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淅川县', '4113', '3'),
       ('411327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '社旗县', '4113', '3'),
       ('411328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '唐河县', '4113', '3'),
       ('411329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新野县', '4113', '3'),
       ('411330', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桐柏县', '4113', '3'),
       ('411371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南阳高新技术产业开发区', '4113', '3'),
       ('411372', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南阳市城乡一体化示范区', '4113', '3'),
       ('411381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邓州市', '4113', '3'),
       ('411402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梁园区', '4114', '3'),
       ('411403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '睢阳区', '4114', '3'),
       ('411421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '民权县', '4114', '3'),
       ('411422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '睢县', '4114', '3'),
       ('411423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁陵县', '4114', '3'),
       ('411424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柘城县', '4114', '3'),
       ('411425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '虞城县', '4114', '3'),
       ('411426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '夏邑县', '4114', '3'),
       ('411471', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '豫东综合物流产业聚集区', '4114', '3'),
       ('411472', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河南商丘经济开发区', '4114', '3'),
       ('411481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永城市', '4114', '3'),
       ('411502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浉河区', '4115', '3'),
       ('411503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平桥区', '4115', '3'),
       ('411521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗山县', '4115', '3'),
       ('411522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '光山县', '4115', '3'),
       ('411523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新县', '4115', '3'),
       ('411524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '商城县', '4115', '3'),
       ('411525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '固始县', '4115', '3'),
       ('411526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潢川县', '4115', '3'),
       ('411527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淮滨县', '4115', '3'),
       ('411528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '息县', '4115', '3'),
       ('411571', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '信阳高新技术产业开发区', '4115', '3'),
       ('411602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '川汇区', '4116', '3'),
       ('411603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淮阳区', '4116', '3'),
       ('411621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扶沟县', '4116', '3'),
       ('411622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西华县', '4116', '3'),
       ('411623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '商水县', '4116', '3'),
       ('411624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沈丘县', '4116', '3'),
       ('411625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郸城县', '4116', '3'),
       ('411627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太康县', '4116', '3'),
       ('411628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹿邑县', '4116', '3'),
       ('411671', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河南周口经济开发区', '4116', '3'),
       ('411681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '项城市', '4116', '3'),
       ('411702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '驿城区', '4117', '3'),
       ('411721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西平县', '4117', '3'),
       ('411722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上蔡县', '4117', '3'),
       ('411723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平舆县', '4117', '3'),
       ('411724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '正阳县', '4117', '3'),
       ('411725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '确山县', '4117', '3'),
       ('411726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泌阳县', '4117', '3'),
       ('411727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汝南县', '4117', '3'),
       ('411728', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '遂平县', '4117', '3'),
       ('411729', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新蔡县', '4117', '3'),
       ('411771', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河南驻马店经济开发区', '4117', '3'),
       ('419001', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '济源市', '4190', '3'),
       ('420102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江岸区', '4201', '3'),
       ('420103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江汉区', '4201', '3'),
       ('420104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '硚口区', '4201', '3'),
       ('420105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汉阳区', '4201', '3'),
       ('420106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武昌区', '4201', '3'),
       ('420107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青山区', '4201', '3'),
       ('420111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洪山区', '4201', '3'),
       ('420112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东西湖区', '4201', '3'),
       ('420113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汉南区', '4201', '3'),
       ('420114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蔡甸区', '4201', '3'),
       ('420115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江夏区', '4201', '3'),
       ('420116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄陂区', '4201', '3'),
       ('420117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新洲区', '4201', '3'),
       ('420202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄石港区', '4202', '3'),
       ('420203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西塞山区', '4202', '3'),
       ('420204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '下陆区', '4202', '3'),
       ('420205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁山区', '4202', '3'),
       ('420222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳新县', '4202', '3'),
       ('420281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大冶市', '4202', '3'),
       ('420302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茅箭区', '4203', '3'),
       ('420303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张湾区', '4203', '3'),
       ('420304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郧阳区', '4203', '3'),
       ('420322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郧西县', '4203', '3'),
       ('420323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竹山县', '4203', '3'),
       ('420324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竹溪县', '4203', '3'),
       ('420325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '房县', '4203', '3'),
       ('420381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丹江口市', '4203', '3'),
       ('420502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西陵区', '4205', '3'),
       ('420503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伍家岗区', '4205', '3'),
       ('420504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '点军区', '4205', '3'),
       ('420505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '猇亭区', '4205', '3'),
       ('420506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '夷陵区', '4205', '3'),
       ('420525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '远安县', '4205', '3'),
       ('420526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴山县', '4205', '3'),
       ('420527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秭归县', '4205', '3'),
       ('420528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长阳土家族自治县', '4205', '3'),
       ('420529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五峰土家族自治县', '4205', '3'),
       ('420581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜都市', '4205', '3'),
       ('420582', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '当阳市', '4205', '3'),
       ('420583', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '枝江市', '4205', '3'),
       ('420602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '襄城区', '4206', '3'),
       ('420606', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '樊城区', '4206', '3'),
       ('420607', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '襄州区', '4206', '3'),
       ('420624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南漳县', '4206', '3'),
       ('420625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '谷城县', '4206', '3'),
       ('420626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '保康县', '4206', '3'),
       ('420682', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '老河口市', '4206', '3'),
       ('420683', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '枣阳市', '4206', '3'),
       ('420684', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜城市', '4206', '3'),
       ('420702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梁子湖区', '4207', '3'),
       ('420703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华容区', '4207', '3'),
       ('420704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄂城区', '4207', '3'),
       ('420802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东宝区', '4208', '3'),
       ('420804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '掇刀区', '4208', '3'),
       ('420822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙洋县', '4208', '3'),
       ('420881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '钟祥市', '4208', '3'),
       ('420882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '京山市', '4208', '3'),
       ('420902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '孝南区', '4209', '3'),
       ('420921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '孝昌县', '4209', '3'),
       ('420922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大悟县', '4209', '3'),
       ('420923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云梦县', '4209', '3'),
       ('420981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '应城市', '4209', '3'),
       ('420982', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安陆市', '4209', '3'),
       ('420984', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汉川市', '4209', '3'),
       ('421002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙市区', '4210', '3'),
       ('421003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荆州区', '4210', '3'),
       ('421022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '公安县', '4210', '3'),
       ('421024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江陵县', '4210', '3'),
       ('421071', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荆州经济技术开发区', '4210', '3'),
       ('421081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石首市', '4210', '3'),
       ('421083', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洪湖市', '4210', '3'),
       ('421087', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松滋市', '4210', '3'),
       ('421088', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '监利市', '4210', '3'),
       ('421102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄州区', '4211', '3'),
       ('421121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '团风县', '4211', '3'),
       ('421122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红安县', '4211', '3'),
       ('421123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗田县', '4211', '3'),
       ('421124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '英山县', '4211', '3'),
       ('421125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浠水县', '4211', '3'),
       ('421126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蕲春县', '4211', '3'),
       ('421127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄梅县', '4211', '3'),
       ('421171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙感湖管理区', '4211', '3'),
       ('421181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麻城市', '4211', '3'),
       ('421182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武穴市', '4211', '3'),
       ('421202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '咸安区', '4212', '3'),
       ('421221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉鱼县', '4212', '3'),
       ('421222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通城县', '4212', '3'),
       ('421223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崇阳县', '4212', '3'),
       ('421224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通山县', '4212', '3'),
       ('421281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赤壁市', '4212', '3'),
       ('421303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曾都区', '4213', '3'),
       ('421321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '随县', '4213', '3'),
       ('421381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广水市', '4213', '3'),
       ('422801', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '恩施市', '4228', '3'),
       ('422802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '利川市', '4228', '3'),
       ('422822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建始县', '4228', '3'),
       ('422823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴东县', '4228', '3'),
       ('422825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宣恩县', '4228', '3'),
       ('422826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '咸丰县', '4228', '3'),
       ('422827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '来凤县', '4228', '3'),
       ('422828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹤峰县', '4228', '3'),
       ('429004', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仙桃市', '4290', '3'),
       ('429005', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潜江市', '4290', '3'),
       ('429006', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天门市', '4290', '3'),
       ('429021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '神农架林区', '4290', '3'),
       ('430102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芙蓉区', '4301', '3'),
       ('430103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天心区', '4301', '3'),
       ('430104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岳麓区', '4301', '3'),
       ('430105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开福区', '4301', '3'),
       ('430111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雨花区', '4301', '3'),
       ('430112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '望城区', '4301', '3'),
       ('430121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长沙县', '4301', '3'),
       ('430181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浏阳市', '4301', '3'),
       ('430182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁乡市', '4301', '3'),
       ('430202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荷塘区', '4302', '3'),
       ('430203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芦淞区', '4302', '3'),
       ('430204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石峰区', '4302', '3'),
       ('430211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天元区', '4302', '3'),
       ('430212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渌口区', '4302', '3'),
       ('430223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '攸县', '4302', '3'),
       ('430224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茶陵县', '4302', '3'),
       ('430225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '炎陵县', '4302', '3'),
       ('430271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云龙示范区', '4302', '3'),
       ('430281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '醴陵市', '4302', '3'),
       ('430302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雨湖区', '4303', '3'),
       ('430304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岳塘区', '4303', '3'),
       ('430321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湘潭县', '4303', '3'),
       ('430371', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖南湘潭高新技术产业园区', '4303', '3'),
       ('430372', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湘潭昭山示范区', '4303', '3'),
       ('430373', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湘潭九华示范区', '4303', '3'),
       ('430381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湘乡市', '4303', '3'),
       ('430382', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '韶山市', '4303', '3'),
       ('430405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '珠晖区', '4304', '3'),
       ('430406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雁峰区', '4304', '3'),
       ('430407', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石鼓区', '4304', '3'),
       ('430408', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蒸湘区', '4304', '3'),
       ('430412', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南岳区', '4304', '3'),
       ('430421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衡阳县', '4304', '3'),
       ('430422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衡南县', '4304', '3'),
       ('430423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衡山县', '4304', '3'),
       ('430424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衡东县', '4304', '3'),
       ('430426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '祁东县', '4304', '3'),
       ('430471', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '衡阳综合保税区', '4304', '3'),
       ('430472', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖南衡阳高新技术产业园区', '4304', '3'),
       ('430473', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖南衡阳松木经济开发区', '4304', '3'),
       ('430481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '耒阳市', '4304', '3'),
       ('430482', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '常宁市', '4304', '3'),
       ('430502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双清区', '4305', '3'),
       ('430503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大祥区', '4305', '3'),
       ('430511', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北塔区', '4305', '3'),
       ('430522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新邵县', '4305', '3'),
       ('430523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邵阳县', '4305', '3'),
       ('430524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隆回县', '4305', '3'),
       ('430525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洞口县', '4305', '3'),
       ('430527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绥宁县', '4305', '3'),
       ('430528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新宁县', '4305', '3'),
       ('430529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城步苗族自治县', '4305', '3'),
       ('430581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武冈市', '4305', '3'),
       ('430582', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邵东市', '4305', '3'),
       ('430602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岳阳楼区', '4306', '3'),
       ('430603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云溪区', '4306', '3'),
       ('430611', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '君山区', '4306', '3'),
       ('430621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岳阳县', '4306', '3'),
       ('430623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华容县', '4306', '3'),
       ('430624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湘阴县', '4306', '3'),
       ('430626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平江县', '4306', '3'),
       ('430671', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岳阳市屈原管理区', '4306', '3'),
       ('430681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汨罗市', '4306', '3'),
       ('430682', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临湘市', '4306', '3'),
       ('430702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武陵区', '4307', '3'),
       ('430703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鼎城区', '4307', '3'),
       ('430721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安乡县', '4307', '3'),
       ('430722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汉寿县', '4307', '3'),
       ('430723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '澧县', '4307', '3'),
       ('430724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临澧县', '4307', '3'),
       ('430725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桃源县', '4307', '3'),
       ('430726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石门县', '4307', '3'),
       ('430771', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '常德市西洞庭管理区', '4307', '3'),
       ('430781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '津市市', '4307', '3'),
       ('430802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永定区', '4308', '3'),
       ('430811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武陵源区', '4308', '3'),
       ('430821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '慈利县', '4308', '3'),
       ('430822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桑植县', '4308', '3'),
       ('430902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '资阳区', '4309', '3'),
       ('430903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赫山区', '4309', '3'),
       ('430921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南县', '4309', '3'),
       ('430922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桃江县', '4309', '3'),
       ('430923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安化县', '4309', '3'),
       ('430971', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '益阳市大通湖管理区', '4309', '3'),
       ('430972', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖南益阳高新技术产业园区', '4309', '3'),
       ('430981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沅江市', '4309', '3'),
       ('431002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北湖区', '4310', '3'),
       ('431003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苏仙区', '4310', '3'),
       ('431021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桂阳县', '4310', '3'),
       ('431022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜章县', '4310', '3'),
       ('431023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永兴县', '4310', '3'),
       ('431024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉禾县', '4310', '3'),
       ('431025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临武县', '4310', '3'),
       ('431026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汝城县', '4310', '3'),
       ('431027', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桂东县', '4310', '3'),
       ('431028', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安仁县', '4310', '3'),
       ('431081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '资兴市', '4310', '3'),
       ('431102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '零陵区', '4311', '3'),
       ('431103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '冷水滩区', '4311', '3'),
       ('431122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东安县', '4311', '3'),
       ('431123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双牌县', '4311', '3'),
       ('431124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '道县', '4311', '3'),
       ('431125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江永县', '4311', '3'),
       ('431126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁远县', '4311', '3'),
       ('431127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蓝山县', '4311', '3'),
       ('431128', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新田县', '4311', '3'),
       ('431129', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江华瑶族自治县', '4311', '3'),
       ('431171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永州经济技术开发区', '4311', '3'),
       ('431173', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永州市回龙圩管理区', '4311', '3'),
       ('431181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '祁阳市', '4311', '3'),
       ('431202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹤城区', '4312', '3'),
       ('431221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中方县', '4312', '3'),
       ('431222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沅陵县', '4312', '3'),
       ('431223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '辰溪县', '4312', '3'),
       ('431224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '溆浦县', '4312', '3'),
       ('431225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '会同县', '4312', '3'),
       ('431226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麻阳苗族自治县', '4312', '3'),
       ('431227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新晃侗族自治县', '4312', '3'),
       ('431228', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芷江侗族自治县', '4312', '3'),
       ('431229', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '靖州苗族侗族自治县', '4312', '3'),
       ('431230', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通道侗族自治县', '4312', '3'),
       ('431271', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怀化市洪江管理区', '4312', '3'),
       ('431281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洪江市', '4312', '3'),
       ('431302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '娄星区', '4313', '3'),
       ('431321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双峰县', '4313', '3'),
       ('431322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新化县', '4313', '3'),
       ('431381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '冷水江市', '4313', '3'),
       ('431382', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涟源市', '4313', '3'),
       ('433101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉首市', '4331', '3'),
       ('433122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泸溪县', '4331', '3'),
       ('433123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤凰县', '4331', '3'),
       ('433124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '花垣县', '4331', '3'),
       ('433125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '保靖县', '4331', '3'),
       ('433126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古丈县', '4331', '3'),
       ('433127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永顺县', '4331', '3'),
       ('433130', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙山县', '4331', '3'),
       ('440103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荔湾区', '4401', '3'),
       ('440104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '越秀区', '4401', '3'),
       ('440105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海珠区', '4401', '3'),
       ('440106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天河区', '4401', '3'),
       ('440111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白云区', '4401', '3'),
       ('440112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄埔区', '4401', '3'),
       ('440113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '番禺区', '4401', '3'),
       ('440114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '花都区', '4401', '3'),
       ('440115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南沙区', '4401', '3'),
       ('440117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '从化区', '4401', '3'),
       ('440118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '增城区', '4401', '3'),
       ('440203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武江区', '4402', '3'),
       ('440204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浈江区', '4402', '3'),
       ('440205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曲江区', '4402', '3'),
       ('440222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '始兴县', '4402', '3'),
       ('440224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仁化县', '4402', '3'),
       ('440229', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '翁源县', '4402', '3'),
       ('440232', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乳源瑶族自治县', '4402', '3'),
       ('440233', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新丰县', '4402', '3'),
       ('440281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐昌市', '4402', '3'),
       ('440282', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南雄市', '4402', '3'),
       ('440303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗湖区', '4403', '3'),
       ('440304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福田区', '4403', '3'),
       ('440305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南山区', '4403', '3'),
       ('440306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝安区', '4403', '3'),
       ('440307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙岗区', '4403', '3'),
       ('440308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐田区', '4403', '3'),
       ('440309', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙华区', '4403', '3'),
       ('440310', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '坪山区', '4403', '3'),
       ('440311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '光明区', '4403', '3'),
       ('440402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '香洲区', '4404', '3'),
       ('440403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '斗门区', '4404', '3'),
       ('440404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金湾区', '4404', '3'),
       ('440507', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙湖区', '4405', '3'),
       ('440511', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金平区', '4405', '3'),
       ('440512', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '濠江区', '4405', '3'),
       ('440513', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潮阳区', '4405', '3'),
       ('440514', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潮南区', '4405', '3'),
       ('440515', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '澄海区', '4405', '3'),
       ('440523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南澳县', '4405', '3'),
       ('440604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '禅城区', '4406', '3'),
       ('440605', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南海区', '4406', '3'),
       ('440606', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '顺德区', '4406', '3'),
       ('440607', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三水区', '4406', '3'),
       ('440608', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高明区', '4406', '3'),
       ('440703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蓬江区', '4407', '3'),
       ('440704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江海区', '4407', '3'),
       ('440705', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新会区', '4407', '3'),
       ('440781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台山市', '4407', '3'),
       ('440783', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开平市', '4407', '3'),
       ('440784', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹤山市', '4407', '3'),
       ('440785', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '恩平市', '4407', '3'),
       ('440802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赤坎区', '4408', '3'),
       ('440803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '霞山区', '4408', '3'),
       ('440804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '坡头区', '4408', '3'),
       ('440811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麻章区', '4408', '3'),
       ('440823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '遂溪县', '4408', '3'),
       ('440825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '徐闻县', '4408', '3'),
       ('440881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '廉江市', '4408', '3'),
       ('440882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雷州市', '4408', '3'),
       ('440883', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吴川市', '4408', '3'),
       ('440902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茂南区', '4409', '3'),
       ('440904', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '电白区', '4409', '3'),
       ('440981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高州市', '4409', '3'),
       ('440982', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '化州市', '4409', '3'),
       ('440983', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '信宜市', '4409', '3'),
       ('441202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '端州区', '4412', '3'),
       ('441203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鼎湖区', '4412', '3'),
       ('441204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高要区', '4412', '3'),
       ('441223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广宁县', '4412', '3'),
       ('441224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '怀集县', '4412', '3'),
       ('441225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '封开县', '4412', '3'),
       ('441226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德庆县', '4412', '3'),
       ('441284', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '四会市', '4412', '3'),
       ('441302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠城区', '4413', '3'),
       ('441303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠阳区', '4413', '3'),
       ('441322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博罗县', '4413', '3'),
       ('441323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠东县', '4413', '3'),
       ('441324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙门县', '4413', '3'),
       ('441402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梅江区', '4414', '3'),
       ('441403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梅县区', '4414', '3'),
       ('441422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大埔县', '4414', '3'),
       ('441423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰顺县', '4414', '3'),
       ('441424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五华县', '4414', '3'),
       ('441426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平远县', '4414', '3'),
       ('441427', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蕉岭县', '4414', '3'),
       ('441481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴宁市', '4414', '3'),
       ('441502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城区', '4415', '3'),
       ('441521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海丰县', '4415', '3'),
       ('441523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陆河县', '4415', '3'),
       ('441581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陆丰市', '4415', '3'),
       ('441602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '源城区', '4416', '3'),
       ('441621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '紫金县', '4416', '3'),
       ('441622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙川县', '4416', '3'),
       ('441623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连平县', '4416', '3'),
       ('441624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和平县', '4416', '3'),
       ('441625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东源县', '4416', '3'),
       ('441702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江城区', '4417', '3'),
       ('441704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳东区', '4417', '3'),
       ('441721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳西县', '4417', '3'),
       ('441781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳春市', '4417', '3'),
       ('441802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清城区', '4418', '3'),
       ('441803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清新区', '4418', '3'),
       ('441821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '佛冈县', '4418', '3'),
       ('441823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳山县', '4418', '3'),
       ('441825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连山壮族瑶族自治县', '4418', '3'),
       ('441826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连南瑶族自治县', '4418', '3'),
       ('441881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '英德市', '4418', '3'),
       ('441882', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '连州市', '4418', '3'),
       ('441900', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东莞市', '4419', '3'),
       ('442000', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中山市', '4420', '3'),
       ('445102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湘桥区', '4451', '3'),
       ('445103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潮安区', '4451', '3'),
       ('445122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '饶平县', '4451', '3'),
       ('445202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '榕城区', '4452', '3'),
       ('445203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '揭东区', '4452', '3'),
       ('445222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '揭西县', '4452', '3'),
       ('445224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠来县', '4452', '3'),
       ('445281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '普宁市', '4452', '3'),
       ('445302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云城区', '4453', '3'),
       ('445303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云安区', '4453', '3'),
       ('445321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新兴县', '4453', '3'),
       ('445322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郁南县', '4453', '3'),
       ('445381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗定市', '4453', '3'),
       ('450102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴宁区', '4501', '3'),
       ('450103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青秀区', '4501', '3'),
       ('450105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江南区', '4501', '3'),
       ('450107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西乡塘区', '4501', '3'),
       ('450108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '良庆区', '4501', '3'),
       ('450109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邕宁区', '4501', '3'),
       ('450110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武鸣区', '4501', '3'),
       ('450123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隆安县', '4501', '3'),
       ('450124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '马山县', '4501', '3'),
       ('450125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上林县', '4501', '3'),
       ('450126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宾阳县', '4501', '3'),
       ('450181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '横州市', '4501', '3'),
       ('450202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城中区', '4502', '3'),
       ('450203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鱼峰区', '4502', '3'),
       ('450204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柳南区', '4502', '3'),
       ('450205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柳北区', '4502', '3'),
       ('450206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柳江区', '4502', '3'),
       ('450222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柳城县', '4502', '3'),
       ('450223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹿寨县', '4502', '3'),
       ('450224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '融安县', '4502', '3'),
       ('450225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '融水苗族自治县', '4502', '3'),
       ('450226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三江侗族自治县', '4502', '3'),
       ('450302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秀峰区', '4503', '3'),
       ('450303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '叠彩区', '4503', '3'),
       ('450304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '象山区', '4503', '3'),
       ('450305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '七星区', '4503', '3'),
       ('450311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雁山区', '4503', '3'),
       ('450312', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临桂区', '4503', '3'),
       ('450321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阳朔县', '4503', '3'),
       ('450323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灵川县', '4503', '3'),
       ('450324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '全州县', '4503', '3'),
       ('450325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴安县', '4503', '3'),
       ('450326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永福县', '4503', '3'),
       ('450327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灌阳县', '4503', '3'),
       ('450328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙胜各族自治县', '4503', '3'),
       ('450329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '资源县', '4503', '3'),
       ('450330', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平乐县', '4503', '3'),
       ('450332', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '恭城瑶族自治县', '4503', '3'),
       ('450381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荔浦市', '4503', '3'),
       ('450403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万秀区', '4504', '3'),
       ('450405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长洲区', '4504', '3'),
       ('450406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙圩区', '4504', '3'),
       ('450421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苍梧县', '4504', '3'),
       ('450422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '藤县', '4504', '3'),
       ('450423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蒙山县', '4504', '3'),
       ('450481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岑溪市', '4504', '3'),
       ('450502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海城区', '4505', '3'),
       ('450503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '银海区', '4505', '3'),
       ('450512', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁山港区', '4505', '3'),
       ('450521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合浦县', '4505', '3'),
       ('450602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '港口区', '4506', '3'),
       ('450603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '防城区', '4506', '3'),
       ('450621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '上思县', '4506', '3'),
       ('450681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东兴市', '4506', '3'),
       ('450702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '钦南区', '4507', '3'),
       ('450703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '钦北区', '4507', '3'),
       ('450721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灵山县', '4507', '3'),
       ('450722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浦北县', '4507', '3'),
       ('450802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '港北区', '4508', '3'),
       ('450803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '港南区', '4508', '3'),
       ('450804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '覃塘区', '4508', '3'),
       ('450821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平南县', '4508', '3'),
       ('450881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桂平市', '4508', '3'),
       ('450902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉州区', '4509', '3'),
       ('450903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福绵区', '4509', '3'),
       ('450921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '容县', '4509', '3'),
       ('450922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陆川县', '4509', '3'),
       ('450923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博白县', '4509', '3'),
       ('450924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴业县', '4509', '3'),
       ('450981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北流市', '4509', '3'),
       ('451002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '右江区', '4510', '3'),
       ('451003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '田阳区', '4510', '3'),
       ('451022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '田东县', '4510', '3'),
       ('451024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德保县', '4510', '3'),
       ('451026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '那坡县', '4510', '3'),
       ('451027', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凌云县', '4510', '3'),
       ('451028', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐业县', '4510', '3'),
       ('451029', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '田林县', '4510', '3'),
       ('451030', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西林县', '4510', '3'),
       ('451031', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隆林各族自治县', '4510', '3'),
       ('451081', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '靖西市', '4510', '3'),
       ('451082', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平果市', '4510', '3'),
       ('451102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '八步区', '4511', '3'),
       ('451103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平桂区', '4511', '3'),
       ('451121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昭平县', '4511', '3'),
       ('451122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '钟山县', '4511', '3'),
       ('451123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富川瑶族自治县', '4511', '3'),
       ('451202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金城江区', '4512', '3'),
       ('451203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜州区', '4512', '3'),
       ('451221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南丹县', '4512', '3'),
       ('451222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天峨县', '4512', '3'),
       ('451223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤山县', '4512', '3'),
       ('451224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东兰县', '4512', '3'),
       ('451225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗城仫佬族自治县', '4512', '3'),
       ('451226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '环江毛南族自治县', '4512', '3'),
       ('451227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴马瑶族自治县', '4512', '3'),
       ('451228', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '都安瑶族自治县', '4512', '3'),
       ('451229', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大化瑶族自治县', '4512', '3'),
       ('451302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴宾区', '4513', '3'),
       ('451321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '忻城县', '4513', '3'),
       ('451322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '象州县', '4513', '3'),
       ('451323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武宣县', '4513', '3'),
       ('451324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金秀瑶族自治县', '4513', '3'),
       ('451381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合山市', '4513', '3'),
       ('451402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江州区', '4514', '3'),
       ('451421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扶绥县', '4514', '3'),
       ('451422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁明县', '4514', '3'),
       ('451423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙州县', '4514', '3'),
       ('451424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大新县', '4514', '3'),
       ('451425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天等县', '4514', '3'),
       ('451481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凭祥市', '4514', '3'),
       ('460105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秀英区', '4601', '3'),
       ('460106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙华区', '4601', '3'),
       ('460107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '琼山区', '4601', '3'),
       ('460108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '美兰区', '4601', '3'),
       ('460202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海棠区', '4602', '3'),
       ('460203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉阳区', '4602', '3'),
       ('460204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天涯区', '4602', '3'),
       ('460205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崖州区', '4602', '3'),
       ('460321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西沙群岛', '4603', '3'),
       ('460322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南沙群岛', '4603', '3'),
       ('460323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中沙群岛的岛礁及其海域', '4603', '3'),
       ('460400', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '儋州市', '4604', '3'),
       ('469001', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五指山市', '4690', '3'),
       ('469002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '琼海市', '4690', '3'),
       ('469005', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文昌市', '4690', '3'),
       ('469006', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万宁市', '4690', '3'),
       ('469007', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东方市', '4690', '3'),
       ('469021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定安县', '4690', '3'),
       ('469022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '屯昌县', '4690', '3'),
       ('469023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '澄迈县', '4690', '3'),
       ('469024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临高县', '4690', '3'),
       ('469025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白沙黎族自治县', '4690', '3'),
       ('469026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌江黎族自治县', '4690', '3'),
       ('469027', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐东黎族自治县', '4690', '3'),
       ('469028', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陵水黎族自治县', '4690', '3'),
       ('469029', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '保亭黎族苗族自治县', '4690', '3'),
       ('469030', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '琼中黎族苗族自治县', '4690', '3'),
       ('500101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万州区', '5001', '3'),
       ('500102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涪陵区', '5001', '3'),
       ('500103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渝中区', '5001', '3'),
       ('500104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大渡口区', '5001', '3'),
       ('500105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江北区', '5001', '3'),
       ('500106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙坪坝区', '5001', '3'),
       ('500107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '九龙坡区', '5001', '3'),
       ('500108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南岸区', '5001', '3'),
       ('500109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北碚区', '5001', '3'),
       ('500110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '綦江区', '5001', '3'),
       ('500111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大足区', '5001', '3'),
       ('500112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渝北区', '5001', '3'),
       ('500113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴南区', '5001', '3'),
       ('500114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黔江区', '5001', '3'),
       ('500115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长寿区', '5001', '3'),
       ('500116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江津区', '5001', '3'),
       ('500117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合川区', '5001', '3'),
       ('500118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永川区', '5001', '3'),
       ('500119', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南川区', '5001', '3'),
       ('500120', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '璧山区', '5001', '3'),
       ('500151', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铜梁区', '5001', '3'),
       ('500152', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潼南区', '5001', '3'),
       ('500153', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荣昌区', '5001', '3'),
       ('500154', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开州区', '5001', '3'),
       ('500155', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梁平区', '5001', '3'),
       ('500156', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武隆区', '5001', '3'),
       ('500229', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城口县', '5002', '3'),
       ('500230', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰都县', '5002', '3'),
       ('500231', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '垫江县', '5002', '3'),
       ('500233', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '忠县', '5002', '3'),
       ('500235', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云阳县', '5002', '3'),
       ('500236', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '奉节县', '5002', '3'),
       ('500237', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巫山县', '5002', '3'),
       ('500238', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巫溪县', '5002', '3'),
       ('500240', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石柱土家族自治县', '5002', '3'),
       ('500241', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秀山土家族苗族自治县', '5002', '3'),
       ('500242', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '酉阳土家族苗族自治县', '5002', '3'),
       ('500243', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彭水苗族土家族自治县', '5002', '3'),
       ('510104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '锦江区', '5101', '3'),
       ('510105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青羊区', '5101', '3'),
       ('510106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金牛区', '5101', '3'),
       ('510107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武侯区', '5101', '3'),
       ('510108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '成华区', '5101', '3'),
       ('510112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙泉驿区', '5101', '3'),
       ('510113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青白江区', '5101', '3'),
       ('510114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新都区', '5101', '3'),
       ('510115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '温江区', '5101', '3'),
       ('510116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双流区', '5101', '3'),
       ('510117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '郫都区', '5101', '3'),
       ('510118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新津区', '5101', '3'),
       ('510121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金堂县', '5101', '3'),
       ('510129', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大邑县', '5101', '3'),
       ('510131', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蒲江县', '5101', '3'),
       ('510181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '都江堰市', '5101', '3'),
       ('510182', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彭州市', '5101', '3'),
       ('510183', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邛崃市', '5101', '3'),
       ('510184', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崇州市', '5101', '3'),
       ('510185', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '简阳市', '5101', '3'),
       ('510302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '自流井区', '5103', '3'),
       ('510303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贡井区', '5103', '3'),
       ('510304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大安区', '5103', '3'),
       ('510311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沿滩区', '5103', '3'),
       ('510321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荣县', '5103', '3'),
       ('510322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富顺县', '5103', '3'),
       ('510402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东区', '5104', '3'),
       ('510403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西区', '5104', '3'),
       ('510411', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仁和区', '5104', '3'),
       ('510421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '米易县', '5104', '3'),
       ('510422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐边县', '5104', '3'),
       ('510502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江阳区', '5105', '3'),
       ('510503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '纳溪区', '5105', '3'),
       ('510504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙马潭区', '5105', '3'),
       ('510521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泸县', '5105', '3'),
       ('510522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合江县', '5105', '3'),
       ('510524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '叙永县', '5105', '3'),
       ('510525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古蔺县', '5105', '3'),
       ('510603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '旌阳区', '5106', '3'),
       ('510604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗江区', '5106', '3'),
       ('510623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中江县', '5106', '3'),
       ('510681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广汉市', '5106', '3'),
       ('510682', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '什邡市', '5106', '3'),
       ('510683', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绵竹市', '5106', '3'),
       ('510703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '涪城区', '5107', '3'),
       ('510704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '游仙区', '5107', '3'),
       ('510705', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安州区', '5107', '3'),
       ('510722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三台县', '5107', '3'),
       ('510723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐亭县', '5107', '3'),
       ('510725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梓潼县', '5107', '3'),
       ('510726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北川羌族自治县', '5107', '3'),
       ('510727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平武县', '5107', '3'),
       ('510781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江油市', '5107', '3'),
       ('510802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '利州区', '5108', '3'),
       ('510811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昭化区', '5108', '3'),
       ('510812', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '朝天区', '5108', '3'),
       ('510821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '旺苍县', '5108', '3'),
       ('510822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青川县', '5108', '3'),
       ('510823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '剑阁县', '5108', '3'),
       ('510824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苍溪县', '5108', '3'),
       ('510903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '船山区', '5109', '3'),
       ('510904', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安居区', '5109', '3'),
       ('510921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蓬溪县', '5109', '3'),
       ('510923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大英县', '5109', '3'),
       ('510981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '射洪市', '5109', '3'),
       ('511002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市中区', '5110', '3'),
       ('511011', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东兴区', '5110', '3'),
       ('511024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '威远县', '5110', '3'),
       ('511025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '资中县', '5110', '3'),
       ('511071', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '内江经济开发区', '5110', '3'),
       ('511083', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隆昌市', '5110', '3'),
       ('511102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '市中区', '5111', '3'),
       ('511111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙湾区', '5111', '3'),
       ('511112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五通桥区', '5111', '3'),
       ('511113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金口河区', '5111', '3'),
       ('511123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '犍为县', '5111', '3'),
       ('511124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '井研县', '5111', '3'),
       ('511126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '夹江县', '5111', '3'),
       ('511129', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沐川县', '5111', '3'),
       ('511132', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '峨边彝族自治县', '5111', '3'),
       ('511133', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '马边彝族自治县', '5111', '3'),
       ('511181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '峨眉山市', '5111', '3'),
       ('511302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '顺庆区', '5113', '3'),
       ('511303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高坪区', '5113', '3'),
       ('511304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉陵区', '5113', '3'),
       ('511321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南部县', '5113', '3'),
       ('511322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '营山县', '5113', '3'),
       ('511323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蓬安县', '5113', '3'),
       ('511324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仪陇县', '5113', '3'),
       ('511325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西充县', '5113', '3'),
       ('511381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阆中市', '5113', '3'),
       ('511402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东坡区', '5114', '3'),
       ('511403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彭山区', '5114', '3'),
       ('511421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仁寿县', '5114', '3'),
       ('511423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洪雅县', '5114', '3'),
       ('511424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丹棱县', '5114', '3'),
       ('511425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青神县', '5114', '3'),
       ('511502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '翠屏区', '5115', '3'),
       ('511503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南溪区', '5115', '3'),
       ('511504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '叙州区', '5115', '3'),
       ('511523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江安县', '5115', '3'),
       ('511524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长宁县', '5115', '3'),
       ('511525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高县', '5115', '3'),
       ('511526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '珙县', '5115', '3'),
       ('511527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '筠连县', '5115', '3'),
       ('511528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴文县', '5115', '3'),
       ('511529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '屏山县', '5115', '3'),
       ('511602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广安区', '5116', '3'),
       ('511603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '前锋区', '5116', '3'),
       ('511621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岳池县', '5116', '3'),
       ('511622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武胜县', '5116', '3'),
       ('511623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '邻水县', '5116', '3'),
       ('511681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华蓥市', '5116', '3'),
       ('511702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通川区', '5117', '3'),
       ('511703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达川区', '5117', '3'),
       ('511722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宣汉县', '5117', '3'),
       ('511723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开江县', '5117', '3'),
       ('511724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大竹县', '5117', '3'),
       ('511725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渠县', '5117', '3'),
       ('511771', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达州经济开发区', '5117', '3'),
       ('511781', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万源市', '5117', '3'),
       ('511802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雨城区', '5118', '3'),
       ('511803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '名山区', '5118', '3'),
       ('511822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荥经县', '5118', '3'),
       ('511823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汉源县', '5118', '3'),
       ('511824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石棉县', '5118', '3'),
       ('511825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天全县', '5118', '3'),
       ('511826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芦山县', '5118', '3'),
       ('511827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝兴县', '5118', '3'),
       ('511902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴州区', '5119', '3'),
       ('511903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '恩阳区', '5119', '3'),
       ('511921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通江县', '5119', '3'),
       ('511922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南江县', '5119', '3'),
       ('511923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平昌县', '5119', '3'),
       ('511971', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴中经济开发区', '5119', '3'),
       ('512002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雁江区', '5120', '3'),
       ('512021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安岳县', '5120', '3'),
       ('512022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐至县', '5120', '3'),
       ('513201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '马尔康市', '5132', '3'),
       ('513221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汶川县', '5132', '3'),
       ('513222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '理县', '5132', '3'),
       ('513223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茂县', '5132', '3'),
       ('513224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松潘县', '5132', '3'),
       ('513225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '九寨沟县', '5132', '3'),
       ('513226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金川县', '5132', '3'),
       ('513227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '小金县', '5132', '3'),
       ('513228', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黑水县', '5132', '3'),
       ('513230', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '壤塘县', '5132', '3'),
       ('513231', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿坝县', '5132', '3'),
       ('513232', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '若尔盖县', '5132', '3'),
       ('513233', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红原县', '5132', '3'),
       ('513301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '康定市', '5133', '3'),
       ('513322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泸定县', '5133', '3'),
       ('513323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丹巴县', '5133', '3'),
       ('513324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '九龙县', '5133', '3'),
       ('513325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雅江县', '5133', '3'),
       ('513326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '道孚县', '5133', '3'),
       ('513327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '炉霍县', '5133', '3'),
       ('513328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘孜县', '5133', '3'),
       ('513329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新龙县', '5133', '3'),
       ('513330', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德格县', '5133', '3'),
       ('513331', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白玉县', '5133', '3'),
       ('513332', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石渠县', '5133', '3'),
       ('513333', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '色达县', '5133', '3'),
       ('513334', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '理塘县', '5133', '3'),
       ('513335', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴塘县', '5133', '3'),
       ('513336', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乡城县', '5133', '3'),
       ('513337', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '稻城县', '5133', '3'),
       ('513338', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '得荣县', '5133', '3'),
       ('513401', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西昌市', '5134', '3'),
       ('513402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '会理市', '5134', '3'),
       ('513422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '木里藏族自治县', '5134', '3'),
       ('513423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐源县', '5134', '3'),
       ('513424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德昌县', '5134', '3'),
       ('513426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '会东县', '5134', '3'),
       ('513427', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁南县', '5134', '3'),
       ('513428', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '普格县', '5134', '3'),
       ('513429', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '布拖县', '5134', '3'),
       ('513430', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金阳县', '5134', '3'),
       ('513431', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昭觉县', '5134', '3'),
       ('513432', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '喜德县', '5134', '3'),
       ('513433', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '冕宁县', '5134', '3'),
       ('513434', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '越西县', '5134', '3'),
       ('513435', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘洛县', '5134', '3'),
       ('513436', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '美姑县', '5134', '3'),
       ('513437', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雷波县', '5134', '3'),
       ('520102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南明区', '5201', '3'),
       ('520103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云岩区', '5201', '3'),
       ('520111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '花溪区', '5201', '3'),
       ('520112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌当区', '5201', '3'),
       ('520113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白云区', '5201', '3'),
       ('520115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '观山湖区', '5201', '3'),
       ('520121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开阳县', '5201', '3'),
       ('520122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '息烽县', '5201', '3'),
       ('520123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '修文县', '5201', '3'),
       ('520181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清镇市', '5201', '3'),
       ('520201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '钟山区', '5202', '3'),
       ('520203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '六枝特区', '5202', '3'),
       ('520204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '水城区', '5202', '3'),
       ('520281', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盘州市', '5202', '3'),
       ('520302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红花岗区', '5203', '3'),
       ('520303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汇川区', '5203', '3'),
       ('520304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '播州区', '5203', '3'),
       ('520322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桐梓县', '5203', '3'),
       ('520323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绥阳县', '5203', '3'),
       ('520324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '正安县', '5203', '3'),
       ('520325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '道真仡佬族苗族自治县', '5203', '3'),
       ('520326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '务川仡佬族苗族自治县', '5203', '3'),
       ('520327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤冈县', '5203', '3'),
       ('520328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湄潭县', '5203', '3'),
       ('520329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '余庆县', '5203', '3'),
       ('520330', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '习水县', '5203', '3'),
       ('520381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赤水市', '5203', '3'),
       ('520382', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仁怀市', '5203', '3'),
       ('520402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西秀区', '5204', '3'),
       ('520403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平坝区', '5204', '3'),
       ('520422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '普定县', '5204', '3'),
       ('520423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇宁布依族苗族自治县', '5204', '3'),
       ('520424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '关岭布依族苗族自治县', '5204', '3'),
       ('520425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '紫云苗族布依族自治县', '5204', '3'),
       ('520502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '七星关区', '5205', '3'),
       ('520521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大方县', '5205', '3'),
       ('520523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金沙县', '5205', '3'),
       ('520524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '织金县', '5205', '3'),
       ('520525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '纳雍县', '5205', '3'),
       ('520526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '威宁彝族回族苗族自治县', '5205', '3'),
       ('520527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '赫章县', '5205', '3'),
       ('520581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黔西市', '5205', '3'),
       ('520602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '碧江区', '5206', '3'),
       ('520603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万山区', '5206', '3'),
       ('520621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江口县', '5206', '3'),
       ('520622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉屏侗族自治县', '5206', '3'),
       ('520623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石阡县', '5206', '3'),
       ('520624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '思南县', '5206', '3'),
       ('520625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '印江土家族苗族自治县', '5206', '3'),
       ('520626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德江县', '5206', '3'),
       ('520627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沿河土家族自治县', '5206', '3'),
       ('520628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松桃苗族自治县', '5206', '3'),
       ('522301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴义市', '5223', '3'),
       ('522302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴仁市', '5223', '3'),
       ('522323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '普安县', '5223', '3'),
       ('522324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '晴隆县', '5223', '3'),
       ('522325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贞丰县', '5223', '3'),
       ('522326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '望谟县', '5223', '3'),
       ('522327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '册亨县', '5223', '3'),
       ('522328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安龙县', '5223', '3'),
       ('522601', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凯里市', '5226', '3'),
       ('522622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄平县', '5226', '3'),
       ('522623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '施秉县', '5226', '3'),
       ('522624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三穗县', '5226', '3'),
       ('522625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇远县', '5226', '3'),
       ('522626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岑巩县', '5226', '3'),
       ('522627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天柱县', '5226', '3'),
       ('522628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '锦屏县', '5226', '3'),
       ('522629', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '剑河县', '5226', '3'),
       ('522630', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台江县', '5226', '3'),
       ('522631', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黎平县', '5226', '3'),
       ('522632', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '榕江县', '5226', '3'),
       ('522633', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '从江县', '5226', '3'),
       ('522634', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雷山县', '5226', '3'),
       ('522635', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麻江县', '5226', '3'),
       ('522636', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丹寨县', '5226', '3'),
       ('522701', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '都匀市', '5227', '3'),
       ('522702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福泉市', '5227', '3'),
       ('522722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荔波县', '5227', '3'),
       ('522723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贵定县', '5227', '3'),
       ('522725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瓮安县', '5227', '3'),
       ('522726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '独山县', '5227', '3'),
       ('522727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平塘县', '5227', '3'),
       ('522728', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗甸县', '5227', '3'),
       ('522729', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长顺县', '5227', '3'),
       ('522730', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙里县', '5227', '3'),
       ('522731', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠水县', '5227', '3'),
       ('522732', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三都水族自治县', '5227', '3'),
       ('530102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五华区', '5301', '3'),
       ('530103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盘龙区', '5301', '3'),
       ('530111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '官渡区', '5301', '3'),
       ('530112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西山区', '5301', '3'),
       ('530113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东川区', '5301', '3'),
       ('530114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '呈贡区', '5301', '3'),
       ('530115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '晋宁区', '5301', '3'),
       ('530124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富民县', '5301', '3'),
       ('530125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜良县', '5301', '3'),
       ('530126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石林彝族自治县', '5301', '3'),
       ('530127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嵩明县', '5301', '3'),
       ('530128', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '禄劝彝族苗族自治县', '5301', '3'),
       ('530129', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '寻甸回族彝族自治县', '5301', '3'),
       ('530181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安宁市', '5301', '3'),
       ('530302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麒麟区', '5303', '3'),
       ('530303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沾益区', '5303', '3'),
       ('530304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '马龙区', '5303', '3'),
       ('530322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陆良县', '5303', '3'),
       ('530323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '师宗县', '5303', '3'),
       ('530324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗平县', '5303', '3'),
       ('530325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富源县', '5303', '3'),
       ('530326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '会泽县', '5303', '3'),
       ('530381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宣威市', '5303', '3'),
       ('530402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红塔区', '5304', '3'),
       ('530403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江川区', '5304', '3'),
       ('530423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通海县', '5304', '3'),
       ('530424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华宁县', '5304', '3'),
       ('530425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '易门县', '5304', '3'),
       ('530426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '峨山彝族自治县', '5304', '3'),
       ('530427', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新平彝族傣族自治县', '5304', '3'),
       ('530428', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '元江哈尼族彝族傣族自治县', '5304', '3'),
       ('530481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '澄江市', '5304', '3'),
       ('530502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隆阳区', '5305', '3'),
       ('530521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '施甸县', '5305', '3'),
       ('530523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙陵县', '5305', '3'),
       ('530524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌宁县', '5305', '3'),
       ('530581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '腾冲市', '5305', '3'),
       ('530602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昭阳区', '5306', '3'),
       ('530621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鲁甸县', '5306', '3'),
       ('530622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巧家县', '5306', '3'),
       ('530623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐津县', '5306', '3'),
       ('530624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大关县', '5306', '3'),
       ('530625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永善县', '5306', '3'),
       ('530626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绥江县', '5306', '3'),
       ('530627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇雄县', '5306', '3'),
       ('530628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彝良县', '5306', '3'),
       ('530629', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '威信县', '5306', '3'),
       ('530681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '水富市', '5306', '3'),
       ('530702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古城区', '5307', '3'),
       ('530721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉龙纳西族自治县', '5307', '3'),
       ('530722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永胜县', '5307', '3'),
       ('530723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华坪县', '5307', '3'),
       ('530724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁蒗彝族自治县', '5307', '3'),
       ('530802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '思茅区', '5308', '3'),
       ('530821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁洱哈尼族彝族自治县', '5308', '3'),
       ('530822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '墨江哈尼族自治县', '5308', '3'),
       ('530823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '景东彝族自治县', '5308', '3'),
       ('530824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '景谷傣族彝族自治县', '5308', '3'),
       ('530825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇沅彝族哈尼族拉祜族自治县', '5308', '3'),
       ('530826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江城哈尼族彝族自治县', '5308', '3'),
       ('530827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '孟连傣族拉祜族佤族自治县', '5308', '3'),
       ('530828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '澜沧拉祜族自治县', '5308', '3'),
       ('530829', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西盟佤族自治县', '5308', '3'),
       ('530902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临翔区', '5309', '3'),
       ('530921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤庆县', '5309', '3'),
       ('530922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云县', '5309', '3'),
       ('530923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永德县', '5309', '3'),
       ('530924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇康县', '5309', '3'),
       ('530925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双江拉祜族佤族布朗族傣族自治县', '5309', '3'),
       ('530926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '耿马傣族佤族自治县', '5309', '3'),
       ('530927', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沧源佤族自治县', '5309', '3'),
       ('532301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '楚雄市', '5323', '3'),
       ('532302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '禄丰市', '5323', '3'),
       ('532322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双柏县', '5323', '3'),
       ('532323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '牟定县', '5323', '3'),
       ('532324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南华县', '5323', '3'),
       ('532325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '姚安县', '5323', '3'),
       ('532326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大姚县', '5323', '3'),
       ('532327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永仁县', '5323', '3'),
       ('532328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '元谋县', '5323', '3'),
       ('532329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武定县', '5323', '3'),
       ('532501', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '个旧市', '5325', '3'),
       ('532502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '开远市', '5325', '3'),
       ('532503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蒙自市', '5325', '3'),
       ('532504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '弥勒市', '5325', '3'),
       ('532523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '屏边苗族自治县', '5325', '3'),
       ('532524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '建水县', '5325', '3'),
       ('532525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石屏县', '5325', '3'),
       ('532527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泸西县', '5325', '3'),
       ('532528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '元阳县', '5325', '3'),
       ('532529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红河县', '5325', '3'),
       ('532530', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金平苗族瑶族傣族自治县', '5325', '3'),
       ('532531', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绿春县', '5325', '3'),
       ('532532', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河口瑶族自治县', '5325', '3'),
       ('532601', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文山市', '5326', '3'),
       ('532622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '砚山县', '5326', '3'),
       ('532623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西畴县', '5326', '3'),
       ('532624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麻栗坡县', '5326', '3'),
       ('532625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '马关县', '5326', '3'),
       ('532626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丘北县', '5326', '3'),
       ('532627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广南县', '5326', '3'),
       ('532628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富宁县', '5326', '3'),
       ('532801', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '景洪市', '5328', '3'),
       ('532822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '勐海县', '5328', '3'),
       ('532823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '勐腊县', '5328', '3'),
       ('532901', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大理市', '5329', '3'),
       ('532922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '漾濞彝族自治县', '5329', '3'),
       ('532923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '祥云县', '5329', '3'),
       ('532924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宾川县', '5329', '3'),
       ('532925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '弥渡县', '5329', '3'),
       ('532926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南涧彝族自治县', '5329', '3'),
       ('532927', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巍山彝族回族自治县', '5329', '3'),
       ('532928', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永平县', '5329', '3'),
       ('532929', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '云龙县', '5329', '3'),
       ('532930', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洱源县', '5329', '3'),
       ('532931', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '剑川县', '5329', '3'),
       ('532932', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹤庆县', '5329', '3'),
       ('533102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瑞丽市', '5331', '3'),
       ('533103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芒市', '5331', '3'),
       ('533122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梁河县', '5331', '3'),
       ('533123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盈江县', '5331', '3'),
       ('533124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陇川县', '5331', '3'),
       ('533301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泸水市', '5333', '3'),
       ('533323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福贡县', '5333', '3'),
       ('533324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贡山独龙族怒族自治县', '5333', '3'),
       ('533325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兰坪白族普米族自治县', '5333', '3'),
       ('533401', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '香格里拉市', '5334', '3'),
       ('533422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德钦县', '5334', '3'),
       ('533423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '维西傈僳族自治县', '5334', '3'),
       ('540102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城关区', '5401', '3'),
       ('540103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '堆龙德庆区', '5401', '3'),
       ('540104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达孜区', '5401', '3'),
       ('540121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林周县', '5401', '3'),
       ('540122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '当雄县', '5401', '3'),
       ('540123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尼木县', '5401', '3'),
       ('540124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曲水县', '5401', '3'),
       ('540127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '墨竹工卡县', '5401', '3'),
       ('540171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '格尔木藏青工业园区', '5401', '3'),
       ('540172', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '拉萨经济技术开发区', '5401', '3'),
       ('540173', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西藏文化旅游创意园区', '5401', '3'),
       ('540174', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达孜工业园区', '5401', '3'),
       ('540202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桑珠孜区', '5402', '3'),
       ('540221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南木林县', '5402', '3'),
       ('540222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江孜县', '5402', '3'),
       ('540223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定日县', '5402', '3'),
       ('540224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '萨迦县', '5402', '3'),
       ('540225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '拉孜县', '5402', '3'),
       ('540226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昂仁县', '5402', '3'),
       ('540227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '谢通门县', '5402', '3'),
       ('540228', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白朗县', '5402', '3'),
       ('540229', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仁布县', '5402', '3'),
       ('540230', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '康马县', '5402', '3'),
       ('540231', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定结县', '5402', '3'),
       ('540232', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仲巴县', '5402', '3'),
       ('540233', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '亚东县', '5402', '3'),
       ('540234', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉隆县', '5402', '3'),
       ('540235', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '聂拉木县', '5402', '3'),
       ('540236', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '萨嘎县', '5402', '3'),
       ('540237', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岗巴县', '5402', '3'),
       ('540302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卡若区', '5403', '3'),
       ('540321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '江达县', '5403', '3'),
       ('540322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贡觉县', '5403', '3'),
       ('540323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '类乌齐县', '5403', '3'),
       ('540324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丁青县', '5403', '3'),
       ('540325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '察雅县', '5403', '3'),
       ('540326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '八宿县', '5403', '3'),
       ('540327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '左贡县', '5403', '3'),
       ('540328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芒康县', '5403', '3'),
       ('540329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛隆县', '5403', '3'),
       ('540330', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '边坝县', '5403', '3'),
       ('540402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴宜区', '5404', '3'),
       ('540421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '工布江达县', '5404', '3'),
       ('540422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '米林县', '5404', '3'),
       ('540423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '墨脱县', '5404', '3'),
       ('540424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '波密县', '5404', '3'),
       ('540425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '察隅县', '5404', '3'),
       ('540426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '朗县', '5404', '3'),
       ('540502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乃东区', '5405', '3'),
       ('540521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扎囊县', '5405', '3'),
       ('540522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贡嘎县', '5405', '3'),
       ('540523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桑日县', '5405', '3'),
       ('540524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '琼结县', '5405', '3'),
       ('540525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曲松县', '5405', '3'),
       ('540526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '措美县', '5405', '3'),
       ('540527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛扎县', '5405', '3'),
       ('540528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '加查县', '5405', '3'),
       ('540529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隆子县', '5405', '3'),
       ('540530', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '错那县', '5405', '3'),
       ('540531', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '浪卡子县', '5405', '3'),
       ('540602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '色尼区', '5406', '3'),
       ('540621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉黎县', '5406', '3'),
       ('540622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '比如县', '5406', '3'),
       ('540623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '聂荣县', '5406', '3'),
       ('540624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安多县', '5406', '3'),
       ('540625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '申扎县', '5406', '3'),
       ('540626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '索县', '5406', '3'),
       ('540627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '班戈县', '5406', '3'),
       ('540628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴青县', '5406', '3'),
       ('540629', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尼玛县', '5406', '3'),
       ('540630', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双湖县', '5406', '3'),
       ('542521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '普兰县', '5425', '3'),
       ('542522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '札达县', '5425', '3'),
       ('542523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '噶尔县', '5425', '3'),
       ('542524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '日土县', '5425', '3'),
       ('542525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '革吉县', '5425', '3'),
       ('542526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '改则县', '5425', '3'),
       ('542527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '措勤县', '5425', '3'),
       ('610102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新城区', '6101', '3'),
       ('610103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '碑林区', '6101', '3'),
       ('610104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莲湖区', '6101', '3'),
       ('610111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灞桥区', '6101', '3'),
       ('610112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '未央区', '6101', '3'),
       ('610113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雁塔区', '6101', '3'),
       ('610114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阎良区', '6101', '3'),
       ('610115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临潼区', '6101', '3'),
       ('610116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长安区', '6101', '3'),
       ('610117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高陵区', '6101', '3'),
       ('610118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄠邑区', '6101', '3'),
       ('610122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蓝田县', '6101', '3'),
       ('610124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '周至县', '6101', '3'),
       ('610202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '王益区', '6102', '3'),
       ('610203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '印台区', '6102', '3'),
       ('610204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '耀州区', '6102', '3'),
       ('610222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜君县', '6102', '3'),
       ('610302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渭滨区', '6103', '3'),
       ('610303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金台区', '6103', '3'),
       ('610304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陈仓区', '6103', '3'),
       ('610305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤翔区', '6103', '3'),
       ('610323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岐山县', '6103', '3'),
       ('610324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '扶风县', '6103', '3'),
       ('610326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '眉县', '6103', '3'),
       ('610327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陇县', '6103', '3'),
       ('610328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '千阳县', '6103', '3'),
       ('610329', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麟游县', '6103', '3'),
       ('610330', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤县', '6103', '3'),
       ('610331', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太白县', '6103', '3'),
       ('610402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秦都区', '6104', '3'),
       ('610403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杨陵区', '6104', '3'),
       ('610404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渭城区', '6104', '3'),
       ('610422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三原县', '6104', '3'),
       ('610423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泾阳县', '6104', '3'),
       ('610424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乾县', '6104', '3'),
       ('610425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '礼泉县', '6104', '3'),
       ('610426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永寿县', '6104', '3'),
       ('610428', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长武县', '6104', '3'),
       ('610429', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '旬邑县', '6104', '3'),
       ('610430', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淳化县', '6104', '3'),
       ('610431', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武功县', '6104', '3'),
       ('610481', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴平市', '6104', '3'),
       ('610482', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彬州市', '6104', '3'),
       ('610502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临渭区', '6105', '3'),
       ('610503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华州区', '6105', '3'),
       ('610522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潼关县', '6105', '3'),
       ('610523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大荔县', '6105', '3'),
       ('610524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合阳县', '6105', '3'),
       ('610525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '澄城县', '6105', '3'),
       ('610526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '蒲城县', '6105', '3'),
       ('610527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白水县', '6105', '3'),
       ('610528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富平县', '6105', '3'),
       ('610581', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '韩城市', '6105', '3'),
       ('610582', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华阴市', '6105', '3'),
       ('610602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝塔区', '6106', '3'),
       ('610603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安塞区', '6106', '3'),
       ('610621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延长县', '6106', '3'),
       ('610622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延川县', '6106', '3'),
       ('610625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '志丹县', '6106', '3'),
       ('610626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吴起县', '6106', '3'),
       ('610627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘泉县', '6106', '3'),
       ('610628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富县', '6106', '3'),
       ('610629', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛川县', '6106', '3'),
       ('610630', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜川县', '6106', '3'),
       ('610631', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄龙县', '6106', '3'),
       ('610632', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄陵县', '6106', '3'),
       ('610681', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '子长市', '6106', '3'),
       ('610702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汉台区', '6107', '3'),
       ('610703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南郑区', '6107', '3'),
       ('610722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城固县', '6107', '3'),
       ('610723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洋县', '6107', '3'),
       ('610724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西乡县', '6107', '3'),
       ('610725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '勉县', '6107', '3'),
       ('610726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁强县', '6107', '3'),
       ('610727', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '略阳县', '6107', '3'),
       ('610728', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇巴县', '6107', '3'),
       ('610729', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '留坝县', '6107', '3'),
       ('610730', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '佛坪县', '6107', '3'),
       ('610802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '榆阳区', '6108', '3'),
       ('610803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '横山区', '6108', '3'),
       ('610822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '府谷县', '6108', '3'),
       ('610824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '靖边县', '6108', '3'),
       ('610825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '定边县', '6108', '3'),
       ('610826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绥德县', '6108', '3'),
       ('610827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '米脂县', '6108', '3'),
       ('610828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '佳县', '6108', '3'),
       ('610829', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吴堡县', '6108', '3'),
       ('610830', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清涧县', '6108', '3'),
       ('610831', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '子洲县', '6108', '3'),
       ('610881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '神木市', '6108', '3'),
       ('610902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汉滨区', '6109', '3'),
       ('610921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汉阴县', '6109', '3'),
       ('610922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石泉县', '6109', '3'),
       ('610923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁陕县', '6109', '3'),
       ('610924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '紫阳县', '6109', '3'),
       ('610925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岚皋县', '6109', '3'),
       ('610926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平利县', '6109', '3'),
       ('610927', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇坪县', '6109', '3'),
       ('610929', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白河县', '6109', '3'),
       ('610981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '旬阳市', '6109', '3'),
       ('611002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '商州区', '6110', '3'),
       ('611021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛南县', '6110', '3'),
       ('611022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丹凤县', '6110', '3'),
       ('611023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '商南县', '6110', '3'),
       ('611024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山阳县', '6110', '3'),
       ('611025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇安县', '6110', '3'),
       ('611026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柞水县', '6110', '3'),
       ('620102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城关区', '6201', '3'),
       ('620103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '七里河区', '6201', '3'),
       ('620104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西固区', '6201', '3'),
       ('620105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安宁区', '6201', '3'),
       ('620111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红古区', '6201', '3'),
       ('620121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永登县', '6201', '3'),
       ('620122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '皋兰县', '6201', '3'),
       ('620123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '榆中县', '6201', '3'),
       ('620171', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兰州新区', '6201', '3'),
       ('620201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉峪关市', '6202', '3'),
       ('620302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金川区', '6203', '3'),
       ('620321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永昌县', '6203', '3'),
       ('620402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白银区', '6204', '3'),
       ('620403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平川区', '6204', '3'),
       ('620421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '靖远县', '6204', '3'),
       ('620422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '会宁县', '6204', '3'),
       ('620423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '景泰县', '6204', '3'),
       ('620502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秦州区', '6205', '3'),
       ('620503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麦积区', '6205', '3'),
       ('620521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清水县', '6205', '3'),
       ('620522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秦安县', '6205', '3'),
       ('620523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘谷县', '6205', '3'),
       ('620524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武山县', '6205', '3'),
       ('620525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '张家川回族自治县', '6205', '3'),
       ('620602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凉州区', '6206', '3'),
       ('620621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '民勤县', '6206', '3'),
       ('620622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古浪县', '6206', '3'),
       ('620623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天祝藏族自治县', '6206', '3'),
       ('620702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘州区', '6207', '3'),
       ('620721', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肃南裕固族自治县', '6207', '3'),
       ('620722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '民乐县', '6207', '3'),
       ('620723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临泽县', '6207', '3'),
       ('620724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高台县', '6207', '3'),
       ('620725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山丹县', '6207', '3'),
       ('620802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崆峒区', '6208', '3'),
       ('620821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泾川县', '6208', '3'),
       ('620822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灵台县', '6208', '3'),
       ('620823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崇信县', '6208', '3'),
       ('620825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庄浪县', '6208', '3'),
       ('620826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '静宁县', '6208', '3'),
       ('620881', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华亭市', '6208', '3'),
       ('620902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肃州区', '6209', '3'),
       ('620921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金塔县', '6209', '3'),
       ('620922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瓜州县', '6209', '3'),
       ('620923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '肃北蒙古族自治县', '6209', '3'),
       ('620924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿克塞哈萨克族自治县', '6209', '3'),
       ('620981', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉门市', '6209', '3'),
       ('620982', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '敦煌市', '6209', '3'),
       ('621002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西峰区', '6210', '3'),
       ('621021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '庆城县', '6210', '3'),
       ('621022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '环县', '6210', '3'),
       ('621023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '华池县', '6210', '3'),
       ('621024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合水县', '6210', '3'),
       ('621025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '正宁县', '6210', '3'),
       ('621026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宁县', '6210', '3'),
       ('621027', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '镇原县', '6210', '3'),
       ('621102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安定区', '6211', '3'),
       ('621121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通渭县', '6211', '3'),
       ('621122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '陇西县', '6211', '3'),
       ('621123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '渭源县', '6211', '3'),
       ('621124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临洮县', '6211', '3'),
       ('621125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '漳县', '6211', '3'),
       ('621126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岷县', '6211', '3'),
       ('621202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '武都区', '6212', '3'),
       ('621221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '成县', '6212', '3'),
       ('621222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文县', '6212', '3'),
       ('621223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宕昌县', '6212', '3'),
       ('621224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '康县', '6212', '3'),
       ('621225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西和县', '6212', '3'),
       ('621226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '礼县', '6212', '3'),
       ('621227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '徽县', '6212', '3'),
       ('621228', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '两当县', '6212', '3'),
       ('622901', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临夏市', '6229', '3'),
       ('622921', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临夏县', '6229', '3'),
       ('622922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '康乐县', '6229', '3'),
       ('622923', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永靖县', '6229', '3'),
       ('622924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '广河县', '6229', '3'),
       ('622925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和政县', '6229', '3'),
       ('622926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东乡族自治县', '6229', '3'),
       ('622927', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '积石山保安族东乡族撒拉族自治县', '6229', '3'),
       ('623001', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '合作市', '6230', '3'),
       ('623021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '临潭县', '6230', '3'),
       ('623022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卓尼县', '6230', '3'),
       ('623023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '舟曲县', '6230', '3'),
       ('623024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '迭部县', '6230', '3'),
       ('623025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玛曲县', '6230', '3'),
       ('623026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '碌曲县', '6230', '3'),
       ('623027', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '夏河县', '6230', '3'),
       ('630102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城东区', '6301', '3'),
       ('630103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城中区', '6301', '3'),
       ('630104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城西区', '6301', '3'),
       ('630105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '城北区', '6301', '3'),
       ('630106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湟中区', '6301', '3'),
       ('630121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大通回族土族自治县', '6301', '3'),
       ('630123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湟源县', '6301', '3'),
       ('630202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乐都区', '6302', '3'),
       ('630203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平安区', '6302', '3'),
       ('630222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '民和回族土族自治县', '6302', '3'),
       ('630223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '互助土族自治县', '6302', '3'),
       ('630224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '化隆回族自治县', '6302', '3'),
       ('630225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '循化撒拉族自治县', '6302', '3'),
       ('632221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '门源回族自治县', '6322', '3'),
       ('632222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '祁连县', '6322', '3'),
       ('632223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海晏县', '6322', '3'),
       ('632224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '刚察县', '6322', '3'),
       ('632301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '同仁市', '6323', '3'),
       ('632322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尖扎县', '6323', '3'),
       ('632323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泽库县', '6323', '3'),
       ('632324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '河南蒙古族自治县', '6323', '3'),
       ('632521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '共和县', '6325', '3'),
       ('632522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '同德县', '6325', '3'),
       ('632523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贵德县', '6325', '3'),
       ('632524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴海县', '6325', '3'),
       ('632525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贵南县', '6325', '3'),
       ('632621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玛沁县', '6326', '3'),
       ('632622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '班玛县', '6326', '3'),
       ('632623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甘德县', '6326', '3'),
       ('632624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达日县', '6326', '3'),
       ('632625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '久治县', '6326', '3'),
       ('632626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玛多县', '6326', '3'),
       ('632701', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉树市', '6327', '3'),
       ('632722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杂多县', '6327', '3'),
       ('632723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '称多县', '6327', '3'),
       ('632724', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '治多县', '6327', '3'),
       ('632725', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '囊谦县', '6327', '3'),
       ('632726', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '曲麻莱县', '6327', '3'),
       ('632801', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '格尔木市', '6328', '3'),
       ('632802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '德令哈市', '6328', '3'),
       ('632803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茫崖市', '6328', '3'),
       ('632821', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌兰县', '6328', '3'),
       ('632822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '都兰县', '6328', '3'),
       ('632823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天峻县', '6328', '3'),
       ('632857', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大柴旦行政委员会', '6328', '3'),
       ('640104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兴庆区', '6401', '3'),
       ('640105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西夏区', '6401', '3'),
       ('640106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金凤区', '6401', '3'),
       ('640121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永宁县', '6401', '3'),
       ('640122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贺兰县', '6401', '3'),
       ('640181', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '灵武市', '6401', '3'),
       ('640202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大武口区', '6402', '3'),
       ('640205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '惠农区', '6402', '3'),
       ('640221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平罗县', '6402', '3'),
       ('640302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '利通区', '6403', '3'),
       ('640303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '红寺堡区', '6403', '3'),
       ('640323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐池县', '6403', '3'),
       ('640324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '同心县', '6403', '3'),
       ('640381', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青铜峡市', '6403', '3'),
       ('640402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '原州区', '6404', '3'),
       ('640422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西吉县', '6404', '3'),
       ('640423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '隆德县', '6404', '3'),
       ('640424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泾源县', '6404', '3'),
       ('640425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彭阳县', '6404', '3'),
       ('640502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙坡头区', '6405', '3'),
       ('640521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中宁县', '6405', '3'),
       ('640522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海原县', '6405', '3'),
       ('650102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '天山区', '6501', '3'),
       ('650103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙依巴克区', '6501', '3'),
       ('650104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新市区', '6501', '3'),
       ('650105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '水磨沟区', '6501', '3'),
       ('650106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '头屯河区', '6501', '3'),
       ('650107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达坂城区', '6501', '3'),
       ('650109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '米东区', '6501', '3'),
       ('650121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌鲁木齐县', '6501', '3'),
       ('650202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '独山子区', '6502', '3'),
       ('650203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '克拉玛依区', '6502', '3'),
       ('650204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白碱滩区', '6502', '3'),
       ('650205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌尔禾区', '6502', '3'),
       ('650402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高昌区', '6504', '3'),
       ('650421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鄯善县', '6504', '3'),
       ('650422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '托克逊县', '6504', '3'),
       ('650502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊州区', '6505', '3'),
       ('650521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴里坤哈萨克自治县', '6505', '3'),
       ('650522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊吾县', '6505', '3'),
       ('652301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昌吉市', '6523', '3'),
       ('652302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阜康市', '6523', '3'),
       ('652323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '呼图壁县', '6523', '3'),
       ('652324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玛纳斯县', '6523', '3'),
       ('652325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '奇台县', '6523', '3'),
       ('652327', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉木萨尔县', '6523', '3'),
       ('652328', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '木垒哈萨克自治县', '6523', '3'),
       ('652701', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博乐市', '6527', '3'),
       ('652702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿拉山口市', '6527', '3'),
       ('652722', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '精河县', '6527', '3'),
       ('652723', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '温泉县', '6527', '3'),
       ('652801', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '库尔勒市', '6528', '3'),
       ('652822', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '轮台县', '6528', '3'),
       ('652823', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尉犁县', '6528', '3'),
       ('652824', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '若羌县', '6528', '3'),
       ('652825', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '且末县', '6528', '3'),
       ('652826', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '焉耆回族自治县', '6528', '3'),
       ('652827', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和静县', '6528', '3'),
       ('652828', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和硕县', '6528', '3'),
       ('652829', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '博湖县', '6528', '3'),
       ('652871', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '库尔勒经济技术开发区', '6528', '3'),
       ('652901', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿克苏市', '6529', '3'),
       ('652902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '库车市', '6529', '3'),
       ('652922', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '温宿县', '6529', '3'),
       ('652924', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙雅县', '6529', '3'),
       ('652925', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新和县', '6529', '3'),
       ('652926', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '拜城县', '6529', '3'),
       ('652927', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌什县', '6529', '3'),
       ('652928', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿瓦提县', '6529', '3'),
       ('652929', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柯坪县', '6529', '3'),
       ('653001', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿图什市', '6530', '3'),
       ('653022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿克陶县', '6530', '3'),
       ('653023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿合奇县', '6530', '3'),
       ('653024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌恰县', '6530', '3'),
       ('653101', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '喀什市', '6531', '3'),
       ('653121', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '疏附县', '6531', '3'),
       ('653122', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '疏勒县', '6531', '3'),
       ('653123', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '英吉沙县', '6531', '3'),
       ('653124', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泽普县', '6531', '3'),
       ('653125', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莎车县', '6531', '3'),
       ('653126', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '叶城县', '6531', '3'),
       ('653127', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麦盖提县', '6531', '3'),
       ('653128', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '岳普湖县', '6531', '3'),
       ('653129', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伽师县', '6531', '3'),
       ('653130', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巴楚县', '6531', '3'),
       ('653131', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '塔什库尔干塔吉克自治县', '6531', '3'),
       ('653201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和田市', '6532', '3'),
       ('653221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和田县', '6532', '3'),
       ('653222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '墨玉县', '6532', '3'),
       ('653223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '皮山县', '6532', '3'),
       ('653224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '洛浦县', '6532', '3'),
       ('653225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '策勒县', '6532', '3'),
       ('653226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '于田县', '6532', '3'),
       ('653227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '民丰县', '6532', '3'),
       ('654002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊宁市', '6540', '3'),
       ('654003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '奎屯市', '6540', '3'),
       ('654004', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '霍尔果斯市', '6540', '3'),
       ('654021', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伊宁县', '6540', '3'),
       ('654022', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '察布查尔锡伯自治县', '6540', '3'),
       ('654023', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '霍城县', '6540', '3'),
       ('654024', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '巩留县', '6540', '3'),
       ('654025', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新源县', '6540', '3'),
       ('654026', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昭苏县', '6540', '3'),
       ('654027', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '特克斯县', '6540', '3'),
       ('654028', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尼勒克县', '6540', '3'),
       ('654201', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '塔城市', '6542', '3'),
       ('654202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌苏市', '6542', '3'),
       ('654203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙湾市', '6542', '3'),
       ('654221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '额敏县', '6542', '3'),
       ('654224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '托里县', '6542', '3'),
       ('654225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '裕民县', '6542', '3'),
       ('654226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和布克赛尔蒙古自治县', '6542', '3'),
       ('654301', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿勒泰市', '6543', '3'),
       ('654321', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '布尔津县', '6543', '3'),
       ('654322', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富蕴县', '6543', '3'),
       ('654323', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福海县', '6543', '3'),
       ('654324', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '哈巴河县', '6543', '3'),
       ('654325', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '青河县', '6543', '3'),
       ('654326', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉木乃县', '6543', '3'),
       ('659001', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石河子市', '6590', '3'),
       ('659002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿拉尔市', '6590', '3'),
       ('659003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '图木舒克市', '6590', '3'),
       ('659004', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五家渠市', '6590', '3'),
       ('659005', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北屯市', '6590', '3'),
       ('659006', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铁门关市', '6590', '3'),
       ('659007', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双河市', '6590', '3'),
       ('659008', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '可克达拉市', '6590', '3'),
       ('659009', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '昆玉市', '6590', '3'),
       ('659010', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '胡杨河市', '6590', '3'),
       ('659011', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新星市', '6590', '3'),
       ('660102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中西区', '6601', '3'),
       ('660103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湾仔区', '6601', '3'),
       ('660104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东区', '6601', '3'),
       ('660105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南区', '6601', '3'),
       ('660202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '油尖旺区', '6602', '3'),
       ('660203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '深水埗区', '6602', '3'),
       ('660204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '九龙城区', '6602', '3'),
       ('660205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '黄大仙区', '6602', '3'),
       ('660206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '观塘区', '6602', '3'),
       ('660302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '葵青区', '6603', '3'),
       ('660303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '荃湾区', '6603', '3'),
       ('660304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '屯门区', '6603', '3'),
       ('660305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '元朗区', '6603', '3'),
       ('660306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北区', '6603', '3'),
       ('660307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大埔区', '6603', '3'),
       ('660308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙田区', '6603', '3'),
       ('660309', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西贡区', '6603', '3'),
       ('660310', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '离岛区', '6603', '3'),
       ('670102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大堂区', '6701', '3'),
       ('670103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '望德堂区', '6701', '3'),
       ('670104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '风顺堂区', '6701', '3'),
       ('670105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '花地玛堂区', '6701', '3'),
       ('670106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '圣安多尼堂区', '6701', '3'),
       ('670202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '嘉模堂区（氹仔）', '6702', '3'),
       ('670203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '圣方济各堂区（路环）', '6702', '3'),
       ('680102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大安区', '6801', '3'),
       ('680103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '内湖区', '6801', '3'),
       ('680104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '士林区', '6801', '3'),
       ('680105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '文山区', '6801', '3'),
       ('680106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北投区', '6801', '3'),
       ('680107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中山区', '6801', '3'),
       ('680108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '信义区', '6801', '3'),
       ('680109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '松山区', '6801', '3'),
       ('680110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万华区', '6801', '3'),
       ('680111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中正区', '6801', '3'),
       ('680112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大同区', '6801', '3'),
       ('680113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南港区', '6801', '3'),
       ('680202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '板桥区', '6802', '3'),
       ('680203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新庄区', '6802', '3'),
       ('680204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中和区', '6802', '3'),
       ('680205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三重区', '6802', '3'),
       ('680206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新店区', '6802', '3'),
       ('680207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '土城区', '6802', '3'),
       ('680208', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永和区', '6802', '3'),
       ('680209', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芦洲区', '6802', '3'),
       ('680210', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '汐止区', '6802', '3'),
       ('680211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '树林区', '6802', '3'),
       ('680212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '淡水区', '6802', '3'),
       ('680213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三峡区', '6802', '3'),
       ('680214', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林口区', '6802', '3'),
       ('680215', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莺歌区', '6802', '3'),
       ('680216', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五股区', '6802', '3'),
       ('680217', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰山区', '6802', '3'),
       ('680218', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瑞芳区', '6802', '3'),
       ('680219', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '八里区', '6802', '3'),
       ('680220', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '深坑区', '6802', '3'),
       ('680221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三芝区', '6802', '3'),
       ('680222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万里区', '6802', '3'),
       ('680223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金山区', '6802', '3'),
       ('680224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '贡寮区', '6802', '3'),
       ('680225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石门区', '6802', '3'),
       ('680226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '双溪区', '6802', '3'),
       ('680227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石碇区', '6802', '3'),
       ('680228', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '坪林区', '6802', '3'),
       ('680229', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌来区', '6802', '3'),
       ('680230', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平溪区', '6802', '3'),
       ('680302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桃园区', '6803', '3'),
       ('680303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中坜区', '6803', '3'),
       ('680304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '平镇区', '6803', '3'),
       ('680305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '八德区', '6803', '3'),
       ('680306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杨梅区', '6803', '3'),
       ('680307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芦竹区', '6803', '3'),
       ('680308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龟山区', '6803', '3'),
       ('680309', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙潭区', '6803', '3'),
       ('680310', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大溪区', '6803', '3'),
       ('680311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大园区', '6803', '3'),
       ('680312', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '观音区', '6803', '3'),
       ('680313', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新屋区', '6803', '3'),
       ('680314', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '复兴区', '6803', '3'),
       ('680402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北屯区', '6804', '3'),
       ('680403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西屯区', '6804', '3'),
       ('680404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大里区', '6804', '3'),
       ('680405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太平区', '6804', '3'),
       ('680406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南屯区', '6804', '3'),
       ('680407', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰原区', '6804', '3'),
       ('680408', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东区', '6804', '3'),
       ('680409', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南区', '6804', '3'),
       ('680410', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西区', '6804', '3'),
       ('680411', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北区', '6804', '3'),
       ('680412', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中区', '6804', '3'),
       ('680413', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潭子区', '6804', '3'),
       ('680414', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大雅区', '6804', '3'),
       ('680415', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '沙鹿区', '6804', '3'),
       ('680416', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '清水区', '6804', '3'),
       ('680417', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙井区', '6804', '3'),
       ('680418', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大甲区', '6804', '3'),
       ('680419', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '乌日区', '6804', '3'),
       ('680420', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '神冈区', '6804', '3'),
       ('680421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雾峰区', '6804', '3'),
       ('680422', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梧栖区', '6804', '3'),
       ('680423', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大肚区', '6804', '3'),
       ('680424', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '后里区', '6804', '3'),
       ('680425', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东势区', '6804', '3'),
       ('680426', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '外埔区', '6804', '3'),
       ('680427', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新社区', '6804', '3'),
       ('680428', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大安区', '6804', '3'),
       ('680429', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '石冈区', '6804', '3'),
       ('680430', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和平区', '6804', '3'),
       ('680502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永康区', '6805', '3'),
       ('680503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安南区', '6805', '3'),
       ('680504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东区', '6805', '3'),
       ('680505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北区', '6805', '3'),
       ('680506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南区', '6805', '3'),
       ('680507', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中西区', '6805', '3'),
       ('680508', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新营区', '6805', '3'),
       ('680509', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仁德区', '6805', '3'),
       ('680510', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '归仁区', '6805', '3'),
       ('680511', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安平区', '6805', '3'),
       ('680512', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '佳里区', '6805', '3'),
       ('680513', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '善化区', '6805', '3'),
       ('680514', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麻豆区', '6805', '3'),
       ('680515', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新化区', '6805', '3'),
       ('680516', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新市区', '6805', '3'),
       ('680517', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '关庙区', '6805', '3'),
       ('680518', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安定区', '6805', '3'),
       ('680519', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白河区', '6805', '3'),
       ('680520', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '学甲区', '6805', '3'),
       ('680521', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐水区', '6805', '3'),
       ('680522', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西港区', '6805', '3'),
       ('680523', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '下营区', '6805', '3'),
       ('680524', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '后壁区', '6805', '3'),
       ('680525', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '七股区', '6805', '3'),
       ('680526', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '六甲区', '6805', '3'),
       ('680527', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '官田区', '6805', '3'),
       ('680528', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '柳营区', '6805', '3'),
       ('680529', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东山区', '6805', '3'),
       ('680530', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '将军区', '6805', '3'),
       ('680531', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉井区', '6805', '3'),
       ('680532', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北门区', '6805', '3'),
       ('680533', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大内区', '6805', '3'),
       ('680534', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '楠西区', '6805', '3'),
       ('680535', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南化区', '6805', '3'),
       ('680536', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '山上区', '6805', '3'),
       ('680537', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '左镇区', '6805', '3'),
       ('680538', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '龙崎区', '6805', '3'),
       ('680602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤山区', '6806', '3'),
       ('680603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三民区', '6806', '3'),
       ('680604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '左营区', '6806', '3'),
       ('680605', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '前镇区', '6806', '3'),
       ('680606', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '楠梓区', '6806', '3'),
       ('680607', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苓雅区', '6806', '3'),
       ('680608', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '小港区', '6806', '3'),
       ('680609', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鼓山区', '6806', '3'),
       ('680610', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大寮区', '6806', '3'),
       ('680611', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '冈山区', '6806', '3'),
       ('680612', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仁武区', '6806', '3'),
       ('680613', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林园区', '6806', '3'),
       ('680614', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '路竹区', '6806', '3'),
       ('680615', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新兴区', '6806', '3'),
       ('680616', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鸟松区', '6806', '3'),
       ('680617', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大树区', '6806', '3'),
       ('680618', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '美浓区', '6806', '3'),
       ('680619', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桥头区', '6806', '3'),
       ('680620', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '旗山区', '6806', '3'),
       ('680621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梓官区', '6806', '3'),
       ('680622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大社区', '6806', '3'),
       ('680623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茄萣区', '6806', '3'),
       ('680624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '燕巢区', '6806', '3'),
       ('680625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖内区', '6806', '3'),
       ('680626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿莲区', '6806', '3'),
       ('680627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '旗津区', '6806', '3'),
       ('680628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '前金区', '6806', '3'),
       ('680629', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐埕区', '6806', '3'),
       ('680630', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '弥陀区', '6806', '3'),
       ('680631', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '内门区', '6806', '3'),
       ('680632', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永安区', '6806', '3'),
       ('680633', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '六龟区', '6806', '3'),
       ('680634', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '杉林区', '6806', '3'),
       ('680635', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '田寮区', '6806', '3'),
       ('680636', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '甲仙区', '6806', '3'),
       ('680637', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '桃源区', '6806', '3'),
       ('680638', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '那玛夏区', '6806', '3'),
       ('680639', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '茂林区', '6806', '3'),
       ('680702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '安乐区', '6807', '3'),
       ('680703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '七堵区', '6807', '3'),
       ('680704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '信义区', '6807', '3'),
       ('680705', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中正区', '6807', '3'),
       ('680706', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中山区', '6807', '3'),
       ('680707', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仁爱区', '6807', '3'),
       ('680708', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '暖暖区', '6807', '3'),
       ('680802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东区', '6808', '3'),
       ('680803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北区', '6808', '3'),
       ('680804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '香山区', '6808', '3'),
       ('680902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东区', '6809', '3'),
       ('680903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西区', '6809', '3'),
       ('681002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竹北市', '6810', '3'),
       ('681003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竹东镇', '6810', '3'),
       ('681004', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新埔镇', '6810', '3'),
       ('681005', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '关西镇', '6810', '3'),
       ('681006', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖口乡', '6810', '3'),
       ('681007', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新丰乡', '6810', '3'),
       ('681008', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芎林乡', '6810', '3'),
       ('681009', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宝山乡', '6810', '3'),
       ('681010', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '横山乡', '6810', '3'),
       ('681011', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '尖石乡', '6810', '3'),
       ('681012', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北埔乡', '6810', '3'),
       ('681013', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '峨眉乡', '6810', '3'),
       ('681014', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五峰乡', '6810', '3'),
       ('681102', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '头份市', '6811', '3'),
       ('681103', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苗栗市', '6811', '3'),
       ('681104', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竹南镇', '6811', '3'),
       ('681105', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苑里镇', '6811', '3'),
       ('681106', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '后龙镇', '6811', '3'),
       ('681107', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '通霄镇', '6811', '3'),
       ('681108', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卓兰镇', '6811', '3'),
       ('681109', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '公馆乡', '6811', '3'),
       ('681110', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '铜锣乡', '6811', '3'),
       ('681111', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三义乡', '6811', '3'),
       ('681112', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大湖乡', '6811', '3'),
       ('681113', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '造桥乡', '6811', '3'),
       ('681114', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '头屋乡', '6811', '3'),
       ('681115', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南庄乡', '6811', '3'),
       ('681116', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西湖乡', '6811', '3'),
       ('681117', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三湾乡', '6811', '3'),
       ('681118', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰安乡', '6811', '3'),
       ('681119', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '狮潭乡', '6811', '3'),
       ('681202', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '彰化市', '6812', '3'),
       ('681203', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '员林市', '6812', '3'),
       ('681204', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '和美镇', '6812', '3'),
       ('681205', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹿港镇', '6812', '3'),
       ('681206', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '溪湖镇', '6812', '3'),
       ('681207', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '二林镇', '6812', '3'),
       ('681208', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '田中镇', '6812', '3'),
       ('681209', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北斗镇', '6812', '3'),
       ('681210', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '福兴乡', '6812', '3'),
       ('681211', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '花坛乡', '6812', '3'),
       ('681212', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '社头乡', '6812', '3'),
       ('681213', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秀水乡', '6812', '3'),
       ('681214', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '伸港乡', '6812', '3'),
       ('681215', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大村乡', '6812', '3'),
       ('681216', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '永靖乡', '6812', '3'),
       ('681217', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '埔心乡', '6812', '3'),
       ('681218', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芳苑乡', '6812', '3'),
       ('681219', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '埔盐乡', '6812', '3'),
       ('681220', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '埤头乡', '6812', '3'),
       ('681221', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '溪州乡', '6812', '3'),
       ('681222', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '田尾乡', '6812', '3'),
       ('681223', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '芬园乡', '6812', '3'),
       ('681224', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '线西乡', '6812', '3'),
       ('681225', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大城乡', '6812', '3'),
       ('681226', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '二水乡', '6812', '3'),
       ('681227', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竹塘乡', '6812', '3'),
       ('681302', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南投市', '6813', '3'),
       ('681303', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '草屯镇', '6813', '3'),
       ('681304', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '埔里镇', '6813', '3'),
       ('681305', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竹山镇', '6813', '3'),
       ('681306', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '集集镇', '6813', '3'),
       ('681307', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '名间乡', '6813', '3'),
       ('681308', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '国姓乡', '6813', '3'),
       ('681309', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹿谷乡', '6813', '3'),
       ('681310', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '水里乡', '6813', '3'),
       ('681311', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '信义乡', '6813', '3'),
       ('681312', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仁爱乡', '6813', '3'),
       ('681313', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鱼池乡', '6813', '3'),
       ('681314', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中寮乡', '6813', '3'),
       ('681402', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '斗六市', '6814', '3'),
       ('681403', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '虎尾镇', '6814', '3'),
       ('681404', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西螺镇', '6814', '3'),
       ('681405', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '斗南镇', '6814', '3'),
       ('681406', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '北港镇', '6814', '3'),
       ('681407', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '土库镇', '6814', '3'),
       ('681408', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麦寮乡', '6814', '3'),
       ('681409', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '古坑乡', '6814', '3'),
       ('681410', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '莿桐乡', '6814', '3'),
       ('681411', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '口湖乡', '6814', '3'),
       ('681412', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '二仑乡', '6814', '3'),
       ('681413', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '元长乡', '6814', '3'),
       ('681414', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '水林乡', '6814', '3'),
       ('681415', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '仑背乡', '6814', '3'),
       ('681416', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台西乡', '6814', '3'),
       ('681417', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '四湖乡', '6814', '3'),
       ('681418', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大埤乡', '6814', '3'),
       ('681419', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林内乡', '6814', '3'),
       ('681420', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东势乡', '6814', '3'),
       ('681421', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '褒忠乡', '6814', '3'),
       ('681502', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '朴子市', '6815', '3'),
       ('681503', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太保市', '6815', '3'),
       ('681504', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大林镇', '6815', '3'),
       ('681505', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '布袋镇', '6815', '3'),
       ('681506', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '民雄乡', '6815', '3'),
       ('681507', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '水上乡', '6815', '3'),
       ('681508', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '中埔乡', '6815', '3'),
       ('681509', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竹崎乡', '6815', '3'),
       ('681510', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新港乡', '6815', '3'),
       ('681511', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东石乡', '6815', '3'),
       ('681512', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '六脚乡', '6815', '3'),
       ('681513', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '梅山乡', '6815', '3'),
       ('681514', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '义竹乡', '6815', '3'),
       ('681515', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹿草乡', '6815', '3'),
       ('681516', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '溪口乡', '6815', '3'),
       ('681517', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '番路乡', '6815', '3'),
       ('681518', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '阿里山乡', '6815', '3'),
       ('681519', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大埔乡', '6815', '3'),
       ('681602', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '屏东市', '6816', '3'),
       ('681603', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '潮州镇', '6816', '3'),
       ('681604', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东港镇', '6816', '3'),
       ('681605', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '恒春镇', '6816', '3'),
       ('681606', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '内埔乡', '6816', '3'),
       ('681607', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万丹乡', '6816', '3'),
       ('681608', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新园乡', '6816', '3'),
       ('681609', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长治乡', '6816', '3'),
       ('681610', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '里港乡', '6816', '3'),
       ('681611', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '盐埔乡', '6816', '3'),
       ('681612', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '高树乡', '6816', '3'),
       ('681613', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '枋寮乡', '6816', '3'),
       ('681614', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '九如乡', '6816', '3'),
       ('681615', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万峦乡', '6816', '3'),
       ('681616', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '佳冬乡', '6816', '3'),
       ('681617', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '林边乡', '6816', '3'),
       ('681618', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '竹田乡', '6816', '3'),
       ('681619', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '崁顶乡', '6816', '3'),
       ('681620', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '琉球乡', '6816', '3'),
       ('681621', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '麟洛乡', '6816', '3'),
       ('681622', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南州乡', '6816', '3'),
       ('681623', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新埤乡', '6816', '3'),
       ('681624', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '车城乡', '6816', '3'),
       ('681625', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '满州乡', '6816', '3'),
       ('681626', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三地门乡', '6816', '3'),
       ('681627', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '来义乡', '6816', '3'),
       ('681628', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玛家乡', '6816', '3'),
       ('681629', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '枋山乡', '6816', '3'),
       ('681630', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '泰武乡', '6816', '3'),
       ('681631', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '牡丹乡', '6816', '3'),
       ('681632', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '狮子乡', '6816', '3'),
       ('681633', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '春日乡', '6816', '3'),
       ('681634', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '雾台乡', '6816', '3'),
       ('681702', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '宜兰市', '6817', '3'),
       ('681703', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '罗东镇', '6817', '3'),
       ('681704', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '苏澳镇', '6817', '3'),
       ('681705', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '头城镇', '6817', '3'),
       ('681706', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '冬山乡', '6817', '3'),
       ('681707', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '五结乡', '6817', '3'),
       ('681708', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '礁溪乡', '6817', '3'),
       ('681709', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '员山乡', '6817', '3'),
       ('681710', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '壮围乡', '6817', '3'),
       ('681711', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '三星乡', '6817', '3'),
       ('681712', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大同乡', '6817', '3'),
       ('681713', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '南澳乡', '6817', '3'),
       ('681802', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '花莲市', '6818', '3'),
       ('681803', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '玉里镇', '6818', '3'),
       ('681804', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '凤林镇', '6818', '3'),
       ('681805', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '吉安乡', '6818', '3'),
       ('681806', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '新城乡', '6818', '3'),
       ('681807', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '寿丰乡', '6818', '3'),
       ('681808', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '秀林乡', '6818', '3'),
       ('681809', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '光复乡', '6818', '3'),
       ('681810', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '瑞穗乡', '6818', '3'),
       ('681811', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '富里乡', '6818', '3'),
       ('681812', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '万荣乡', '6818', '3'),
       ('681813', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卓溪乡', '6818', '3'),
       ('681814', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '丰滨乡', '6818', '3'),
       ('681902', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '台东市', '6819', '3'),
       ('681903', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '卑南乡', '6819', '3'),
       ('681904', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '成功镇', '6819', '3'),
       ('681905', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '太麻里乡', '6819', '3'),
       ('681906', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '关山镇', '6819', '3'),
       ('681907', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '东河乡', '6819', '3'),
       ('681908', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '池上乡', '6819', '3'),
       ('681909', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '鹿野乡', '6819', '3'),
       ('681910', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '长滨乡', '6819', '3'),
       ('681911', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '大武乡', '6819', '3'),
       ('681912', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '兰屿乡', '6819', '3'),
       ('681913', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '海端乡', '6819', '3'),
       ('681914', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '绿岛乡', '6819', '3'),
       ('681915', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '金峰乡', '6819', '3'),
       ('681916', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '延平乡', '6819', '3'),
       ('681917', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '达仁乡', '6819', '3'),
       ('682002', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '马公市', '6820', '3'),
       ('682003', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '湖西乡', '6820', '3'),
       ('682004', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '白沙乡', '6820', '3'),
       ('682005', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '西屿乡', '6820', '3'),
       ('682006', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '望安乡', '6820', '3'),
       ('682007', '2022-05-12 14:10:50', '2022-05-12 14:10:50', '七美乡', '6820', '3');
